Neue Funktionen für Microsoft Office-Entwickler

Umfangreiche Änderungen wurden am Visual Basic-Objektmodell von Microsoft Office vorgenommen, so dass neue und verbesserte Funktionen in gemeinsam genutzten Komponenten unterstützt werden. Darüber hinaus wurden zahlreiche Objekte, Eigenschaften, Methoden und Ereignisse hinzugefügt.

Neue Sprachelemente

In den folgenden Hilfethemen finden Sie Listen mit Sprachelementen, die neu in Office sind:

Neue Objekte

Neue Eigenschaften (nach Objekt)

Neue Eigenschaften (alphabetische Liste)

Neue Methoden

Neue Ereignisse


Microsoft Office-Objekte

Legende

Gelbes Feld Objekt und Auflistung
Blaues Feld Nur Objekt


Übersicht über den Office-Assistenten

Der Office-Assistent, seine Sprechblase und alle Elemente in der Sprechblase werden durch die Objekte, Eigenschaften und Methoden des Assistant-Objekts programmtechnisch gesteuert.

Die folgende Abbildung zeigt den Office-Assistenten, die Sprechblase für den Office-Assistenten und alle programmierbaren Objekte innerhalb der Sprechblase.

Der Office-Assistent, ein Sprechblasen-Objekt und die programmierbaren Elemente innerhalb der Sprechblase.

Informationen dazu, wie Sie zur Entwurfszeit oder zur Laufzeit Änderungen am Office-Assistenten vornehmen können, finden Sie unter folgenden Themen:

Verwenden des Office-Assistenten

Erstellen und Verändern von Sprechblasen

Durchführen von Änderungen an Sprechblasen zur Laufzeit


 Übersicht über Befehlsleisten

Übersicht über Befehlsleisten

In Microsoft Office werden Symbolleisten, Menüleisten und Kontextmenüs vom Programm als ein und derselbe Objekttyp gesteuert: als Befehlsleisten. Alle folgenden Elemente werden in Visual Basic für Applikationen durch CommandBar-Objekte dargestellt:

  • Menüleisten, Symbolleisten und Kontextmenüs

  • Menüs in Menüleisten und Symbolleisten

  • Untermenüs in Menüs, Untermenüs und Kontextmenüs

Sie können jede integrierte Menüleiste oder Symbolleiste ändern sowie benutzerdefinierte Symbolleisten, Menüleisten und Kontextmenüs für Ihre Visual Basic-Anwendung erstellen. Die Funktionen Ihrer Anwendung werden als einzelne Schaltflächen auf Symbolleisten oder als Gruppen von Befehlen in Menüs dargestellt. Da sowohl Symbolleisten als auch Menüs Befehlsleisten sind, verwenden Sie für beide die gleiche Art von Steuerelementen. Die angedockte Symbolleiste in der folgenden Abbildung enthält beispielsweise drei Schaltflächen.

Eine angedockte Symbolleiste mit drei Schaltflächen

Das Menü in der folgenden Abbildung enthält die gleichen drei Funktionen wie die obige Darstellung, diesmal jedoch als Menübefehle.

Ein Menü mit drei Menübefehlen

In Microsoft Office können sowohl Menüleisten als auch Symbolleisten Menüs enthalten. Die unverankerte Symbolleiste in der folgenden Abbildung enthält drei Schaltflächen sowie ein Menü, in dem dieselben Funktionen als Menübefehle dargestellt sind.

Eine unverankerte Symbolleiste mit drei Schaltflächen und einem Menü mit drei Menübefehlen

In Visual Basic werden Schaltflächen und Menübefehle durch CommandBarButton-Objekte dargestellt. Die Popup-Steuerelemente, die Menüs und Untermenüs anzeigen, werden durch CommandBarPopup-Objekte dargestellt. In der folgenden Abbildung sind die Steuerelemente "Menu" und "Submenu" Popup-Steuerelemente, die ein Menü bzw. ein Untermenü anzeigen. Sowohl das Menü als auch das Untermenü sind eindeutige CommandBar-Objekte mit eigenen Steuerelementen.

Popup-Steuerelemente, die ein Menü bzw. ein Untermenü anzeigen

In Microsoft Office können Sie außerdem jeder Befehlsleiste Textfelder, Dropdownlistenfelder und Kombinationsfelder hinzufügen. Diese drei Arten von Steuerelementen werden in Visual Basic alle durch CommandBarComboBox-Objekte dargestellt.

Anmerkung Befehlsleisten-Steuerelemente und ActiveX-Steuerelemente haben zwar ein ähnliches Erscheinungsbild und Verhalten, unterscheiden sich jedoch in folgenden Punkten voneinander: Sie können ActiveX-Steuerelemente nicht Befehlsleisten hinzufügen, und Sie können Befehlsleisten-Steuerelemente nicht Dokumenten oder Formularen hinzufügen.

Auch die integrierten Befehlsleisten-Steuerelemente in Containeranwendungen werden in Visual Basic durch CommandBarButton-, CommandBarPopup- und CommandBarComboBox-Objekte dargestellt, obwohl ihr Erscheinungsbild und Verhalten möglicherweise komplexer sind als das der Steuerelemente, die Sie selbst hinzufügen können. Sie können zwar die Position und das Erscheinungsbild von integrierten Steuerelementen ändern, nicht aber ihr vorgegebenes Verhalten. Allerdings haben Sie die Möglichkeit, einem beliebigen integrierten Steuerelement ein benutzerdefiniertes Makro zuzuweisen und so sein vorgegebenes Verhalten vollständig zu ändern.


Verwendung von Befehlsleisten

Im Allgemeinen sollten Sie die Funktionen für benutzerdefinierte Anpassungen der Containeranwendung verwenden, um Symbolleisten, Menüleisten und Kontextmenüs zu erstellen oder zu ändern, die Sie mit der Visual Basic-Anwendung ausgeben möchten. Änderungen an Symbolleisten, Menüleisten und Kontextmenüs, die mit den Funktionen der Containeranwendung durchgeführt wurden, werden als Änderungen zur Entwurfszeit bezeichnet. Weitere Informationen zur Durchführung von Änderungen zur Entwurfszeit in der Containeranwendung finden Sie in der Hilfe zu der entsprechenden Anwendung.

Sie können Symbolleisten, Menüleisten und Kontextmenüs (und deren Komponenten) hinzufügen und ändern, indem Sie den CommandBars-Abschnitt des Objektmodells von Microsoft Office im Visual Basic-Code verwenden. Sie können einen Code erstellen, der einmal ausgeführt wird, um Symbolleisten und Menüleisten zu erstellen. Tatsächlich simuliert der Code die Durchführung von Änderungen zur Entwurfszeit. In manchen Containeranwendungen kann es jedoch erforderlich sein, eine Kombination von dieser Art des Visual Basic-Codes und der Oberfläche für Benutzeranpassungen zu verwenden, um die Visual Basic-Anwendung zu gestalten. Im Folgenden werden einige gängige Bereiche aufgeführt, für die Sie den Code und die Oberfläche der Containeranwendung in Verbindung miteinander verwenden müssen:

  • Wenn die Containeranwendung nicht über eine Oberfläche zum Hinzufügen und Ändern von Textfeldern, Dropdownlistenfeldern oder Kombinationsfeldern in Symbolleisten verfügt, müssen Sie den Visual Basic-Code verwenden, um diese Steuerelemente hinzuzufügen und zu gestalten.

  • Wenn die Containeranwendung zwar über eine Oberfläche zur Erstellung von Symbolleisten, nicht aber zur Erstellung einer neuen Menüleiste verfügt, müssen Sie eine neue Menüleiste in Visual Basic erstellen. Nachdem Sie die Menüleiste in Visual Basic erstellt haben, können Sie mit der Oberfläche der Containeranwendung die Menüs in dieser Menüleiste gestalten.

  • Wenn benutzerdefinierte Kontextmenüs in der Containeranwendung nicht angezeigt werden können, während die Oberfläche für benutzerdefinierte Anpassungen angezeigt wird, müssen Sie den Visual Basic-Code verwenden, um diese Kontextmenüs zu ändern.

Sie können auch einen Code erstellen, der in der Visual-Basic-Anwendung existiert, um Änderungen an Symbolleisten und Menüleisten durchzuführen, während die Anwendung ausgeführt wird (Sie können beispielsweise einen Code erstellen, um einen Befehl in einer Befehlsleiste unter bestimmten Bedingungen zu deaktivieren, oder um einer Symbolleiste Schaltflächen hinzuzufügen, wenn der Benutzer bestimmte Aktionen durchführt). Änderungen, die ausgeführt werden, während die Visual Basic-Anwendung ausgeführt wird, werden als Änderungen zur Laufzeit bezeichnet.

Unter den folgenden Themen finden Sie Informationen dazu, wie Sie vom Visual Basic-Code aus Änderungen zur Entwurfszeit und zur Laufzeit an Symbolleisten und Menüleisten durchführen können.

Hinzufügen und Ändern von Symbolleisten

Hinzufügen und Verwalten von Menüleisten und Menübefehlen

Hinzufügen und Anzeigen von Kontextmenüs


 Hinzufügen und Ändern von Symbolleisten

Hinzufügen und Ändern von Symbolleisten

Alle Hostanwendungen verfügen über eine erweiterte Oberfläche zum Hinzufügen und Gestalten von benutzerdefinierten Symbolleisten (zum Hinzufügen von integrierten Schaltflächen, von Makros als Schaltflächen und von Popup-Steuerelementen zu Symbolleisten). Die Änderungen zur Entwurfszeit, die Sie in der Regel vom Visual Basic-Code aus durchführen, fügen Kombinationsfeld-Steuerelemente hinzu oder ändern diese. Ansonsten ist die Arbeit mit Symbolleisten im Code fast ausschließlich auf die Durchführung von Änderungen zur Laufzeit begrenzt (Ändern des Schaltflächenstatus, der Schaltflächendarstellung, der Schaltflächenaktion usw.).

Änderungen zur Laufzeit an Symbolleisten

Es gibt eine Reihe von Änderungen, die Sie zur Laufzeit an einer Symbolleiste durchführen können. Dazu gehört die Änderung des Status einer Befehlsleistenschaltfläche in der Symbolleiste. Jedes Schaltflächen-Steuerelement verfügt über zwei aktive Zustände: gedrückt (True) und nicht gedrückt (False). Um den Status eines Schaltflächen-Steuerelements zu ändern, verwenden Sie die entsprechende Konstante für die State-Eigenschaft, wie in der später in diesem Thema aufgeführten Tabelle beschrieben.

Die Darstellung oder die Aktion einer Schaltfläche können Sie ebenfalls zur Laufzeit ändern. Verwenden Sie die Methoden CopyFace und PasteFace, um die Darstellung einer Schaltfläche (nicht ihre Aktion) zu ändern. Diese Methoden sind besonders dann nützlich, wenn Sie das Symbol einer bestimmten Schaltfläche in die Zwischenablage kopieren oder in eine andere Anwendung importieren möchten, um seine Merkmale zu verändern. Verwenden Sie die PasteFace-Methode, um ein Schaltflächensymbol aus der Zwischenablage in eine bestimmte Schaltfläche einzufügen.

Um die Aktion einer Schaltfläche in eine von Ihnen erstellte Funktion zu ändern, weisen Sie der OnAction-Eigenschaft der Schaltfläche den benutzerdefinierten Prozedurnamen zu.

In der folgenden Tabelle sind die gebräuchlichsten Eigenschaften und Methoden für die Änderung des Status, der Darstellung oder der Aktion einer Schaltfläche aufgeführt.

Eigenschaft oder Methode | Beschreibung
CopyFace, PasteFace | Kopiert das Symbol bzw. fügt das Symbol in die Oberfläche der Schaltfläche ein. Verwenden Sie die CopyFace-Methode, um das Symbol der angegebenen Schaltfläche in die Zwischenablage zu kopieren. Verwenden Sie die PasteFace-Methode, um den Inhalt der Zwischenablage in die Oberfläche der angegebenen Schaltfläche einzufügen. Die PasteFace-Methode funktioniert nicht, wenn die Zwischenablage leer ist. Wenn das Symbol in der Zwischenablage größer als die Schaltflächenoberfläche ist, wird das Symbol nicht entsprechend verkleinert. Im Allgemeinen ist es einfacher, ein Schaltflächensymbol zur Entwurfszeit zu kopieren und einzufügen. Sie können jedoch auch zur Laufzeit Änderungen an einem Schaltflächensymbol vornehmen. Sie können auch die FaceId-Eigenschaft verwenden, um einer Schaltfläche ein anderes, integriertes Symbol zuzuweisen.
Id | Gibt den Wert an, der die integrierten Funktionen der Schaltfläche darstellt. Eine Schaltfläche, die hervorgehobenen Text in die Zwischenablage kopiert, hat beispielsweise einen Id-Wert von 19.
State | Gibt die Darstellung oder den Status der Schaltfläche an. Dies kann eine der folgenden MsoButtonState-Konstanten sein: msoButtonDown, msoButtonMixed oder msoButtonUp.
Style | Gibt an, ob auf der Schaltfläche das Symbol oder die Beschriftung angezeigt wird. Dies kann eine der folgenden MsoButtonStyle-Konstanten sein: msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow oder msoButtonWrapCaption.
OnAction | Gibt die Prozedur an, die ausgeführt wird, wenn der Benutzer auf eine Schaltfläche klickt, ein Menü anzeigen lässt oder den Inhalt eines Kombinationsfeld-Steuerelements ändert.
Visible | Gibt an, ob das Steuerelement für den Benutzer angezeigt oder ausgeblendet wird.
Enabled | Aktiviert oder deaktiviert eine Befehlsleiste. Der Name einer deaktivierten Befehlsleiste wird in der Liste der verfügbaren Befehlsleisten nicht angezeigt.

Im folgenden Beispiel wird eine neue Befehlsleiste erstellt, die eine einzige Befehlsleistenschaltfläche enthält. Durch Verwendung der OnAction-Eigenschaft des CommandBarButton-Objekts können Sie mit Hilfe der CopyFace-Methode die Oberfläche der integrierten Open-Schaltfläche in die Zwischenablage kopieren. Anschließend können Sie die Oberfläche mit Hilfe der PasteFace-Methode in die vorhandene Schaltfläche einfügen. Dadurch wird das Erscheinungsbild der Befehlsleistenschaltfläche zur Laufzeit geändert.

Sub testAddModifyToolbars1()
Set myBar = CommandBars _
    .Add(Name:="ChangingButton", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set oldControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Copy").Id)
oldControl.OnAction = "changeFaces"
End Sub

Sub changeFaces()
Set newControl = CommandBars.FindControl _
    (Type:=msoControlButton, _
    ID:=CommandBars("Standard").Controls("Paste").Id)
newControl.CopyFace
Set oldControl = _
CommandBars("ChangingButton").Controls(1)
oldControl.PasteFace
End Sub

Hinzufügen und Ändern von Kombinationsfeld-Steuerelementen

Textfelder, Dropdownlistenfelder und Kombinationsfelder sind neue, leistungsstarke Steuerelemente, die Sie Symbolleisten in Ihrer Visual Basic-Anwendung hinzufügen können. Bei den meisten Containeranwendungen ist es jedoch erforderlich, dass Sie einen Visual Basic-Code verwenden, um diese Steuerelemente zu gestalten. Für die Gestaltung eines Kombinationsfeld-Steuerelements verwenden Sie die in der folgenden Tabelle aufgeführten Eigenschaften und Methoden.

Eigenschaft oder Methode | Beschreibung
Add | Fügt einer Befehlsleiste ein Kombinationsfeld-Steuerelement hinzu, indem für das Type-Argument eine der folgenden msoControlType-Konstanten angegeben wird: msoControlEdit, msoControlDropdown oder msoControlComboBox.
AddItem | Fügt der Dropdownliste eines Dropdownlistenfelds oder eines Kombinationsfelds ein Element hinzu. Sie können die Indexnummer des neuen Elements in der vorhandenen Liste angeben. Ist diese Nummer jedoch höher als die Anzahl der Elemente in der Liste, dann schlägt die AddItem-Methode fehl.
Caption | Gibt die Beschriftung für das Kombinationsfeld-Steuerelement an. Diese Beschriftung wird neben dem Steuerelement angezeigt, wenn Sie die Style-Eigenschaft auf msoComboLabel einstellen.
Style | Gibt an, ob die Beschriftung für das angegebene Steuerelement neben dem Steuerelement angezeigt wird. Dies kann eine der folgenden MsoComboStyle-Konstanten sein: msoComboLabel (die Beschriftung wird angezeigt) oder msoComboNormal (die Beschriftung wird nicht angezeigt).
OnAction | Gibt die Prozedur an, die ausgeführt wird, wenn der Benutzer den Inhalt des Kombinationsfeld-Steuerelements ändert.

Im folgenden Beispiel wird einer benutzerdefinierten Symbolleiste ein Kombinationsfeld hinzugefügt. Dem Kombinationsfeld wird das Makro "ScrollToQuarter" zugewiesen.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
myBar.Visible = True
Set newCombo = myBar.Controls _
    .Add(Type:=msoControlComboBox)
With newCombo
    .AddItem "Q1"
    .AddItem "Q2"
    .AddItem "Q3"
    .AddItem "Q4"
    .Style = msoComboNormal
    .OnAction = "ScrollToQuarter"
End With

Während die Anwendung ausgeführt wird, wird die der OnAction-Eigenschaft des Kombinationsfeld-Steuerelements zugewiesene Prozedur immer dann aufgerufen, wenn der Benutzer das Steuerelement ändert. Sie können in der Prozedur die ActionControl-Eigenschaft des CommandBars-Objekts verwenden, um festzustellen, welches Steuerelement geändert wurde, und um den geänderten Wert zurückzugeben. Die ListIndex-Eigenschaft gibt das Element zurück, das im Kombinationsfeld eingegeben oder markiert wurde.


Hinzufügen und Verwalten von Menüleisten und Menübefehlen

In manchen Containeranwendungen ist es nicht möglich, neue Menüleisten zu erstellen. Das heißt, Sie müssen neue Menüleisten mit Visual Basic erstellen. Nachdem Sie in Visual Basic eine Menüleiste erstellt haben, können Sie diese in der Oberfläche der Containeranwendung oder auch mit Hilfe von Visual Basic anpassen.

Hinzufügen von Menüleisten während der Laufzeit

Wenn Sie einer Anwendung während der Laufzeit eine Menüleiste hinzufügen, verwenden Sie die Add-Methode für die CommandBars-Auflistung und geben für das MenuBar-Argument True an. Im folgenden Beispiel wird eine nicht verschiebbare Menüleiste hinzugefügt. Diese Menüleiste wird rechts im Anwendungsfenster verankert. Die neue Menüleiste wird aktiviert, wenn der Benutzer die ALT-TASTE drückt.

Set menubar = CommandBars.Add _
    (Name:="mBar", Position:=msoBarRight, MenuBar:=True)
With menubar
    .Protection = msoBarNoMove
    .Visible = True
End With

Durchführen von Laufzeit-Änderungen an Menüleisten

Sie können Änderungen an der Menüleiste und an den Steuerelementen dieser Menüleiste während der Laufzeit durchführen. Änderungen, die Sie an der Menüleiste durchführen, wirken sich auf deren Darstellung oder Position aus. Änderungen, die Sie an den Steuerelementen durchführen können, hängen vom Typ des Steuerelements ab. In der folgenden Tabelle werden die am häufigsten für die Änderung von Menüleisten während der Laufzeit verwendeten Eigenschaften und Methoden aufgeführt.

Eigenschaft oder Methode | Beschreibung
Add | Fügt eine Menüleiste hinzu, indem die Add-Methode der CommandBars-Auflistung verwendet wird und für das MenuBar-Argument True angegeben wird.
Enabled | Wenn diese Eigenschaft auf True festgelegt ist, kann der Benutzer die Menüleiste mit einem Visual Basic-Code sichtbar machen. Ist diese Eigenschaft auf False eingestellt, kann der Benutzer die Menüleiste nicht sichtbar machen. Sie wird jedoch in der Liste der verfügbaren Befehlsleisten angezeigt.
Protection | Ermöglicht es Ihnen, für die Menüleiste einen Zugriffsschutz für bestimmte Benutzeraktionen festzulegen. Diese können eine oder mehrere der folgenden MsoBarProtection-Konstanten sein: msoBarNoChangeDock, msoBarNoChangeVisible, msoBarNoCustomize, msoBarNoHorizontalDock, msoBarNoMove, msoBarNoProtection, msoBarNoResize und msoBarNoVerticalDock.
Position | Gibt die Position der neuen Menüleiste relativ zum Anwendungsfenster an. Dies kann eine der folgenden MsoBarPosition-Konstanten sein: msoBarLeft, msoBarTop, msoBarRight, msoBarBottom, msoBarFloating, msoBarPopup (für die Erstellung von Kontextmenüs) oder msoBarMenuBar (nur Macintosh).
Visible | Gibt an, ob das Steuerelement für den Benutzer angezeigt oder ausgeblendet wird. Ist das Steuerelement ausgeblendet, wird der Name der Menüleiste nach wie vor in der Liste der verfügbaren Befehlsleisten angezeigt.

Im folgenden Beispiel wird die aktive Menüleiste ausgeblendet und durch eine temporäre Menüleiste ersetzt, die rechts im Anwendungsfenster angedockt ist. Für diese Menüleiste besteht außerdem ein Zugriffsschutz.

Set oldMbar = CommandBars.ActiveMenuBar
Set newMbar = CommandBars.Add _
(Name:="newMenubar", Position:=msoBarRight, _
MenuBar:=True, temporary:=True)
With newMbar
    .Visible = True
    .Protection = msoBarNoMove
End With

Verbinden von Menüleisten während der Laufzeit

Wenn Sie benutzerdefinierte Menüleisten in einer Anwendung haben, die als Add-In vorgesehen ist, empfiehlt es sich anzugeben, wie die Steuerelemente in der Containeranwendung dargestellt werden sollen. Sie können mit Hilfe der OLEMenuGroup-Eigenschaft des CommandBarPopup-Objekts angeben, auf welche Weise das Verbinden der Menüleisten erfolgen soll.

Wenn entweder die Containeranwendung oder der Server keine Befehlsleisten implementiert, wird eine "Nicht-Office"-Verbindung hergestellt: die Menüleiste sowie alle Symbolleisten des Servers, jedoch keine Symbolleisten der Containeranwendung, werden verbunden. Sie können auch die OLEUsage-Eigenschaft verwenden, um anzugeben, wie das Verbinden der Menüleisten durchgeführt werden soll.

Wenn sowohl die Containeranwendung als auch der Server Befehlsleisten implementieren, wird eine "Office-in-Office"-Verbindung durchgeführt: die Befehlsleisten-Steuerelemente werden einzeln in die Office-Anwendung eingebettet. Diese beiden Eigenschaften (OLEMenuGroup und OLEUsage) sind nur für Popup-Steuerelemente in Menüleisten von Bedeutung, da Menüs nach ihrer Menügruppen-Kategorie bewertet werden.

Durchführen von Laufzeit-Änderungen an Menüelementen

Die Art von Änderungen, die Sie an einem Menüelement durchführen können, hängt vom Steuerelementtyp ab. Allgemein werden Schaltflächen aktiviert oder ausgeblendet. Textfelder, Dropdownlistenfelder und Kombinationsfelder sind flexibler. Sie können der Liste Elemente hinzufügen bzw. Elemente daraus entfernen, und Sie können anhand des ausgewählten Werts die durchgeführte Aktion bestimmen. Die Aktion eines Steuerelements kann entweder in eine integrierte oder eine benutzerdefinierte Funktion geändert werden.

In der folgenden Tabelle sind die gebräuchlichsten Eigenschaften und Methoden für die Änderung des Status, der Aktion oder des Inhalts eines Steuerelements aufgeführt.

Eigenschaft oder Methode | Zweck
Add | Fügt der Befehlsleiste ein Menüelement hinzu. Dies kann eine der folgenden msoControlType-Konstanten für das Type-Argument für ein integriertes Steuerelement sein: msoControlButton, msoControlEdit, msoControlDropdown oder msoControlComboBox.
AddItem | Fügt dem Dropdownlistenteil eines Dropdownlistenfeldes oder Kombinationsfeldes ein Element hinzu. Sie können die Indexnummer des neuen Elements in der vorhandenen Liste angeben. Wenn diese Nummer jedoch höher ist als die Anzahl der Elemente in der Liste, schlägt die AddItem-Methode fehl.
Style | Gibt an, ob (und wenn ja, wie) das Symbol und/oder die Beschriftung einer Schaltfläche angezeigt wird. Dies kann eine der folgenden MsoButtonStyle-Konstanten sein: msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow oder msoButtonWrapCaption.
OnAction | Gibt die Prozedur an, die ausgeführt wird, wenn der Benutzer den Wert des angegebenen Steuerelements ändert.
Visible | Gibt an, ob das Steuerelement für den Benutzer angezeigt oder ausgeblendet wird.

Im folgenden Beispiel wird am Ende der aktiven Menüleiste das temporäre Popup-Steuerelement "Custom" hinzugefügt. Anschließend wird der Popup-Befehlsleiste "User" das Schaltflächensteuerelement "Import" hinzugefügt.

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, _
    Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.Controls _
    .Add(Type:=msoControlButton, Id:=1)
ctrl1.Caption = "Import"
ctrl1.TooltipText = "Import"
ctrl1.Style = msoButtonCaption


Hinzufügen und Anzeigen von Kontextmenüs

Ein Kontextmenü ist eine bewegliche Befehlsleiste, die der Benutzer durch Drücken der rechten Maustaste anzeigen lassen kann. Es kann dieselben Steuerelementtypen wie eine Befehlsleiste enthalten, und die Steuerelemente werden auf dieselbe Art ausgeführt wie in einer Befehlsleiste. In den meisten Anwendungen können Sie jedoch keine Kontextmenüs von der Oberfläche der Anwendung aus erstellen oder verändern. Aus diesem Grund müssen Sie die Kontextmenüs während der Laufzeit erstellen oder verändern.

Hinzufügen von Kontextmenüs während der Laufzeit

Der einzige Unterschied zwischen Kontextmenüs und anderen Symbolleisten besteht darin, dass Sie beim Erstellen des Kontextmenüs mit der Add-Methode als Position-Argument msoBarPopUp angeben müssen. Im folgenden Beispiel wird ein neues Kontextmenü erstellt. Diesem werden dann zwei Steuerelemente (mit Beschriftungen) hinzugefügt. Anschließend wird die ShowPopup-Methode verwendet, um das neue Menü anzuzeigen.

Set copyAndPasteMenu = CommandBars.Add( _
    Name:="Custom", Location:=msoBarPopup, _
    Temporary:=True)
Set copy = copyAndPasteMenu.Controls.Add
With copy
    .FaceId = CommandBars("Standard").Controls("Copy").Id
    .Caption = "Copy the selection"
End With
Set paste = copyAndPasteMenu.Controls.Add
With paste
    .FaceId = CommandBars("Standard").Controls("Paste").Id
    .Caption = "Paste from the Clipboard"
End With
copyAndPasteMenu.ShowPopup 200, 200

Anzeigen von Kontextmenüs

Verwenden Sie die ShowPopup-Methode, um Kontextmenüs anzuzeigen, wie im vorangehenden Beispiel gezeigt.

Wenn die Containeranwendung die Zuweisung von Ereignisprozeduren zu Benutzeraktionen unterstützt, können Sie ein Kontextmenü so einstellen, dass es durch Drücken der rechten Maustaste angezeigt wird. Nicht alle Anwendungen unterstützen jedoch Ereignisprozeduren. Lesen Sie in der Dokumentation zu Ihrer Containeranwendung nach, ob die Anwendung Ereignisprozeduren unterstützt.

Durchführen von Laufzeit-Änderungen an Kontextmenüs

Änderungen an Kontextmenüs müssen während der Laufzeit vorgenommen werden. Die Änderungen sind im Allgemeinen auf die Darstellung und die Aktion der Steuerelemente im Menü begrenzt. Weitere Informationen zum Hinzufügen und Organisieren von Menübefehlen finden Sie unter Hinzufügen und Verwalten von Menüleisten und Menübefehlen.


Programmtechnische OLE-Bezeichner

Sie können einen programmtechnischen OLE-Bezeichner (auch ProgID genannt) verwenden, um ein Automation-Objekt zu erstellen. Die folgende Tabelle zeigt die programmtechnischen OLE-Bezeichner für ActiveX-Steuerelemente, Microsoft Office-Anwendungen und Microsoft Office-Webkomponenten.

ActiveX-Steuerelemente

Microsoft Access

Microsoft Excel

Microsoft Graph

Microsoft Office-Webkomponenten

Microsoft Outlook

Microsoft PowerPoint

Microsoft Word

ActiveX-Steuerelemente

Um die in der folgenden Tabelle genannten ActiveX-Steuerelemente zu erstellen, verwenden Sie die entsprechenden programmtechnischen OLE-Bezeichner.

Zu erstellendes Steuerelement | Bezeichner
CheckBox | Forms.CheckBox.1
ComboBox | Forms.ComboBox.1
CommandButton | Forms.CommandButton.1
Frame | Forms.Frame.1
Image | Forms.Image.1
Label | Forms.Label.1
ListBox | Forms.ListBox.1
MultiPage | Forms.MultiPage.1
OptionButton | Forms.OptionButton.1
ScrollBar | Forms.ScrollBar.1
SpinButton | Forms.SpinButton.1
TabStrip | Forms.TabStrip.1
TextBox | Forms.TextBox.1
ToggleButton | Forms.ToggleButton.1

Microsoft Access

Um die in der folgenden Tabelle genannten Microsoft Access-Objekte zu erstellen, verwenden Sie einen der jeweiligen programmtechnischen OLE-Bezeichner. Wenn Sie einen Bezeichner ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Access erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Zu erstellendes Objekt | Bezeichner
Application | Access.Application, Access.Application.9
CurrentData | Access.CodeData, Access.CurrentData
CurrentProject | Access.CodeProject, Access.CurrentProject
DefaultWebOptions | Access.DefaultWebOptions

Microsoft Excel

Um die in der folgenden Tabelle genannten Microsoft Excel-Objekte zu erstellen, verwenden Sie einen der jeweiligen programmtechnischen OLE-Bezeichner. Wenn Sie einen Bezeichner ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Excel erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Zu erstellendes Objekt | Bezeichner | Kommentare
Application | Excel.Application, Excel.Application.9 |
Workbook | Excel.AddIn |
Workbook | Excel.Chart, Excel.Chart.8 | Gibt eine Arbeitsmappe mit zwei Arbeitsblättern zurück, eines für das Diagramm und eines für die Daten. Das Diagrammarbeitsblatt ist das aktive Arbeitsblatt.
Workbook | Excel.Sheet, Excel.Sheet.8 | Gibt eine Arbeitsmappe mit einem Arbeitsblatt zurück.

Microsoft Graph

Um die in der folgenden Tabelle genannten Microsoft Graph-Objekte zu erstellen, verwenden Sie einen der jeweiligen programmtechnischen OLE-Bezeichner. Wenn Sie einen Bezeichner ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Graph erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Zu erstellendes Objekt | Bezeichner
Application | MSGraph.Application, MSGraph.Application.8
Chart | MSGraph.Chart, MSGraph.Chart.8

Microsoft Office-Webkomponenten

Um die in der folgenden Tabelle genannten Objekte für Microsoft Office-Webkomponenten zu erstellen, verwenden Sie einen der jeweiligen programmtechnischen OLE-Bezeichner. Wenn Sie einen Bezeichner ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Microsoft Office-Webkomponenten erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Zu erstellendes Objekt | Bezeichner
ChartSpace | OWC.Chart, OWC.Chart.9
DataSourceControl | OWC.DataSourceControl, OWC.DataSourceControl.9
ExpandControl | OWC.ExpandControl, OWC.ExpandControl.9
PivotTable | OWC.PivotTable, OWC.PivotTable.9
RecordNavigationControl | OWC.RecordNavigationControl, OWC.RecordNavigationControl.9
Spreadsheet | OWC.Spreadsheet, OWC.Spreadsheet.9

Microsoft Outlook

Um die in der folgenden Tabelle genannten Microsoft Outlook-Objekte zu erstellen, verwenden Sie einen der jeweiligen programmtechnischen OLE-Bezeichner. Wenn Sie einen Bezeichner ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Outlook erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Zu erstellendes Objekt | Bezeichner
Application | Outlook.Application, Outlook.Application.9

Microsoft PowerPoint

Um die in der folgenden Tabelle genannten Microsoft PowerPoint-Objekte zu erstellen, verwenden Sie einen der jeweiligen programmtechnischen OLE-Bezeichner. Wenn Sie einen Bezeichner ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von PowerPoint erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Zu erstellendes Objekt | Bezeichner
Application | PowerPoint.Application, PowerPoint.Application.9

Microsoft Word

Um die in der folgenden Tabelle genannten Microsoft Word-Objekte zu erstellen, verwenden Sie einen der jeweiligen programmtechnischen OLE-Bezeichner. Wenn Sie einen Bezeichner ohne Suffix für die Versionsnummer verwenden, wird ein Objekt in der neuesten Version von Word erstellt, die auf dem Computer verfügbar ist, auf dem das Makro ausgeführt wird.

Zu erstellendes Objekt | Bezeichner
Application | Word.Application, Word.Application.9
Document | Word.Document, Word.Document.9, Word.Template.8
Global | Word.Global


Change-Ereignis

Tritt auf, wenn der Endbenutzer die Auswahl in einem Befehlsleisten-Kombinationsfeld-Steuerelement ändert.

Syntax

Private Sub CommandBarComboBox_Change

(ByVal Ctrl As CommandBarComboBox)

Hinweise

Das Change-Ereignis wird vom CommandBarComboBox-Objekt erkannt. Um das Change-Ereignis für ein bestimmtes Befehlsleisten-Kombinationsfeld-Steuerelement (CommandBarComboBox) zurückzusetzen, deklarieren Sie mit Hilfe des WithEvents-Schlüsselwortes eine Variable und setzen diese dann auf das Befehlsleisten-Kombinationsfeld-Steuerelement (CommandBarComboBox). Wenn das Change-Ereignis ausgelöst wird, führt es das Makro bzw. den Code aus, das bzw. den Sie mit der OnAction-Eigenschaft des Steuerelements angegeben haben.


Beispiel zum Change-Ereignis

Im folgenden Beispiel wird eine Befehlsleiste mit einem Befehlsleisten-Kombinationsfeld-Steuerelement (CommandBarComboBox) erstellt, das vier Auswahlmöglichkeiten enthält. Das Kombinationsfeld reagiert über das CommandBarComboBox_Change-Ereignis auf die Aktion des Benutzers.

Private ctlComboBoxHandler As New ComboBoxHandler
Sub AddComboBox()

    Set HostApp = Application

    Dim newBar As Office.CommandBar
    Set newBar = HostApp.CommandBars.Add(Name:="Test CommandBar", Temporary:=True)
    Dim newCombo As Office.CommandBarComboBox
    Set newCombo = newBar.Controls.Add(msoControlComboBox)
    With newCombo
        .AddItem "First Class", 1
        .AddItem "Business Class", 2
        .AddItem "Coach Class", 3
        .AddItem "Standby", 4
        .DropDownLines = 5
        .DropDownWidth = 75
        .ListHeaderCount = 0
    End With
    ctlComboBoxHandler.SyncBox newCombo
    newBar.Visible = True

End Sub

Das oben stehende Beispiel basiert auf dem folgenden Code, der im VBA-Projekt in einem Klassenmodul gespeichert wird.

Private WithEvents ComboBoxEvent As Office.CommandBarComboBox

Public Sub SyncBox(box As Office.CommandBarComboBox)
    Set ComboBoxEvent = box
    If Not box Is Nothing Then
        MsgBox "Synced " & box.Caption & " ComboBox events."
    End If

End Sub

Private Sub Class_Terminate()
    Set ComboBoxEvent = Nothing
End Sub

Private Sub ComboBoxEvent_Change(ByVal Ctrl As Office.CommandBarComboBox)
    Dim stComboText As String

    stComboText = Ctrl.Text

        Select Case stComboText
        Case "First Class"
            FirstClass
        Case "Business Class"
            BusinessClass
        Case "Coach Class"
            CoachClass
        Case "Standby"
            Standby
    End Select

End Sub
Private Sub FirstClass()
    MsgBox "You selected First Class reservations"
End Sub
Private Sub BusinessClass()
    MsgBox "You selected Business Class reservations"
End Sub
Private Sub CoachClass()
    MsgBox "You selected Coach Class reservations"
End Sub
Private Sub Standby()
    MsgBox "You chose to fly standby"
End Sub


Click-Ereignis

Tritt auf, wenn der Benutzer auf ein CommandBarButton-Objekt klickt.

Syntax

Private Sub CommandBarButton_Click

(ByVal Ctrl As CommandBarButton,

ByVal CancelDefault As Boolean)

Die Syntax für das Click-Ereignis enthält die zwei Argumente, die in der folgenden Tabelle beschrieben werden:

Argument | Beschreibung
Ctrl | Erforderliches CommandBarButton-Objekt. Gibt das Befehlsleisten-Schaltflächen-Steuerelement (CommandBarButton) an, durch das das Ereignis ausgelöst wurde.
CancelDefault | Erforderlicher Boolean-Wert. False, wenn das mit dem Befehlsleisten-Schaltflächen-Steuerelement (CommandBarButton) verknüpfte Standardverhalten eintritt, es sei denn, dieses wird durch einen anderen Prozess oder ein anderes Add-In abgebrochen.

Hinweise

Das Click-Ereignis wird vom CommandBarButton-Objekt erkannt. Um das Click-Ereignis für ein bestimmtes Befehlsleisten-Schaltflächen-Steuerelement (CommandBarButton) zurückzusetzen, deklarieren Sie mit Hilfe des WithEvents-Schlüsselwortes eine Variable und setzen diese dann auf das Steuerelement.


Beispiel zum Click-Ereignis

Im folgenden Beispiel wird eine neue Befehlsleisten-Schaltfläche im Menü Datei der Hostanwendung erstellt, durch die der Benutzer eine Arbeitsmappe als CSV-Datei (CSV, Comma-Separated Value; eigentlich: Datei mit Kommas als Trennzeichen; tatsächlich wird aber das eingestellte Listentrennzeichen verwendet, auf deutschen Systemen standardmäßig das Semikolon) speichern kann. (Dieses Beispiel funktioniert in allen Anwendungen, der Kontext des Speicherns im CSV-Format gilt jedoch für Microsoft Excel.)

Private HostApp As Object

Sub createAndSynch()
    Dim iIndex As Integer
    Dim iCount As Integer
    Dim fBtnExists As Boolean

    Dim obCmdBtn As Object

    On Error GoTo errHandler

    Set HostApp = Application

    Dim barHelp As Office.CommandBar
    Set barHelp = Application.CommandBars("File")
    fBtnExists = False
    iCount = barHelp.Controls.Count
    For iIndex = 1 To iCount
        If barHelp.Controls(iIndex).Caption = "Save As CSV (Comma Delimited)" Then fBtnExists = True

    Next
    Dim btnSaveAsCSV As Office.CommandBarButton
    If fBtnExists Then
        Set btnSaveAsCSV = barHelp.Controls("Save As CSV (Comma Delimited)")
    Else
        Set btnSaveAsCSV = barHelp.Controls.Add(msoControlButton)
        btnSaveAsCSV.Caption = "Save As CSV (Comma Delimited)"
    End If

    btnSaveAsCSV.Tag = "btn1"
    btnSaveAsCSVHandler.SyncButton btnSaveAsCSV
    Exit Sub

errHandler:
    ' Insert error handling code here
End Sub

Das oben stehende Beispiel basiert auf dem folgenden Code, der im VBA-Projekt in einem Klassenmodul gespeichert wird.

Private WithEvents ButtonClickEvent As Office.CommandBarButton

Private Sub ButtonClickEvent_Click(ByVal Ctrl As Office.CommandBarButton, _
    CancelDefault As Boolean)
    ActiveWorkbook.SaveAs "MyWorkbook.csv", xlCSV
    CancelDefault = True
End Sub

Public Sub SyncButton(btn As Office.CommandBarButton)
    Set ButtonClickEvent = btn
    If Not btn Is Nothing Then
        MsgBox "Synced '" & btn.Caption & "' button events."
    End If

End Sub

Private Sub Class_Terminate()
    Set ButtonClickEvent = Nothing
End Sub


OnUpdate-Ereignis

Tritt ein, wenn eine Änderung an einer Befehlsleiste vorgenommen wird.

Syntax

Private Sub CommandBars_OnUpdate()

Hinweise

Das OnUpdate-Ereignis gilt für das CommandBar-Objekt und alle Befehlsleisten-Steuerelemente. Das Ereignis wird durch eine beliebige Änderung an einer Befehlsleiste oder einem Befehlsleisten-Steuerelement bzw. dem Zustand einer Befehlsleiste oder eines Befehlsleisten-Steuerelements ausgelöst. Als Änderungen dieser Art zählen beispielsweise das Markieren von Text oder Zellen. Da bei normaler Verwendung eine Vielzahl von OnUpdate-Ereignissen eintreten können, sollte dieses Ereignis bei der Entwicklung von Programmen mit Vorsicht eingesetzt werden. Verwenden Sie dieses Ereignis am besten nur, um zu überprüfen, ob durch ein COMAddIn eine benutzerdefinierte Befehlsleiste hinzugefügt oder entfernt wurde. Weitere Informationen zum Verwenden von Ereignissen mit COM-Add-Ins finden Sie im entsprechenden Kapitel im Microsoft Office 2000/Visual Basic Programmierhandbuch.


Neue Methoden

Die folgende Tabelle zeigt die Methoden, die den vorhandenen Objekten in Microsoft Office hinzugefügt wurden.

Methode | Objekt
FindControls | CommandBars


ActivateWizard-Methode

Setzt eine Assistentensitzung mit dem Office-Assistenten fort oder hält sie an.

Hinweis Diese Methode sollten Sie nur als Teil der StartWizard-Methode verwenden.

Syntax

expression.ActivateWizard(WizardID, Act, Animation)

expression Erforderlich. Ein Ausdruck, der ein Assistant-Objekt zurückgibt.

WizardID Long erforderlich. Eine Zahl, die die Assistentensitzung mit dem Office-Assistenten eindeutig bestimmt, wie sie durch die StartWizard-Methode zurückgegeben wurde.

Act Variant erforderlich. Legt die Art fest, wie sich die Assistentensitzung mit dem Office-Assistenten ändert. Dies kann eine der folgenden msoWizardActTypes-Konstanten sein: msoWizardActActive, msoWizardActInactive, msoWizardActResume oder msoWizardActSuspend.

Animation Variant optional. Der Animationstyp, den der Office-Assistent beim Fortsetzen oder Anhalten der Assistenten-Sitzung ausführt.


Beispiel zur ActivateWizard-Methode

In diesem Beispiel wird die mit der StartWizard-Methode begonnene Assistentensitzung angehalten. Die Variable lHelpForWiz wurde auf den von der StartWizard-Methode zurückgegebenen Wert gesetzt.

Assistant.ActivateWizard WizardID:=lHelpForWiz, _
   Act:=msoWizardActSuspend, Animation:=msoAnimationGoodbye


Add-Methode

Fügt einer Auflistung ein Objekt hinzu. Markieren Sie eine der folgenden Auflistungen, um eine genauere Beschreibung zur Add-Methode für diese Auflistung anzuzeigen.

AnswerWizardFiles

CommandBarControls

CommandBars

DocumentProperties

PropertyTests

Scripts


Add-Methode (AnswerWizardFiles-Auflistung)

Erstellt eine neue Referenz (einen String-Wert) zu einer Datei im Antwort-Assistenten und fügt sie der AnswerWizardFiles-Auflistung hinzu.

Syntax

expression.Add (Filename)

expression Ein Ausdruck, der eine AnswerWizardFiles-Auflistung zurückgibt.

Filename Erforderlicher String-Wert. Der vollständige Pfad zu der angegebenen Datei des Antwort-Assistenten.


Beispiel zur Add-Methode (AnswerWizardFiles-Auflistung)

In diesem Beispiel wird der Antwort-Assistent so eingerichtet, dass er eine benutzerdefinierte Dateiliste akzeptiert, und es werden zwei benutzerdefinierte Dateien für den Antwort-Assistenten hinzugefügt. Als Erstes wird die Dateiliste gelöscht, danach werden zwei benutzerdefinierte Dateien für den Antwort-Assistenten hinzugefügt. Anschließend werden die Anzahl der Dateien und die Dateinamen überprüft, um sicherzustellen, dass die Dateien korrekt hinzugefügt wurden.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If


 Add-Methode (CommandBarControls-Auflistung)

Add-Methode (CommandBarControls-Auflistung)

Erstellt ein neues Befehlsleisten-Steuerelement und fügt es der Sammlung von Steuerelementen in der angegebenen Befehlsleiste hinzu. Gibt ein CommandBarButton-, ein CommandBarComboBox- oder ein CommandBarPopup-Objekt zurück.

Syntax

expression.Add(Type, Id, Parameter, Before, Temporary)

expression Erforderlich. Ein Ausdruck, der ein CommandBarControls-Objekt zurückgibt.

Type Variant optional. Die Art von Steuerelement, die der angegebenen Befehlsleiste hinzugefügt werden soll. Dies kann eine der folgenden MsoControlType-Konstanten sein: msoControlButton, msoControlEdit, msoControlDropdown, msoControlComboBox oder msoControlPopup.

Id Variant optional. Eine ganze Zahl, die ein integriertes Steuerelement angibt. Ist der Wert für dieses Argument 1, oder wird dieses Argument ausgelassen, wird der Befehlsleiste ein leeres ActiveX-Steuerelement des angegebenen Typs hinzugefügt.

Parameter Variant optional. Bei integrierten Steuerelementen wird dieses Argument von der Containeranwendung verwendet, um den Befehl auszuführen. Bei ActiveX-Steuerelementen können Sie dieses Argument verwenden, um Daten an Visual Basic-Prozeduren zu senden oder um Daten zum Steuerelement zu speichern (vergleichbar mit einem zweiten Wert für die Tag-Eigenschaft).

Before Variant optional. Eine Zahl, die die Position des neuen Steuerelements in der Befehlsleiste angibt. Das neue Steuerelement wird vor dem an dieser Position befindlichen Steuerelement eingefügt. Wird dieses Argument ausgelassen, wird das Steuerelement am Ende der angegebenen Befehlsleiste eingefügt.

Temporary Variant optional. True, wenn das neue Steuerelement temporär sein soll. Temporäre Steuerelemente werden automatisch gelöscht, wenn die Containeranwendung geschlossen wird. Der Standardwert ist False.


Beispiel zur Add-Methode (CommandBarControls-Auflistung)

In diesem Beispiel wird eine benutzerdefinierte Bearbeitungssymbolleiste erstellt, die Schaltflächen (Steuerelemente) zum Ausschneiden, Kopieren und Einfügen enthält.

Dim customBar As CommandBar
Dim newButton As CommandBarButton
Set customBar = CommandBars.Add("Custom")
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Cut").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Copy").Id)
Set newButton = customBar.Controls _
    .Add(msoControlButton, CommandBars("Edit") _
    .Controls("Paste").Id)
customBar.Visible = True


 Add-Methode (CommandBars-Auflistung)

Add-Methode (CommandBars-Auflistung)

Erstellt eine neue Befehlsleiste und fügt sie der Auflistung der Befehlsleisten hinzu. Gibt ein CommandBar-Objekt zurück.

Syntax

expression.Add(Name, Position, MenuBar, Temporary)

expression Erforderlich. Ein Ausdruck, der ein CommandBars-Objekt zurückgibt.

Name Variant optional. Der Name der neuen Befehlsleiste. Wird dieses Argument ausgelassen, weist Word der Befehlsleiste einen Standardnamen zu (z. B. "Benutzerdefiniert 1").

Position Variant optional. Position oder Art der neuen Befehlsleiste. Dies kann eine der MsoBarPosition-Konstanten in der folgenden Tabelle sein.

Konstante | Beschreibung
msoBarLeft, msoBarTop, msoBarRight, msoBarBottom | Geben die rechte, linke, obere und untere Koordinate der neuen Befehlsleiste an.
msoBarFloating | Gibt an, dass die neue Befehlsleiste nicht verankert ist.
msoBarPopup | Gibt an, dass die neue Befehlsleiste ein Kontextmenü ist.
msoBarMenuBar | Nur Macintosh

MenuBar Variant optional. True, wenn die aktive Menüleiste durch die neue Befehlsleiste ersetzt werden soll. Der Standardwert ist False.

Temporary Variant optional. True, wenn die neue Befehlsleiste temporär sein soll. Temporäre Befehlsleisten werden gelöscht, wenn die Containeranwendung geschlossen wird. Der Standardwert ist False.


Beispiel zur Add-Methode (CommandBars-Auflistung)

In diesem Beispiel wird auf oberer Ebene die Befehlsleiste "Custom" hinzugefügt. Außerdem wird der Befehlsleiste eine integrierte Schaltfläche zum Einfügen hinzugefügt.

Set mybar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With mybar
    .Controls.Add Type:=msoControlButton, Id:= _
        CommandBars("Edit").Controls("Paste").ID
    .Visible = True
End With


Add-Methode (DocumentProperties-Auflistung)

Erstellt eine neue benutzerdefinierte Dokumenteigenschaft. Sie können diese Methode nur mit der DocumentProperties-Auflistung verwenden.

Syntax

expression.Add(Name, LinkToContent, Type, Value, LinkSource)

expression Erforderlich. Das benutzerdefinierte DocumentProperties-Objekt.

Name String erforderlich. Der Name der Eigenschaft.

LinkToContent Boolean erforderlich. Gibt an, ob die Eigenschaft mit dem Inhalt des Containerdokuments verknüpft ist. Ist für dieses Argument True festgelegt, dann ist das LinkSource-Argument erforderlich. Ist False festgelegt, dann ist das Value-Argument erforderlich.

Type Long erforderlich. Der Datentyp der Eigenschaft. Dies kann eine der folgenden MsoDocProperties-Konstanten sein: msoPropertyTypeBoolean, msoPropertyTypeDate, msoPropertyTypeFloat, msoPropertyTypeNumber oder msoPropertyTypeString.

Value Variant optional. Der Wert der Eigenschaft, wenn sie nicht mit dem Inhalt des Containerdokuments verknüpft ist. Wenn möglich, wird der Wert entsprechend dem durch das Type-Argument angegebenen Datentyp umgewandelt. Ist dies nicht der Fall, wird ein Fehler ausgegeben. Wenn für LinkToContent der Wert True festgelegt ist, wird das Value-Argument ignoriert, und die neue Dokumenteigenschaft erhält einen Standardwert, bis die verknüpften Eigenschaftswerte von der Containeranwendung aktualisiert werden (gewöhnlich beim Speichern des Dokuments).

LinkSource String optional. Wird ignoriert, wenn LinkToContent den Wert False hat. Die Quelle der verknüpften Eigenschaft. Die Containeranwendung bestimmt, welche Arten von Quellverknüpfungen Sie verwenden können.

Hinweise

Wenn Sie der DocumentProperties-Auflistung eine benutzerdefinierte Dokumenteigenschaft hinzufügen, die mit einem bestimmten Wert in einem Office-Dokument verknüpft ist, müssen Sie das Dokument speichern, um die Änderung an dem DocumentProperty-Objekt anzeigen zu können.


Beispiel zur Add-Methode (DocumentProperties-Auflistung)

In diesem Beispiel, das für die Ausführung in Microsoft Word vorgesehen ist, werden der DocumentProperties-Auflistung drei benutzerdefinierte Dokumenteigenschaften hinzugefügt.

With ActiveDocument.CustomDocumentProperties
    .Add Name:="CustomNumber", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeNumber, _
        Value:=1000
    .Add Name:="CustomString", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeString, _
        Value:="This is a custom property."
    .Add Name:="CustomDate", _
        LinkToContent:=False, _
        Type:=msoPropertyTypeDate, _
        Value:=Date
End With


 AddItem-Methode

AddItem-Methode

Fügt dem angegebenen Kombinationsfeld-Steuerelement der Befehlsleiste ein Listenelement hinzu. Das Kombinationsfeld-Steuerelement muss ein benutzerdefiniertes Steuerelement (ActiveX) und entweder ein Dropdownlistenfeld oder ein Kombinationsfeld sein.

Hinweis Diese Methode funktioniert nicht, wenn es sich bei dem Kombinationsfeld-Steuerelement, auf das sie angewendet wird, um ein Textfeld oder ein integriertes Kombinationsfeld-Steuerelement handelt.

Syntax

expression.AddItem(Text, Index)

expression Erforderlich. Ein Ausdruck, der ein CommandBarComboBox-Objekt zurückgibt.

Text String erforderlich. Das dem angegebenen Steuerelement hinzuzufügende Element.

Index Variant optional. Die Position des angegebenen Elements in der Liste der Elemente. Wird dieses Argument ausgelassen, wird das Element am Ende der Liste hinzugefügt.


Beispiel zur AddItem-Methode

In diesem Beispiel wird der Befehlsleiste "Custom" ein Kombinationsfeld-Steuerelement hinzugefügt, und anschließend werden der Liste zwei Elemente hinzugefügt. Außerdem werden die Anzahl der Zeileneinträge, die Breite des Kombinationsfelds und als Standardwert für das Kombinationsfeld eine Leerzeile festgelegt.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


 Clear-Methode

Clear-Methode

Entfernt alle Listenelemente aus dem angegebenen Kombinationsfeld-Steuerelement (Dropdownlistenfeld oder Kombinationsfeld) der Befehlsleiste und löscht das Textfeld (Bearbeitungsfeld oder Kombinationsfeld).

Hinweis Diese Methode funktioniert nicht, wenn sie auf ein integriertes Befehlsleisten-Steuerelement angewendet wird.

Syntax

expression.Clear

expression Erforderlich. Ein Ausdruck, der ein CommandBarComboBox-Objekt zurückgibt.


ClearFileList-Methode

Löscht die Liste der Dateien für den aktuellen Antwort-Assistenten, einschließlich der Standarddateiliste für die Microsoft Office-Hostanwendung.

Syntax

expression.ClearFileList

expression Ein Ausdruck, der ein AnswerWizard-Objekt zurückgibt.

Hinweise

Verwenden Sie diese Methode, um alle Einträge aus der aktuellen Dateiliste für die angegebene Anwendung zu löschen. Sie können mit dieser Methode außerdem sicherstellen, dass den Benutzern keine Standarddateien des Antwort-Assistenten für die Hostanwendung zur Verfügung stehen. In diesem Fall können Sie mit der Add-Methode der AnswerWizardFiles-Auflistung eine benutzerdefinierte Dateiliste erstellen.

Wenn Sie die Standarddateien des Antwort-Assistenten für die Hostanwendung wiederherstellen möchten, verwenden Sie die ResetFileList-Methode.


Beispiel zur ClearFileList-Methode

In diesem Beispiel wird der Antwort-Assistent so eingerichtet, dass er eine benutzerdefinierte Dateiliste akzeptiert, und es werden zwei benutzerdefinierte Dateien für den Antwort-Assistenten hinzugefügt. Als Erstes wird die Dateiliste gelöscht, danach werden zwei benutzerdefinierte Dateien für den Antwort-Assistenten hinzugefügt. Anschließend werden die Anzahl der Dateien und die Dateinamen überprüft, um sicherzustellen, dass die Dateien korrekt hinzugefügt wurden.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

If customAnswerWizard.Files.Count = 2 Then
    MsgBox "Files " & customAnswerWizard.Files.Item(1) & _
    " and " & customAnswerWizard.Files(2) & _
    " were added sucessfully."
End If


Close-Methode

Schließt die aktive Sprechblase ohne Modus. Verwenden Sie diese Methode nur in Callback-Prozeduren.

Syntax

expression.Close

expression Erforderlich. Ein Ausdruck, der ein Balloon-Objekt zurückgibt.


Beispiel zur Close-Methode

In diesem Beispiel wird eine sprechblasenförmige Legende angezeigt, die für jeden von drei Druckern eine Schaltfläche enthält. Klickt der Benutzer auf eine dieser Schaltflächen, wird die Callback-Prozedur ProcessPrinter ausgeführt und die Sprechblase geschlossen.

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


 Copy-Methode

Copy-Methode

Kopiert das angegebene Befehlsleisten-Steuerelement in eine vorhandene Befehlsleiste.

Syntax

expression.Copy(Bar, Before)

expression Erforderlich. Ein Ausdruck, der ein CommandBarControl-, CommandBarButton-, CommandBarPopup- oder CommandBarComboBox-Objekt zurückgibt.

Bar Variant optional. Ein CommandBar-Objekt, das die Ziel-Befehlsleiste darstellt. Wird dieses Argument ausgelassen, wird das Steuerelement in dieselbe Befehlsleiste kopiert (in die Befehlsleiste, in der es sich bereits befindet).

Before Variant optional. Eine Zahl, die die Position für das neue Steuerelement in der angegebenen Befehlsleiste angibt. Das neue Steuerelement wird vor dem Steuerelement eingefügt, das sich an dieser Position befindet. Wird dieses Argument ausgelassen, wird das Steuerelement an das Ende der Befehlsleiste kopiert.


 CopyFace-Methode

CopyFace-Methode

Kopiert das Symbol des angegebenen Schaltflächen-Steuerelements der Befehlsleiste in die Zwischenablage.

Syntax

expression.CopyFace

expression Erforderlich. Ein Ausdruck, der ein CommandBarButton-Objekt zurückgibt.

Anmerkungen

Verwenden Sie die PasteFace-Methode, um den Inhalt der Zwischenablage in ein Schaltflächensymbol einzufügen.


Beispiel zur CopyFace-Methode

In diesem Beispiel wird die integrierte Schaltfläche Open gesucht. Die Schaltflächenoberfläche wird in die Zwischenablage kopiert und dann in die Schaltfläche Spelling and Grammar eingefügt.

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, ID:=2)
myControl.PasteFace


Delete-Methode

Löscht das angegebene Objekt aus der Auflistung, in der es enthalten ist.

Syntax 1

expression.Delete

Syntax 2

expression.Delete(Temporary)

Syntax 3

expression.Delete(Filename)

expression Erforderlich. Ein Ausdruck, der ein CommandBar- oder DocumentProperty-Objekt (Syntax 1), ein CommandBarControl-Objekt (Syntax 2) oder ein AnswerWizardFiles-Objekt (Syntax 3) zurückgibt.

Temporary Variant optional. True, wenn das Steuerelement für die aktuelle Sitzung gelöscht werden soll. Bei der nächsten Sitzung wird das Steuerelement in der Anwendung wieder angezeigt.

Filename String erforderlich. Der Name der zu löschenden Datei mit vollständigem Pfad, Dateinamen und Dateinamenerweiterung.

Hinweise

Sie können keine integrierte Dokumenteigenschaft löschen.

Bei der Scripts-Auflistung entfernt die Delete-Methode alle Skripts aus dem angegebenen Word-Dokument, dem Excel-Tabellenblatt oder der PowerPoint-Folie. Ein Skriptanchor wird durch ein Shape-Objekt in der Hostanwendung dargestellt. Daher wird das Shape-Objekt, das mit jedem Skriptanchor des Typs msoScriptAnchor verknüpft ist, aus der Shapes-Auflistung in Excel und PowerPoint sowie aus der InlineShapes- und der Shapes-Auflistung in Word gelöscht.


Beispiel zur Delete-Methode

In diesem Beispiel werden alle nicht sichtbaren, benutzerdefinierten Befehlsleisten gelöscht.

foundFlag = False
delBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And _
    (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        delBars = delBars + 1
    End If
Next bar
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox delBars & " custom bar(s) deleted."
End If

In diesem Beispiel wird eine benutzerdefinierte Dokumenteigenschaft gelöscht. Damit dieses Beispiel fehlerfrei ausgeführt wird, muss ein benutzerdefiniertes DocumentProperty-Objekt mit dem Namen "CustomNumber" existieren.

ActiveDocument.CustomDocumentProperties("CustomNumber").Delete


EndWizard-Methode

Schließt das Fenster des Office-Assistenten und gibt die Variable frei, die die Assistentensitzung eindeutig bestimmt.

Anmerkung Verwenden Sie diese Methode nur mit der StartWizard-Methode.

Syntax

expression.EndWizard(WizardID, varfSuccess, Animation)

expression Erforderlich. Ein Ausdruck, der ein Assistant-Objekt zurückgibt.

WizardID Long erforderlich. Eine Zahl, die die Assistentensitzung mit dem Office-Assistenten eindeutig bestimmt, wie sie durch die StartWizard-Methode zurückgegeben wurde.

varfSuccess Boolean erforderlich. Bei der Rückgabe dieser Methode ist dieses Argument True, wenn der Benutzer den Assistenten erfolgreich abschließt.

Animation Variant optional. Der Animationstyp, den der Office-Assistent ausführt, wenn varfSuccess True ist. Der Standardwert ist msoAnimationCharacterSuccessMajor.


Beispiel zur EndWizard-Methode

In diesem Beispiel wird der Office-Assistent für eine Assistentensitzung geschlossen, die vom Benutzer erfolgreich abgeschlossen wurde. Der Variablen lHelpForWiz wurde der von der StartWizard-Methode zurückgegebene Wert zugewiesen.

Assistant.EndWizard WizardId:=lHelpForWiz, _
    varfSuccess:=True, Animation:=msoAnimationGoodbye


Execute-Methode

Startet eine mit einem Befehlsleisten-Steuerelement verbundene Prozedur oder beginnt die Suche nach Dateien. Klicken Sie auf eines der folgenden Objekte, um eine genauere Beschreibung der Execute-Methode für dieses Objekt anzuzeigen.

CommandBarButton

CommandBarControl

CommandBarPopup

CommandBarComboBox

FileSearch


 Execute-Methode (CommandBarControl-Objekt)

Execute-Methode (CommandBarControl-Objekt)

Führt die Prozedur oder den integrierten Befehl aus, die bzw. der dem angegebenen Befehlsleisten-Steuerelement zugewiesen ist. Verwenden Sie für benutzerdefinierte Steuerelemente die OnAction-Eigenschaft, um anzugeben, welche Prozedur ausgeführt werden soll.

Syntax

expression.Execute

expression Erforderlich. Ein Ausdruck, der ein CommandBarControl-, ein CommandBarButton-, ein CommandBarPopup- oder ein CommandBarComboBox-Objekt zurückgibt.


Beispiel zur Execute-Methode (CommandBarControl-Objekt)

In diesem Beispiel zu Microsoft Excel wird eine Befehlsleiste erstellt und dieser dann eine integrierte Befehlsleistenschaltfläche hinzugefügt. Die Schaltfläche führt die Excel-Funktion Summe aus. Bei diesem Beispiel wird die Execute-Methode verwendet, um die Summe für den markierten Zellenbereich zu berechnen, wenn die Befehlsleiste angezeigt wird.

Dim cbrCustBar As CommandBar
Dim ctlAutoSum As CommandBarButton
Set cbrCustBar = CommandBars.Add("Custom")
Set ctlAutoSum = cbrCustBar.Controls _
    .Add(msoControlButton, CommandBars("Standard") _
    .Controls("AutoSum").Id)
cbrCustBar.Visible = True
ctlAutoSum.Execute


Execute-Methode (FileSearch-Objekt)

FileSearch-Objekt: Beginnt die Suche nach den angegebenen Dateien.

Syntax 1

expression.Execute(SortBy, SortOrder, AlwaysAccurate)

expression Erforderlich. Ein Ausdruck, der ein FileSearch-Objekt zurückgibt.

SortBy Variant optional. Die für die Sortierung der zurückgegebenen Dateien verwendete Methode. Dies kann eine der folgenden MsoSortBy-Konstanten sein: msoSortbyFileName, msoSortbyFileType, msoSortbyLastModified oder msoSortbySize.

SortOrder Variant optional. Die Reihenfolge, in der die zurückgegebenen Dateien sortiert werden sollen. Dies kann eine der folgenden MsoSortOrder-Konstanten sein: msoSortOrderAscending oder msoSortOrderDescending.

AlwaysAccurate Boolean optional. True, wenn in die Dateisuche Dateien einbezogen werden sollen, die seit der letzten Aktualisierung des Dateiindexes hinzugefügt, geändert oder gelöscht wurden. Der Standardwert ist True.


Beispiel zur Execute-Methode (FileSearch-Objekt)

In diesem Beispiel wird im Ordner My Documents nach allen Dateien gesucht, die die Dateinamenerweiterung .doc haben. Für jede gefundene Datei wird anschließend der Pfad und der Name angezeigt. Die Liste der zurückgegebenen Dateien wird außerdem in aufsteigender alphabetischer Reihenfolge sortiert.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "*.doc"
    If .Execute(SortBy:=msoSortbyFileName, _
            SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


FindControl-Methode

Gibt ein CommandBarControl-Objekt zurück, das den angegebenen Kriterien entspricht.

Syntax

expression.FindControl(Type, Id, Tag, Visible, Recursive)

expression Erforderlich. Ein Ausdruck, der ein CommandBars-Objekt zurückgibt.

Type Variant optional. Der Typ des Steuerelements, nach dem gesucht werden soll. Dies kann eine der folgenden MsoControlType-Konstanten sein:

msoControlActiveX

msoControlCustom

msoControlButton

msoControlEdit

msoControlDropdown

msoControlComboBox

msoControlButtonDropdown

msoControlSplitDropdown

msoControlGenericDropdown

msoControlGraphicCombo

msoControlSplitButtonMRUPopup

msoControlSplitExpandingGrid

 msoControlGraphicDropdown

msoControlPopup

msoControlGraphicPopup

msoControlButtonPopup

msoControlGauge

msoControlLabel

msoControlExpandingGrid

msoControlGrid

msoControlOCXDropDown

msoControlSplitButtonPopup

msoControlPane

Id Variant optional. Der Bezeichner des Steuerelements, nach dem gesucht werden soll.

Tag Variant optional. Der Wert der Markierung des Steuerelements, nach dem gesucht werden soll.

Visible Variant optional. True, wenn in die Suche nur sichtbare Befehlsleisten-Steuerelemente einbezogen werden sollen. Der Standardwert ist False. Sichtbare Befehlsleisten sind sichtbare Symbolleisten und alle Menüs, die zum Zeitpunkt der Ausführung der FindControl-Methode geöffnet sind.

Recursive Boolean optional. True, wenn die Befehlsleiste und alle zugehörigen Untersymbolleisten in die Suche eingeschlossen werden sollen. Der Standardwert ist False.

Anmerkungen

Wenn die CommandBars-Auflistung zwei oder mehr Steuerelemente enthält, die den Suchkriterien entsprechen, gibt FindControl das erste Steuerelement zurück, das gefunden wurde. Wenn kein Steuerelement gefunden wurde, das den Kriterien entspricht, gibt die FindControl-Methode Nothing zurück.


FindControls-Methode

Gibt die CommandBarControls-Auflistung zurück, die den angegebenen Kriterien entspricht.

Syntax

expression.FindControl(Type, Id, Tag, Visible)

expression Erforderlich. Ein Ausdruck, der eine CommandBar-Auflistung zurückgibt.

Type Variant optional. Die Art des Steuerelements. Dies kann eine der folgenden MsoControlType-Konstanten sein:

msoControlActiveX

msoControlCustom

msoControlButton

msoControlEdit

msoControlDropdown

msoControlComboBox

msoControlButtonDropdown

msoControlSplitDropdown

msoControlGenericDropdown

msoControlGraphicCombo

msoControlSplitButtonMRUPopup

msoControlSplitExpandingGrid

 msoControlGraphicDropdown

msoControlPopup

msoControlGraphicPopup

msoControlButtonPopup

msoControlGauge

msoControlLabel

msoControlExpandingGrid

msoControlGrid

msoControlOCXDropDown

msoControlSplitButtonPopup

msoControlPane

Id Variant optional. Der Bezeichner des Steuerelements.

Tag Variant optional. Der Tag-Wert des Steuerelements.

Visible Variant optional. True, wenn nur sichtbare Befehlsleisten-Steuerelemente in die Suche einbezogen werden sollen. Der Standardwert ist False.

Hinweise

Wenn keine Steuerelemente gefunden werden, die den Kriterien entsprechen, gibt die FindControls-Methode Nothing zurück.


Beispiel zur FindControls-Methode

In diesem Beispiel wird die FindControls-Methode zur Rückgabe aller Elemente der CommandBarControls-Auflistung verwendet, deren ID 18 ist. Außerdem wird (in einem Meldungsfenster) die Anzahl der Steuerelemente angezeigt, die die Suchkriterien erfüllen.

Dim myControls As CommandBarControls
Set myControls = CommandBars.FindControls(Type:=msoControlButton, ID:=18)
MsgBox "There are " & myControls.Count & _
    " controls that meet the search criteria."


Help-Methode

Zeigt den Office-Assistenten und die integrierte Sprechblase des Assistenten an.

Syntax

expression.Help

expression Erforderlich. Ein Ausdruck, der ein Assistant-Objekt zurückgibt.


Beispiel zur Help-Methode

In diesem Beispiel wird die integrierte Sprechblase des Assistenten angezeigt, wenn der Benutzer das Kontrollkästchen "I need more information" aktiviert.

Set b = Assistant.NewBalloon
With b
    .Heading = "User Information"
    .Text = "Select your skill level"
    .CheckBoxes(1).Text = "Beginner."
    .CheckBoxes(2).Text = "Advanced."
    .CheckBoxes(3).Text = "I need more information."
    .Show
End With
If b.CheckBoxes(3).Checked = True Then
    Assistant.Help
End If


LoadFromFile-Methode

Aktualisiert den Text im Microsoft Skript-Editor mit Text aus der angegebenen Datei (auf der Festplatte).

Syntax

expression.LoadFromFile(Filename)

expression Ein HTMLProjectItem-Objekt.

Filename Erforderlicher String-Wert. Der vollständige Pfad der Textdatei, die den zu ladenden Text enthält.


Beispiel zur LoadFromFile-Methode

In diesem Beispiel wird festgestellt, ob das angegebene HTML-Projektelement geöffnet ist. Falls ja, wird ein Skript aus der angegebenen Datei geladen.

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


 Move-Methode

Move-Methode

CommandBarControl-Objekt: Verschiebt das angegebene Befehlsleisten-Steuerelement in eine vorhandene Befehlsleiste.

Assistant-Objekt: Verschiebt den Office-Assistenten an die angegebene Position.

Syntax 1

expression.Move(Bar, Before)

Syntax 2

expression.Move(xLeft, yTop)

expression Syntax 1: Erforderlich. Ein Ausdruck, der ein CommandBarControl-, ein CommandBarButton-, ein CommandBarPopup- oder ein CommandBarComboBox-Objekt zurückgibt.

Syntax 2: Erforderlich. Ein Ausdruck, der ein Assistant-Objekt zurückgibt.

Bar Variant optional. Ein CommandBar-Objekt, das die Ziel-Befehlsleiste für das Steuerelement darstellt. Wird dieses Argument ausgelassen, wird das Steuerelement an das Ende derselben Befehlsleiste verschoben, in der es sich bereits befindet.

Before Variant optional. Eine Zahl, die die Position für das Steuerelement angibt. Das Steuerelement wird vor dem Steuerelement eingefügt, das sich derzeit an dieser Position befindet. Wird dieses Argument ausgelassen, wird das Steuerelement in dieselbe Befehlsleiste eingefügt.

xLeft Integer erforderlich. Die linke Position des Office-Assistenten-Fensters in Punkt.

yTop Integer erforderlich. Die obere Position des Office-Assistenten-Fensters in Punkt.


Beispiel zur Move-Methode

In diesem Beispiel wird das erste Kombinationsfeld-Steuerelement aus der benutzerdefinierten Befehlsleiste "Custom" an die Position vor dem siebten Steuerelement in dieser Befehlsleiste verschoben. Außerdem wird die Markierung auf "Selection box" gesetzt und dem Steuerelement ein niedriger Wert für die Priorität zugewiesen, damit es aus der Befehlsleiste gelöst wird, wenn nicht alle Steuerelemente in eine Reihe passen.

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
             .Tag = "Selection box"
             .Priority = 5
         End With
         Exit For
    End If
Next

In diesem Beispiel wird der Office-Assistent an der angegebenen Position angezeigt, und bevor er sichtbar gemacht wird, werden alle Optionen eingestellt.

With Assistant
    .Reduced = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


NewSearch-Methode

Setzt die Einstellungen aller Suchkriterien auf die Standardeinstellungen zurück.

Syntax

expression.NewSearch

expression Erforderlich. Ein Ausdruck, der ein FileSearch-Objekt zurückgibt.

Anmerkungen

Die Einstellungen der Suchkriterien werden für die Dauer einer Anwendungssitzung beibehalten. Verwenden Sie diese Methode, wenn Sie die Suchkriterien ändern. Der Wert der LookIn-Eigenschaft wird durch diese Methode nicht zurückgesetzt.


Beispiel zur NewSearch-Methode

In diesem Beispiel wird die NewSearch-Methode verwendet, um vor dem Start einer neuen Suche die Suchkriterien auf die Standardeinstellungen zurückzusetzen.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "run"
    .TextOrProperty = "San*"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Open-Methode

Öffnet das angegebene HTML-Projekt oder -Projektelement im Microsoft Skript-Editor in einer der Ansichten, die durch die optionalen MsoHTMLProjectOpen-Konstanten (msoHTMLProjectOpenSourceView und msoHTMLProjectOpenTextView) angegeben werden. Ist eine der Konstanten nicht angegeben, wird das Projektelement in der Standardansicht geöffnet.

Syntax

expression.Open(OpenKind)

expression Erforderlich. Ein HTMLProject- oder HTMLProjectItem-Objekt.

OpenKind Optionaler Integer-Wert. Die Ansicht, in der das angegebene Projekt bzw. Projektelement geöffnet wird.

Hinweise

Die Standardansicht hängt davon ab, ob bei Ausführung der Open-Methode der Microsoft Skript-Editor geöffnet ist oder nicht. Ist der Skript-Editor nicht geöffnet, startet die Open-Methode den Skript-Editor in der Quellansicht. Ist der Skript-Editor bereits geöffnet, dann aktiviert die Open-Methode den Skript-Editor und zeigt das Skript in der aktuellen Ansicht an.


Beispiel zur Open-Methode

In diesem Beispiel wird das HTML-Projekt in der aktiven Arbeitsmappe in der Quellansicht geöffnet.

AppActiveWorkbook.HTMLProject.Open _
    (msoHTMLProjectOpenSourceView)

Im folgenden Beispiel wird das erste HTML-Projektelement in der aktiven Arbeitsmappe in der Textansicht geöffnet.

ActiveWorkbook.HTMLProject.HTMLProjectItems _
    Item(1).Open (msoHTMLProjectOpenTextView)


 PasteFace-Methode

PasteFace-Methode

Fügt den Inhalt der Zwischenablage in das angegebene Schaltflächen-Steuerelement der Befehlsleiste ein.

Syntax

expression.PasteFace

expression Erforderlich. Ein Ausdruck, der ein CommandBarButton-Objekt zurückgibt.


Beispiel zur PasteFace-Methode

In diesem Beispiel wird die integrierte Schaltfläche FileOpen gesucht und die Oberfläche der Schaltfläche Spelling and Grammar aus der Zwischenablage auf diese Schaltfläche kopiert.

Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=2)
myControl.CopyFace
Set myControl = CommandBars.FindControl(Type:=msoControlButton, Id:=23)
myControl.PasteFace


RefreshDocument-Methode

Aktualisiert die Anzeige des angegebenen HTML-Projekts in der Microsoft Office-Hostanwendung.

Syntax

expression.RefreshDocument(Refresh)

expression Ein Ausdruck, der ein HTMLProject-Objekt zurückgibt.

Refresh Erforderlicher Boolean-Wert. True, wenn alle Änderungen gespeichert werden sollen, False, wenn alle Änderungen ignoriert werden sollen.

Hinweise

Die Verwendung dieser Methode entspricht dem Klicken auf die Schaltfläche Aktualisieren auf der Symbolleiste Aktualisieren in der Office-Hostanwendung. Wenn Sie die Anzeige des Dokuments aktualisieren, indem Sie die RefreshDocument-Methode auf True setzen, werden alle Änderungen, die im Microsoft Skript-Editor an der HTML-Quelle vorgenommen wurden, in der Office-Hostanwendung gespeichert. Wenn Sie RefreshDocument auf False setzen, werden alle Änderungen an der HTML-Quelle ignoriert. Beachten Sie, dass der Wert, den die State-Methode zurückgibt, von der RefreshDocument-Methode abhängt. Wenn Sie RefreshDocument (True) aufrufen, gibt die State-Methode msoHTMLProjectStateDocumentProjectUnlocked zurück, wenn sie nach der Aktualisierungsaktion aufgerufen wird.


Beispiel zur RefreshDocument-Methode

In diesem Beispiel wird die Anzeige des HTML-Projekts in der aktiven Arbeitsmappe in der Hostanwendung aktualisiert.

ActiveWorkbook.HTMLProject.RefreshDocument (True)


RefreshProject-Methode

Aktualisiert die Anzeige des angegebenen HTML-Projekts im Microsoft Skript-Editor.

Syntax

expression.RefreshProject

expression Ein Ausdruck, der ein HTMLProject-Objekt zurückgibt.

Hinweise

Die Verwendung dieser Methode entspricht dem Klicken auf die Schaltfläche Aktualisieren auf der Symbolleiste Aktualisieren im Microsoft Skript-Editor. Wenn Sie die Anzeige des Dokuments aktualisieren, indem Sie die RefreshDocument-Methode auf True setzen, werden alle Änderungen, die in der Office-Hostanwendung an der HTML-Quelle vorgenommen wurden, im HTML-Projekt im Microsoft Skript-Editor gespeichert. Wenn Sie RefreshDocument auf False setzen, werden alle Änderungen an der HTML-Quelle ignoriert.


Beispiel zur RefreshProject-Methode

In diesem Beispiel wird die Anzeige des HTML-Projekts im Microsoft Skript-Editor aktualisiert.

ActiveWorkbook.HTMLProject.RefreshProject (True)


 ReleaseFocus-Methode

ReleaseFocus-Methode

Löst den Benutzeroberflächenfokus von allen Befehlsleisten.

Syntax

expression.ReleaseFocus

expression Erforderlich. Ein Ausdruck, der ein CommandBars-Objekt zurückgibt.


Beispiel zur ReleaseFocus-Methode

In diesem Beispiel werden der Befehlsleiste "Custom" drei leere Schaltflächen hinzugefügt, und die mittlere Schaltfläche erhält den Fokus. Anschließend wird fünf Sekunden gewartet, bis alle Befehlsleisten den Fokus der Benutzeroberfläche verlieren.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Controls.Add Type:=msoControlButton
    .Visible = True
End With
Set myControl = CommandBars("Custom").Controls(2)
With myControl
    .SetFocus
End With
PauseTime = 5   ' Set duration.
    Start = Timer   ' Set start time.
    Do While Timer < Start + PauseTime
        DoEvents    ' Yield to other processes.
    Loop
    Finish = Timer
CommandBars.ReleaseFocus


Remove-Methode

Entfernt ein PropertyTest-Objekt aus der PropertyTests-Auflistung.

Syntax

expression.Remove(lndex)

expression Erforderlich. Ein Ausdruck, der ein PropertyTests-Objekt zurückgibt.

lndex Long erforderlich. Die Indexnummer des zu entfernenden Eigenschaftstests.


 RemoveItem-Methode

RemoveItem-Methode

Entfernt ein Listenelement aus dem angegebenen Kombinationsfeld-Steuerelement der Befehlsleiste.

Anmerkung Die Eigenschaft funktioniert nicht, wenn sie auf andere Steuerelemente (nicht auf Listensteuerelemente) angewendet wird.

Syntax

expression.RemoveItem(Index)

expression Erforderlich. Ein Ausdruck, der ein CommandBarComboBox-Objekt zurückgibt.

Index Long erforderlich. Das aus der Liste zu entfernende Element.


Beispiel zur RemoveItem-Methode

In diesem Beispiel wird festgestellt, ob sich im angegebenen Kombinationsfeld mehr als drei Elemente befinden. Sind mehr als drei Elemente enthalten, wird das zweite Element entfernt, die Formatvorlage so geändert, dass die Beschriftung des Kombinationsfeldes nicht angezeigt wird, und ein neuer Wert festgelegt. Außerdem wird die Tag-Eigenschaft des übergeordneten Objekts (des CommandBarControl-Objekts) so eingestellt, dass sie die erfolgte Änderung der Liste anzeigt.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
Set myControl = myBar.Controls(1)
With myControl
    If .ListCount > 3 Then
        .RemoveItem 2
        .Style = msoComboNormal
        .Text = "New Default"
         Set ctrl = .Parent
    End If
End With


 Reset-Methode

Reset-Methode

Setzt die angegebene, integrierte Befehlsleiste auf die Standardkonfiguration der Steuerelemente zurück, oder setzt das angegebene integrierte Befehlsleisten-Steuerelement auf die Standardfunktion und das Standardsymbol zurück.

Syntax

expression.Reset

expression Erforderlich. Ein Ausdruck, der ein CommandBar-, ein CommandBarControl-, ein CommandBarButton-, ein CommandBarPopup- oder ein CommandBarComboBox-Objekt zurückgibt.

Anmerkungen

Durch das Zurücksetzen eines integrierten Steuerelements werden die ursprünglich für dieses Steuerelement vorgesehenen Aktionen wiederhergestellt und die einzelnen Eigenschaften des Steuerelements wieder auf den jeweiligen Originalstatus zurückgesetzt. Durch das Zurücksetzen einer integrierten Befehlsleiste werden benutzerdefinierte Steuerelemente (ActiveX) entfernt und die integrierten Steuerelemente wiederhergestellt.


ResetFileList-Methode

Setzt die Liste der Dateien für den aktuellen Antwort-Assistenten auf die Standarddateiliste für die Microsoft Office-Hostanwendung zurück.

Syntax

expression.ResetFileList

expression Ein Ausdruck, der ein AnswerWizard-Objekt zurückgibt.

Hinweise

Verwenden Sie diese Methode, um alle Einträge in der aktuellen Dateiliste für den Antwort-Assistenten auf die Liste in der Windows-Registrierung für die Hostanwendung zurückzusetzen. Sie können eine benutzerdefinierte Standarddateiliste in der Registrierung einrichten, indem Sie die Namen der benutzerdefinierten Dateien dem entsprechenden Registrierungsschlüssel hinzufügen. Weitere Informationen über die Registrierung und das Speichern von Zeichenfolgen für Namen von Dateien des Antwort-Assistenten in der Registrierung finden Sie im Microsoft Office 2000 Resource Kit.


Beispiel zur ResetFileList-Methode

In diesem Beispiel wird die Dateiliste für den aktuellen Antwort-Assistenten zurückgesetzt. Dann werden die Anzahl der Dateien und die Dateinamen in einem Meldungsfeld angezeigt.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer

Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


ResetTips-Methode

Setzt die Anwendungstipps zurück, die in der sprechblasenförmigen Legende des Office-Assistenten angezeigt werden.

Syntax

expression.ResetTips

expression Erforderlich. Ein Ausdruck, der ein Assistant-Objekt zurückgibt.

Anmerkungen

Die ResetTips-Methode entspricht der Schaltfläche Meine Tipps zurücksetzen in der Registerkarte Optionen im Dialogfeld Office-Assistent.


Beispiel zur ResetTips-Methode

In diesem Beispiel werden die Anwendungstipps zurückgesetzt, bevor der Office-Assistent angezeigt wird. Es wird zur Bestätigung eine Sprechblase angezeigt, die den Benutzer über das Zurücksetzen seiner Anwendungstipps informiert.

With Application.Assistant
    .On = True
    .Visible = True
    .Animation = msoAnimationGreeting
    .ResetTips
End With


SaveCopyAs-Methode

Speichert das angegebene HTML-Projektelement unter einem neuen Dateinamen.

Syntax

expression.SaveCopyAs(Filename)

expression Ein HTMLProjectItem-Objekt.

Filename Erforderlicher String-Wert. Der vollständige Pfad der Datei, in der Sie das HTML-Projektelement speichern möchten.


Beispiel zur SaveCopyAs-Methode

In diesem Beispiel wird eine Kopie des Textes des aktuellen HTML-Projektelements in der Datei NewScript.txt gespeichert.

ActiveWorkbook.HTMLProject.HTMLProjectItems. _
    Item(1).SaveCopyAs("C:\NewScript.txt")


SetAvoidRectangle-Methode

Verhindert die Anzeige der sprechblasenförmigen Legende des Office-Assistenten in einem angegebenen Bereich des Bildschirms.

Syntax

expression.SetAvoidRectangle(Left, Top, Right, Bottom)

expression Erforderlich. Ein Ausdruck, der ein Assistant-Objekt zurückgibt.

Left, Top, Right, Bottom Long erforderlich. Die Koordinaten (in Punkt relativ zum Bildschirm) des Bildschirmbereichs, innerhalb dessen die sprechblasenförmige Legende des Office-Assistenten nicht angezeigt werden soll.

Hinweise

Diese Eigenschaft soll verhindern, dass sich benutzerdefinierte Dialogfelder und Assistenten mit der Sprechblase des Office-Assistenten überschneiden.


Beispiel zur SetAvoidRectangle-Methode

In diesem Beispiel wird verhindert, dass die durch die Variable myBalloon dargestellte sprechblasenförmige Legende des Office-Assistenten in dem Bereich des Bildschirms angezeigt wird, der durch die angegebenen Koordinaten (in Pixel gemessen) gekennzeichnet ist.

Set myBalloon = Assistant.NewBalloon
With myBalloon
    .SetAvoidRectangle 300, 250, 700, 500
    .Text = "Cannot display in coordinates " & _
        "300, 250, 700, 500."
    .Show
End With


 SetFocus-Methode

SetFocus-Methode

Verschiebt den Tastaturfokus auf das angegebene Befehlsleisten-Steuerelement. Wenn das Steuerelement deaktiviert oder nicht sichtbar ist, schlägt diese Methode fehl.

Hinweise

Den Fokus bei dem Steuerelement erkennen Sie daran, dass das Steuerelement nach Verwendung dieser Methode dreidimensional hervorgehoben ist. Wenn Sie nun Pfeiltasten drücken, können Sie in den Symbolleisten navigieren, als ob Sie nur durch Drücken von Tasten auf das Steuerelement zugegriffen hätten.

Syntax

expression.SetFocus

expression Erforderlich. Ein Ausdruck, der ein CommandBarControl-, CommandBarButton-, CommandBarPopup- oder CommandBarComboBox-Objekt zurückgibt.


Beispiel zur SetFocus-Methode

In diesem Beispiel wird eine Befehlsleiste mit dem Namen "Custom" erstellt, der dann ein Kombinationsfeld-Steuerelement (ComboBox) und ein Schaltflächen-Steuerelement (Button) hinzugefügt werden. Anschließend wird die SetFocus-Methode verwendet, um den Fokus auf das Kombinationsfeld-Steuerelement (ComboBox) zu setzen.

Set focusBar = CommandBars.Add(Name:="Custom")
With CommandBars("Custom")
    .Visible = True
    .Position = msoBarTop
End With

Set testComboBox = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, ID:=1)
With testComboBox
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
Set testButton = CommandBars("Custom").Controls _
    .Add(Type:=msoControlButton)
testButton.FaceId = 17
' Set the focus to the combo box.
testComboBox.SetFocus


Show-Methode

Balloon-Objekt: Zeigt das angegebene Sprechblasenobjekt an. Gibt eine MsoBalloonType-Konstante zurück, die anzeigt, auf welche Schaltfläche oder Beschriftung der Benutzer klickt. Long schreibgeschützt.

Syntax

expression.Show

espression Erforderlich. Ein Ausdruck, der ein Balloon-Objekt zurückgibt.

Hinweise

Sie können mit dem Rückgabewert der Show-Methode die vom Benutzer ausgewählte Schaltfläche oder die ausgewählte Beschriftung (BalloonLabel) anzeigen. Die Show-Methode gibt eine der folgenden MsoBalloonButtonType-Konstanten zurück, wenn die BalloonType-Eigenschaft den Wert msoBalloonTypeButtons hat:

msoBalloonButtonAbort

msoBalloonButtonCancel

msoBalloonButtonIgnore

msoBalloonButtonNo

msoBalloonButtonOK

msoBalloonButtonRetry

msoBalloonButtonSnooze

msoBalloonButtonYes

 msoBalloonButtonBack

msoBalloonButtonClose

msoBalloonButtonNext

msoBalloonButtonNull

msoBalloonButtonOptions

msoBalloonButtonSearch

msoBalloonButtonTips

msoBalloonButtonYesToAll


 ShowPopup-Methode

ShowPopup-Methode

Zeigt die angegebene Befehlsleiste als Shortcut-Menü an den angegebenen Koordinaten oder an den aktuellen Mauszeigerkoordinaten an.

Anmerkung Wenn die Position-Eigenschaft der Befehlsleiste nicht auf msoBarPopup eingestellt ist, funktioniert diese Methode nicht.

Syntax

expression.ShowPopup(x, y)

expression Erforderlich. Ein Ausdruck, der ein CommandBar-Objekt zurückgibt.

x Variant optional. Die X-Koordinate für die Platzierung des Shortcut-Menüs. Wird dieses Argument ausgelassen, wird die aktuelle X-Koordinate des Mauszeigers verwendet.

y Variant optional. Die Y-Koordinate für die Platzierung des Shortcut-Menüs. Wird dieses Argument ausgelassen, wird die aktuelle Y-Koordinate des Mauszeigers verwendet.


Beispiel zur ShowPopup-Methode

In diesem Beispiel wird ein Kontextmenü mit zwei Steuerelementen erstellt. Das Kontextmenü wird mit der ShowPopup-Methode sichtbar gemacht.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls.Add Type:=msoControlComboBox
End With
myBar.ShowPopup


StartWizard-Methode

Startet den Office-Assistenten und gibt einen Long-Wert zurück, der die Sitzung angibt. Verwenden Sie diese Methode nur zum Ausführen des Office-Assistenten in einem benutzerdefinierten Assistenten.

Anmerkung Die von der StartWizard-Methode zurückgegebene Nummer wird von den Methoden ActivateWizard und EndWizard verwendet.

Syntax

expression.StartWizard(On, Callback, PrivateX, Animation, CustomTeaser, Top, Left, Bottom, Right)

expression Erforderlich. Ein Ausdruck, der ein Assistant-Objekt zurückgibt.

On Boolean erforderlich. True, wenn die Office-Sprechblase mit der Aufforderung zur Entscheidung angezeigt werden soll. In dieser Sprechblase wird der Benutzer gefragt, ob er Hilfe zum aktiven benutzerdefinierten Assistenten wünscht. Die Visible-Eigenschaft ist zum Anzeigen des Office-Assistenten nicht erforderlich, wenn Sie für dieses Argument True angeben.

Callback String erforderlich. Der Name der Callback-Prozedur, die von der Office-Entscheidungssprechblase und von der Verzweigungssprechblase ausgeführt wird. In der Verzweigungssprechblase kann der Benutzer zwischen benutzerdefinierter Hilfe, die Sie für den Assistenten bereitgestellt haben, und der Standardhilfe für Office wählen.

PrivateX Long erforderlich. Eine Zahl, die die Sprechblase angibt, durch die die Callback-Prozedur aufgerufen wurde.

Animation Variant optional. Die Animation, die vom Office-Assistenten ausgeführt wird, wenn diese Methode verwendet wird. Der Standardwert ist msoAnimationGetWizardy.

CustomTeaser Variant optional. False, wenn die Office-Entscheidungssprechblase angezeigt werden soll.

Top, Left, Bottom, Right Variant optional. Die Position der Ecken (in Punkt und relativ zum Bildschirm) des benutzerdefinierten Assistenten, die vermieden werden, wenn der Office-Assistent angezeigt wird.

Hinweise

Im Gegensatz zu den Callback-Prozeduren, die von Standardsprechblasen ohne Modus verwendet werden, akzeptieren die Callback-Prozeduren, die durch die während einer Office-Assistenten-Sitzung angezeigten Entscheidungs- und Verzweigungssprechblasen ohne Modus aufgerufen werden, nur zwei Argumente: eine MsoWizardMsgType-Konstante und den eindeutigen Wert, der durch das PrivateX-Argument der StartWizard-Methode angegeben wird.

Wenn der Benutzer in der Entscheidungs- oder Verzweigungssprechblase auf die linke Schaltfläche klickt, wird die msoWizardMsgShowHelp-Konstante an das erste Argument der Callback-Prozedur übergeben. Klickt der Benutzer auf die rechte Schaltfläche, wird die msoWizardLocalStateOff-Konstante übergeben. (Die anderen MsoWizardMsgType-Konstanten werden durch die ActivateWizard-Methode übergeben, wenn Sie für das Act-Argument msoWizardActResume oder msoWizardActSuspend angegeben haben.) Im Falle von msoWizardMsgShowHelp sollte die Callback-Prozedur die richtige Sprechblase für das aktuelle Fenster des benutzerdefinierten Assistenten anzeigen. Im Falle der msoWizardLocalStateOff-Konstante sollte die Callback-Prozedur die sichtbare Sprechblase verbergen.


Beispiel zur StartWizard-Methode

In diesem Beispiel wird der Office-Assistent als Teil eines Prozesses gestartet, um zusätzliche Erklärungen für vorhandene, benutzerdefinierte Assistenten verfügbar zu machen. Wenn der Benutzer auf die Markierung in der sprechblasenförmigen Legende klickt, die zusätzliche Hilfe anfordert, wird die Callback-Prozedur gestartet. Die Variable lHelpForWiz ist auf den von der StartWizard-Methode zurückgegebenen Wert (Long) festgelegt.

lHelpForWiz = Assistant.StartWizard(On:=True, _
    Callback:="myCallback", PrivateX:=23)


State-Methode

Gibt den Zustand des genannten HTML-Projekts an. Der zurückgegebene Zustand kann eine der folgenden MsoHTMLProjectState-Konstanten sein: msoHTMLProjectStateDocumentLocked, msoHTMLProjectStateDocumentProjectUnlocked oder msoHTMLProjectStateProjectLocked. Schreibgeschützter Long-Wert.

Hinweise

Die MsoHTMLProjectState-Konstanten entsprechen dem Zustand der Symbolleiste Aktualisieren in der Microsoft Office-Hostanwendung oder im Microsoft Skript-Editor. Der Rückgabewert msoHTMLProjectStateDocumentLocked weist darauf hin, dass die Symbolleiste Aktualisieren in der Hostanwendung angezeigt wird. Der Wert msoHTMLProjectStateProjectLocked gibt an, dass diese Symbolleiste im Microsoft Skript-Editor angezeigt wird. Der Wert msoHTMLProjectStateDocumentProjectUnlocked besagt, dass die Symbolleiste überhaupt nicht angezeigt wird.


Beispiel zur State-Methode

In diesem Beispiel wird ein Meldungsfeld mit der MsoHTMLProjectState-Konstante angezeigt, die den aktuellen Zustand des HTML-Projekts in der aktiven Arbeitsmappe angibt.

Select Case ActiveWorkbook.HTMLProject.State
    Case 1
        MsgBox "The current state is " & _
        "msoHTMLProjectStateDocumentLocked"
    Case 2
        MsgBox "The current state is " & _
        "msoHTMLProjectStateProjectLocked"
    Case 3
        MsgBox "The current state is " & _
        "msoHTMLProjectStateDocumentProjectUnlocked"
End Select


Update-Methode

Aktualisiert den Inhalt der COMAddIns-Auflistung mit der Liste der in der Windows-Registrierung gespeicherten Add-Ins.

Syntax

expression.Update

expression Die COMAddIns-Auflistung.

Hinweise

Damit Sie ein bestimmtes COM-Add-In in einer Microsoft Office-Anwendung verwenden können, muss dieses Add-In in der Windows-Registrierung als COM-Komponente mit einer entsprechenden Komponentenkategorie-ID (Component Category ID) registriert sein.


Beispiel zur Update-Methode

Im folgenden Beispiel wird der Inhalt der COMAddIns-Auflistung mit der Liste der in der Windows-Registrierung gespeicherten Add-Ins aktualisiert.

Application.COMAddIns.Update


Neue Objekte

Die folgende Tabelle zeigt die Objekte, die zu Visual Basic in Microsoft Office hinzugefügt wurden.

Objekt | Beschreibung
AnswerWizard | Stellt den Antwort-Assistenten in einer Microsoft Office-Anwendung dar.
COMAddIn | Stellt ein COM-Add-In in einer Microsoft Office-Hostanwendung dar.
HTMLProject | Stellt einen Projektzweig auf der obersten Ebene dar, wie z. B. im Projektexplorer oder im Microsoft Skript-Editor.
LanguageSettings | Gibt Informationen über die Spracheinstellungen in einer Microsoft Office-Anwendung zurück.
Script | Stellt einen Block HTML-Skript in einem Microsoft Word-Dokument, einem Microsoft Excel-Arbeitsblatt oder einer Microsoft PowerPoint-Folie dar.
WebPageFont | Stellt die Standardschriftart dar, die für einen bestimmten Zeichensatz beim Speichern von Dokumenten als Webseiten verwendet wird.


AnswerWizard-Objekt

Stellt den Antwort-Assistenten in einer Microsoft Office-Anwendung dar. Pro Anwendung existiert nur ein Antwort-Assistent, und alle Änderungen an der AnswerWizard- oder AnswerWizardFiles-Auflistung wirken sich sofort auf die aktive Office-Anwendung aus.

Verwenden des AnswerWizard-Objekts

Verwenden Sie die ClearFileList-Methode, um alle Einträge aus der Liste der im aktuellen Antwort-Assistenten verfügbaren Dateien zu entfernen. Mit dieser Methode stellen Sie sicher, dass auf die in der Office-Hostanwendung verfügbaren Standarddateien nicht mehr über den Antwort-Assistenten zugegriffen werden kann, beispielsweise, wenn Sie die Dateien das Antwort-Assistenten durch benutzerdefinierte .aw-Dateien ersetzen. Im folgenden Beispiel wird die Dateiliste für den Standard-Antwort-Assistenten gelöscht, dann werden dem benutzerdefinierten Antwort-Assistenten zwei Dateien hinzugefügt.

customAnswerWizard.ClearFileList
customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")
customAnswerWizard.Files.Add ("c:\awfiles\custom_2.aw")

Verwenden Sie die ResetFileList-Methode, um die Dateiliste für den aktuellen Antwort-Assistenten auf die Standarddateiliste für die Office-Hostanwendung zurückzusetzen. Sie können auch eine benutzerdefinierte Standarddateiliste in der Windows-Registrierung erstellen, indem Sie die Namen der benutzerdefinierten Dateien dem entsprechenden Registrierungsschlüssel hinzufügen. Die in diesem Registrierungsschlüssel angegebenen Dateien werden dann wiederhergestellt, wenn ResetFileList aufgerufen wird. Im folgenden Beispiel wird die Dateiliste für den aktuellen Antwort-Assistenten zurückgesetzt.

customAnswerWizard.ResetFileList

Verwenden Sie die Files-Methode, um die Auflistung der Dateireferenzen für den Antwort-Assistenten abzurufen. Die Files-Eigenschaft gibt eine Zusammenstellung von Zeichenfolgen zurück, die auf .aw-Dateien verweisen. Im folgenden Beispiel wird die AnswerWizardFiles-Auflistung zurückgegeben und die Anzahl der Dateien in einem Meldungsfeld angezeigt.

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count


AnswerWizardFiles-Auflistung

Eine Zusammenstellung von Referenzen zu Dateien des Antwort-Assistenten. Die AnswerWizardFiles-Auflistung enthält alle Dateien des Antwort-Assistenten (Dateinamenerweiterung .aw), die der aktiven Microsoft Office-Anwendung zur Verfügung stehen.

Verwenden der AnswerWizardFiles-Auflistung

Verwenden Sie die Files-Eigenschaft, um die Auflistung der Referenzen zu den Dateien des Antwort-Assistenten abzurufen. Die Files-Eigenschaft gibt eine Zusammenstellung von Zeichenfolgen zurück, die auf .aw-Dateien verweisen. Im folgenden Beispiel wird die AnswerWizardFiles-Auflistung zurückgegeben und ein Meldungsfeld mit der Anzahl der Dateien angezeigt.

Dim customAnswerWizardFiles As AnswerWizardFiles
Set customAnswerWizardFiles = Application.AnswerWizard.Files

MsgBox customAnswerWizardFiles.Count

Verwenden Sie die Add-Methode, um im aktuellen Antwort-Assistenten weitere Dateien verfügbar zu machen. Im folgenden Beispiel wird die Datei Custom_1.aw der Liste der Dateien des Antwort-Assistenten in der aktiven Office-Anwendung hinzugefügt.

Dim customAnswerWizard As AnswerWizard
Set customAnswerWizard = Application.AnswerWizard

customAnswerWizard.Files.Add ("c:\awfiles\custom_1.aw")

Verwenden Sie die Item-Eigenschaft, um den Namen einer referenzierten Datei des Antwort-Assistenten abzurufen. Im folgenden Beispiel wird ein Meldungsfeld mit dem Namen der Datei angezeigt, auf die durch Item(1) verwiesen wird.

MsgBox customAnswerWizard.Files.Item(1)


Assistant-Objekt

Stellt den Microsoft Office-Assistenten dar.

Verwenden des Assistant-Objekts

Verwenden Sie die Assistant-Eigenschaft, um das Assistant-Objekt zurückzugeben. Für das Assistant-Objekt gibt es keine Auflistung. Es kann immer nur ein Assistant-Objekt zu einer Zeit aktiv sein. Verwenden Sie die Visible-Eigenschaft, um den Assistenten anzuzeigen, und die On-Eigenschaft, um den Assistenten zu aktivieren.

Hinweise

Der Standardassistent ist Rocky. Wenn ein anderer Assistent vom Programm ausgewählt werden soll, verwenden Sie die FileName-Eigenschaft.

Im folgenden Beispiel wird der Assistent angezeigt und animiert.

With Assistant
    .Visible = True
    .Animation = msoAnimationGreeting
End With


Balloon-Objekt

Stellt die Sprechblase dar, in der die Informationen des Office-Assistenten angezeigt werden. Eine Sprechblase kann Steuerelemente wie Kontrollkästchen und Beschriftungen enthalten.

Verwenden des Balloon-Objekts

Verwenden Sie die NewBalloon-Eigenschaft, um ein Balloon-Objekt zurückzugeben. Für das Balloon-Objekt gibt es keine Auflistung. Es kann immer nur eine Sprechblase zu einer Zeit sichtbar sein. Sie können jedoch mehrere Sprechblasen definieren und je nach Bedarf eine davon anzeigen. Weitere Informationen hierzu finden Sie unter "Definieren und Wiederverwenden von Sprechblasen" weiter unten in diesem Thema.

Verwenden Sie die Show-Methode, um die angegebene Sprechblase sichtbar zu machen. Mit der Callback-Eigenschaft führen Sie Prozeduren basierend auf der Auswahl in Sprechblasen ohne Modus (Sprechblasen, die sichtbar bleiben, während der Benutzer in der Anwendung arbeitet) aus. Verwenden Sie die Close-Methode, um Sprechblasen ohne Modus zu schließen.

Im folgenden Beispiel wird eine Sprechblase erstellt, die Tipps zum Speichern von eingegebenen Daten enthält.

With Assistant.NewBalloon
    .BalloonType = msoBalloonTypeBullets
    .Icon = msoIconTip
    .Button = msoButtonSetOk
    .Heading = "Tips for Saving Information."
    .Labels(1).Text = "Save your work often."
    .Labels(2).Text = "Install a surge protector."
    .Labels(3).Text = "Exit your application properly."
    .Show
End With

Definieren und Wiederverwenden von Sprechblasen

Sie können bereits erstellte Sprechblasenobjekte wieder verwenden, indem Sie das Objekt einer Variablen zuweisen und die Variable anzeigen, wenn Sie sie benötigen. In diesem Beispiel werden balloon1 und balloon2 getrennt definiert, so dass sie wieder verwendet werden können.

Set balloon1 = Assistant.NewBalloon
balloon1.Heading = "First balloon"
Set balloon2 = Assistant.NewBalloon
balloon2.Heading = "Second balloon"
balloon1.Show
balloon2.Show
balloon1.Heading = "First balloon, new heading"
balloon1.Show

Anstatt zwei separate Variablen zu verwenden, können Sie das Sprechblasenobjekt auch in ein Datenfeld platzieren.


BalloonCheckBox-Objekt

Stellt ein Kontrollkästchen in der Sprechblase des Office-Assistenten dar. Das BalloonCheckBox-Objekt ist ein Bestandteil der BalloonCheckBoxes-Auflistung.

Verwenden des BalloonCheckBox-Objekts

Verwenden Sie CheckBoxes(index), wobei index eine Ziffer von 1 bis 5 ist, um ein einziges BalloonCheckBox-Objekt zurückzugeben. Eine Sprechblase kann bis zu fünf Kontrollkästchen enthalten. Jedes Kontrollkästchen wird angezeigt, wenn seiner Text-Eigenschaft ein Wert zugewiesen wird.

Im folgenden Beispiel wird eine Sprechblase mit Überschrift, Text und drei Auswahlmöglichkeiten für die Region erstellt. Der Benutzer klickt auf ein oder mehrere Kontrollkästchen und dann auf OK. Der Beispielcode ruft die angegebene(n) Prozedur(en) auf.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Hinweise

Kontrollkästchen in Sprechblasen zeigen die Auswahl des Benutzers an, bis der Benutzer die Sprechblase schließt. Sie können Sprechblasenbeschriftungen verwenden, um in der Select-Methode eine Zahl zurückzugeben, die der Auswahl des Benutzers entspricht, sobald der Benutzer auf die Schaltfläche neben der Beschriftung klickt. Damit Werte basierend auf der Auswahl des Benutzers an die Select-Methode übergeben werden, muss die Sprechblasenart msoBalloonTypeButtons sein.


BalloonCheckBoxes-Auflistung

Ein Auflistung von BalloonCheckBox-Objekten, die alle Kontrollkästchen in der Sprechblase des Office-Assistenten darstellen.

Verwenden der BalloonCheckBoxes-Auflistung

Verwenden Sie die CheckBoxes-Eigenschaft, um die BalloonCheckBoxes-Auflistung zurückzugeben.

Verwenden Sie CheckBoxes(index), wobei index eine Zahl von 1 bis 5 ist, um ein einziges BalloonCheckBox-Objekt zurückzugeben. Sie können bis zu fünf Kontrollkästchen (und fünf Beschriftungen) pro Sprechblase angeben. Jedes Kontrollkästchen wird angezeigt, wenn seiner Text-Eigenschaft ein Wert zugewiesen ist. Wenn Sie mehr als fünf Kontrollkästchen angeben, tritt ein Laufzeitfehler auf.

Im folgenden Beispiel wird eine Sprechblase mit Überschrift, Text und drei Auswahlmöglichkeiten für die Region erstellt. Wenn der Benutzer auf ein oder mehrere Kontrollkästchen und dann auf OK klickt, ruft der Beispielcode die angegebene(n) Prozedur(en) auf.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
    If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Sie können keine Kontrollkästchen zur BalloonCheckBoxes-Auflistung hinzufügen oder aus dieser entfernen, nachdem die Sprechblase angezeigt worden ist.

Hinweise

Kontrollkästchen in Sprechblasen zeigen die Auswahl des Benutzers an, bis der Benutzer die Sprechblase schließt. Sie können Sprechblasenbeschriftungen verwenden, um in der Select-Methode eine Zahl zurückzugeben, die der Auswahl des Benutzers entspricht, sobald der Benutzer auf die Schaltfläche neben der Beschriftung klickt. Damit Werte basierend auf der Auswahl des Benutzers an die Select-Methode übergeben werden, muss die Sprechblasenart msoBalloonTypeButtons sein.


BalloonLabel-Objekt

Stellt eine Beschriftung in der Sprechblase des Office-Assistenten dar. Das BalloonLabel-Objekt ist ein Bestandteil der BalloonLabels-Auflistung.

Verwenden des BalloonLabel-Objekts

Verwenden Sie Labels(index), wobei index eine Zahl von 1 bis 5 ist, um ein BalloonLabel-Objekt zurückzugeben. Eine Sprechblase kann bis zu fünf Beschriftungen enthalten. Jede Beschriftung wird angezeigt, wenn ihrer Text-Eigenschaft ein Wert zugewiesen ist.

Im folgenden Beispiel wird eine Sprechblase erstellt, in der der Benutzer aufgefordert wird, auf die richtige Beschriftung für sein Alter zu klicken.

With Assistant.NewBalloon
    .Heading = "Check Your Age Group."
    .Labels(1).Text = "Under 30."
    .Labels(2).Text = "30 to 50."
    .Labels(3).Text = "Over 50."
    .Text = "Which of the following " _
        & .Labels.Count & " choices apply to you?"
    .Show
End With

Hinweise

Kontrollkästchen in Sprechblasen zeigen die Auswahl des Benutzers an, bis der Benutzer die Sprechblase schließt. Sie können Sprechblasenbeschriftungen verwenden, um in der Select-Methode eine Zahl zurückzugeben, die der Auswahl des Benutzers entspricht, sobald der Benutzer auf die Schaltfläche neben der Beschriftung klickt. Damit Werte basierend auf der Auswahl des Benutzers an die Select-Methode übergeben werden, muss die Sprechblasenart msoBalloonTypeButtons sein.


BalloonLabels-Auflistung

Eine Auflistung von BalloonLabel-Objekten, die alle Beschriftungen in der Sprechblase des Office-Assistenten darstellen.

Verwenden der BalloonLabels-Auflistung

Verwenden Sie die Labels-Eigenschaft, um die BalloonLabels-Auflistung zurückzugeben.

Verwenden Sie Labels(index), wobei index eine Zahl von 1 bis 5 ist, um ein BalloonLabel-Objekt zurückzugeben. Sie können bis zu fünf Beschriftungen (und fünf Kontrollkästchen) pro Sprechblase angeben. Jede Beschriftung wird angezeigt, wenn ihrer Text-Eigenschaft ein Wert zugewiesen ist. Wenn Sie mehr als fünf Beschriftungen angeben, tritt ein Laufzeitfehler auf.

Im folgenden Beispiel wird eine Sprechblase mit drei Auswahlmöglichkeiten erstellt. Die returnValue-Variable ist auf den Rückgabewert der Show-Methode gesetzt und ist 1, 2 oder 3, je nachdem, auf welche Beschriftung der Benutzer klickt. In diesem Beispiel wird der Wert der returnValue-Variablen zurückgegeben. Diesen Wert können Sie entweder an eine andere Prozedur übergeben oder in einer Select Case-Anweisung verwenden.

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    returnValue = .Show
End With

Hinweise

Kontrollkästchen in Sprechblasen zeigen die Auswahl des Benutzers an, bis der Benutzer die Sprechblase schließt. Sie können Sprechblasenbeschriftungen verwenden, um in der Select-Methode eine Zahl zurückzugeben, die der Auswahl des Benutzers entspricht, sobald der Benutzer auf die Schaltfläche neben der Beschriftung klickt. Damit Werte basierend auf der Auswahl des Benutzers an die Select-Methode übergeben werden, muss die Sprechblasenart msoBalloonTypeButtons sein.


COMAddIn-Objekt

COMAddIn-Objekt der COMAddIns-Auflistung

Stellt ein COM-Add-In in der Microsoft Office-Hostanwendung dar. Das COMAddIn-Objekt ist ein Element der COMAddIns-Auflistung.

Verwenden des COMAddIn-Objekts

Verwenden Sie COMAddIns.Item(index), wobei index entweder eine Ordnungszahl ist, die das COM-Add-In an der entsprechenden Position in der COMAddIns-Auflistung angibt, oder ein String-Wert, der die ProgID des angegebenen COM-Add-Ins angibt. Das folgende Beispiel zeigt den Beschreibungstext eines COM-Add-Ins in einem Meldungsfeld.

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description

Verwenden Sie die ProgID-Eigenschaft des COMAddIn-Objekts, um den programmtechnischen Bezeichner für ein COM-Add-In zurückzugeben, und die Guid-Eigenschaft, um den global eindeutigen Bezeichner (GUID, Globally Unique Identifier) für das Add-In zurückzugeben. Im folgenden Beispiel werden ProgID und GUID für COM-Add-In 1 in einem Meldungsfeld angezeigt.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid

Verwenden Sie die Connect-Eigenschaft, um den Zustand der Verbindung zu dem angegebenen COM-Add-In einzustellen oder zurückzugeben. Im folgenden Beispiel wird ein Meldungsfeld angezeigt, das angibt, ob das COM-Add-In 1 registriert ist und gegenwärtig eine Verbindung zu ihm besteht.

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
MsgBox "The add-in is not connected."
End If

Detaillierte Informationen zum Entwickeln eines COM-Add-Ins finden Sie im entsprechenden Kapitel im Microsoft Office 2000/Visual Basic Programmierhandbuch.


COMAddIns-Auflistung

COMAddIn-Objekt der COMAddIns-Auflistung

Eine Auflistung von COMAddIn-Objekten, die Informationen über ein in der Windows-Registrierung registriertes COM-Add-In enthalten.

Verwenden der COMAddIns-Auflistung

Verwenden Sie die COMAddIns-Eigenschaft des Application-Objekts, um die COMAddIns-Auflistung für eine Microsoft Office-Hostanwendung zurückzugeben. Diese Auflistung enthält alle COM-Add-Ins, die in einer bestimmten Office-Hostanwendung zur Verfügung stehen. Die Count-Eigenschaft der COMAddIns-Auflistung gibt die Anzahl der verfügbaren COM-Add-Ins zurück, wie Sie im folgenden Beispiel sehen.

MsgBox Application.COMAddIns.Count

Verwenden Sie die Update-Methode der COMAddIns-Auflistung, um die Liste der COM-Add-Ins mit der Windows-Registrierung zu aktualisieren, wie im folgenden Beispiel gezeigt.

Application.COMAddIns.Update

Verwenden Sie COMAddIns.Item(index), wobei index entweder eine Ordnungszahl ist, die das COM-Add-In an der entsprechenden Position in der COMAddIns-Auflistung zurückgibt, oder ein String-Wert, der die ProgID des angegebenen COM-Add-Ins darstellt. Im folgenden Beispiel werden der Beschreibungstext und die ProgID ("msodraa9.ShapeSelect") eines COM-Add-Ins in einem Meldungsfeld angezeigt.

MsgBox Application.COMAddIns.Item("msodraa9.ShapeSelect").Description

Detaillierte Informationen zum Entwickeln eines COM-Add-Ins finden Sie im entsprechenden Kapitel im Microsoft Office 2000/Visual Basic Programmierhandbuch.


 CommandBar-Objekt

CommandBar-Objekt

Stellt eine Befehlsleiste in der Containeranwendung dar. Das CommandBar-Objekt ist ein Bestandteil der CommandBars-Auflistung.

Verwenden des CommandBar-Objekts

Verwenden Sie CommandBars(index), wobei index der Name oder die Indexnummer einer Befehlsleiste ist, um ein einziges CommandBar-Objekt zurückzugeben. Im folgenden Beispiel wird die Auflistung der Befehlsleisten durchlaufen, um die Befehlsleiste "Forms" zu suchen. Wird diese Befehlsleiste gefunden, dann macht der Beispielcode sie sichtbar und schützt ihren Andockstatus. In diesem Beispiel stellt die cb-Variable ein CommandBar-Objekt dar.

foundFlag = False
For Each cb In CommandBars
    If cb.Name = "Forms" Then
        cb.Protection = msoBarNoChangeDock
        cb.Visible = True
        foundFlag = True
    End If
Next cb
If Not foundFlag Then
    MsgBox "The collection does not contain a Forms command bar."
End If

Sie können einen Namen oder eine Indexnummer verwenden, um in der Liste der verfügbaren Menü- und Symbolleisten in der Containeranwendung eine Menüleiste oder eine Symbolleiste anzugeben. Wenn Sie jedoch ein Menü, ein Kontextmenü oder ein Untermenü angeben möchten (alle durch CommandBar-Objekte dargestellt), müssen Sie einen Namen verwenden. In diesem Beispiel wird am unteren Ende des Menüs Tools ein neuer Menübefehl hinzugefügt. Wenn der Benutzer auf diesen neuen Menübefehl klickt, wird die Prozedur "qtrReport" ausgeführt.

Set newItem = CommandBars("Tools").Controls.Add(Type:=msoControlButton)
With newItem
    .BeginGroup = True
    .Caption = "Make Report"
    .FaceID = 0
    .OnAction = "qtrReport"
End With

Wenn zwei oder mehr benutzerdefinierte Menüs oder Untermenüs den gleichen Namen haben, gibt CommandBars(index) den ersten zurück. Damit in jedem Fall das richtige Menü bzw. Untermenü zurückgegeben wird, suchen Sie das Popup-Steuerelement, das das Menü anzeigt, und wenden die CommandBar-Eigenschaft auf dieses Steuerelement an, so dass die Befehlsleiste zurückgegeben wird, die dieses Menü darstellt.

In diesem Beispiel wird davon ausgegangen, dass das dritte Steuerelement auf der Symbolleiste "Custom Tools" ein Popup-Steuerelement ist. Am unteren Ende des entsprechenden Menüs wird der Befehl Save hinzugefügt.

Set viewMenu = CommandBars("Custom Tools").Controls(3)
viewMenu.Controls.Add ID:=3    'ID of Save command is 3


 CommandBars-Auflistung

CommandBars-Auflistung

Eine Auflistung von CommandBar-Objekten, die die Befehlsleisten in der Containeranwendung darstellen.

Verwenden der CommandBars-Auflistung

Verwenden Sie die CommandBars-Eigenschaft, um die CommandBars-Auflistung zurückzugeben. Im folgenden Beispiel werden im Direktfenster sowohl der Name als auch der lokale Name jeder Menüleiste oder Symbolleiste angezeigt. Außerdem wird ein Wert angezeigt, der angibt, ob die Menü- bzw. Symbolleiste sichtbar ist.

For Each cbar in CommandBars
    Debug.Print cbar.Name, cbar.NameLocal, cbar.Visible
Next

Verwenden Sie die Add-Methode, um der Auflistung eine neue Befehlsleiste hinzuzufügen. Im folgenden Beispiel wird die benutzerdefinierte Symbolleiste "Custom1" erstellt und als unverankerte Symbolleiste angezeigt.

Set cbar1 = CommandBars.Add(Name:="Custom1", Position:=msoBarFloating)
cbar1.Visible = True

Verwenden Sie CommandBars(index), wobei index der Name oder die Indexnummer einer Befehlsleiste ist, um ein einziges CommandBar-Objekt zurückzugeben. Im folgenden Beispiel wird die Symbolleiste "Custom1" am unteren Rand des Anwendungsfensters angedockt.

CommandBars("Custom1").Position = msoBarBottom

Anmerkung Sie können eine Menüleiste oder eine Symbolleiste in der Liste der verfügbaren Menü- und Symbolleisten der Containeranwendung anhand des Namens oder der Indexnummer bestimmen. Um jedoch ein Menü, ein Kontextmenü oder ein Untermenü anzugeben (alle dargestellt durch CommandBar-Objekte), müssen Sie den Namen verwenden.

Wenn zwei oder mehr benutzerdefinierte Menüs oder Untermenüs den gleichen Namen tragen, gibt CommandBars(index) das erste zurück. Damit in jedem Fall das richtige Menü bzw. Untermenü zurückgegeben wird, suchen Sie das Popupsteuerelement, das das Menü anzeigt, und wenden dann die CommandBar-Eigenschaft auf das Popupsteuerelement an, so dass die Befehlsleiste zurückgegeben wird, die dieses Menü darstellt.


 CommandBarButton-Objekt

CommandBarButton-Objekt

Stellt ein Schaltflächen-Steuerelement auf einer Befehlsleiste dar.

Verwenden des CommandBarButton-Objekts

Verwenden Sie Controls(index), wobei index die Indexnummer des Steuerelements ist, um ein CommandBarButton-Objekt zurückzugeben. (Die Type-Eigenschaft des Steuerelements muss msoControlButton sein.)

Im folgenden Beispiel wird davon ausgegangen, dass das zweite Steuerelement auf der Befehlsleiste mit dem Namen "Custom" eine Schaltfläche ist. Der Stil dieser Schaltfläche wird geändert.

Set c = CommandBars("Custom").Controls(2)
With c
If .Type = msoControlButton Then
    If .Style = msoButtonIcon Then
        .Style = msoButtonIconAndCaption
    Else
        .Style = msoButtonIcon
    End If
End If
End With

Sie können auch die FindControl-Methode verwenden, um ein CommandBarButton-Objekt zurückzugeben.


 CommandBarComboBox-Objekt

CommandBarComboBox-Objekt

Stellt ein Kombinationsfeld-Steuerelement auf einer Befehlsleiste dar.

Verwenden des CommandBarComboBox-Objekts

Verwenden Sie Controls(index), wobei index die Indexnummer des Steuerelements ist, um ein CommandBarComboBox-Objekt zurückzugeben. (Die Type-Eigenschaft des Steuerelements muss msoControlEdit, msoControlDropdown, msoControlComboBox, msoControlButtonDropdown, msoControlSplitDropdown, msoControlOCXDropdown, msoControlGraphicCombo oder msoControlGraphicDropdown sein.)

Im folgenden Beispiel werden dem zweiten Steuerelement auf der Befehlsleiste "Custom" zwei Elemente hinzugefügt, und anschließend wird die Größe des Steuerelements angepasst.

Set combo = CommandBars("Custom").Controls(2)
With combo
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListIndex = 0
End With

Sie können auch die FindControl-Methode verwenden, um ein CommandBarComboBox-Objekt zurückzugeben. Im folgenden Beispiel werden alle Befehlsleisten nach einem sichtbaren CommandBarComboBox-Objekt durchsucht, dessen Tag "sheet assignments" ist.

Set myControl = CommandBars.FindControl _
(Type:=msoControlComboBox, Tag:="sheet assignments", Visible:=True)


 CommandBarControl-Objekt

CommandBarControl-Objekt

Stellt ein Befehlsleisten-Steuerelement dar. Das CommandBarControl-Objekt ist ein Bestandteil der CommandBarControls-Auflistung. Die Eigenschaften und Methoden des CommandBarControl-Objekts werden auch von den Objekten CommandBarButton, CommandBarComboBox und CommandBarPopup verwendet.

Anmerkung Wenn Sie Visual Basic-Code zum Arbeiten mit benutzerdefinierten Befehlsleisten-Steuerelementen schreiben, verwenden Sie die Objekte CommandBarButton, CommandBarComboBox und CommandBarPopup. Beim Schreiben von Code für solche integrierten Steuerelemente in der Containeranwendung, die nicht durch eines dieser drei Objekte dargestellt werden können, verwenden Sie das CommandBarControl-Objekt.

Verwenden des CommandBarControl-Objekts

Verwenden Sie Controls(index), wobei index die Indexnummer eines Steuerelements ist, um ein CommandBarControl-Objekt zurückzugeben. (Die Type-Eigenschaft des Steuerelements muss msoControlLabel, msoControlExpandingGrid, msoControlSplitExpandingGrid, msoControlGrid oder msoControlGauge sein.)

Anmerkung Variablen, die als CommandBarControl deklariert sind, können CommandBarButton-, CommandBarComboBox- und CommandBarPopup-Werte zugewiesen werden.

Sie können auch die FindControl-Methode verwenden, um ein CommandBarControl-Objekt zurückzugeben. Im folgenden Beispiel wird nach einem Steuerelement des Typs msoControlGauge gesucht. Wird ein solches gefunden, dann wird die Indexnummer des Steuerelements angezeigt sowie der Name der Befehlsleiste, in der sich das Steuerelement befindet. In diesem Beispiel stellt die lbl-Variable ein CommandBarControl-Objekt dar.

Set lbl = CommandBars.FindControl(Type:= msoControlGauge)
If lbl Is Nothing Then
    MsgBox "A control of type msoControlGauge was not found."
Else
    MsgBox "Control " & lbl.Index & " on command bar " _
        & lbl.Parent.Name & " is type msoControlGauge"
End If


 CommandBarControls-Auflistung

CommandBarControls-Auflistung

Eine Auflistung von CommandBarControl-Objekten, die die Befehlsleisten-Steuerelemente auf einer Befehlsleiste darstellen.

Verwenden der CommandBarControls-Auflistung

Verwenden Sie die Controls-Eigenschaft, um die CommandBarControls-Auflistung zurückzugeben. Im folgenden Beispiel wird der Titel jedes Steuerelements auf der Symbolleiste "Standard" auf den aktuellen Wert der Id-Eigenschaft für das jeweilige Steuerelement geändert.

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl

Verwenden Sie die Add-Methode, um der CommandBarControls-Auflistung ein neues Befehlsleisten-Steuerelement hinzuzufügen. In diesem Beispiel wird der Befehlsleiste "Custom" eine neue, leere Schaltfläche hinzugefügt.

Set myBlankBtn = CommandBars("Custom").Controls.Add

Verwenden Sie Controls(index), wobei index der Titel oder die Indexnummer eines Steuerelements ist, um ein CommandBarControl-, CommandBarButton-, CommandBarComboBox- oder CommandBarPopup-Objekt zurückzugeben. Der folgende Beispielcode kopiert das erste Steuerelement aus der Befehlsleiste "Standard" in die Befehlsleiste "Custom".

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
myControl.Copy Bar:=myCustomBar, Before:=1


 CommandBarPopup-Objekt

CommandBarPopup-Objekt

Stellt ein Popup-Steuerelement auf einer Befehlsleiste dar.

Verwenden des CommandBarPopup-Objekts

Verwenden Sie Controls(index), wobei index die Nummer des Steuerelements ist, um ein CommandBarPopup-Objekt zurückzugeben. (Die Type-Eigenschaft des Steuerelements muss msoControlPopup, msoControlGraphicPopup, msoControlButtonPopup, msoControlSplitButtonPopup oder msoControlSplitButtonMRUPopup sein.)

Sie können auch die FindControl-Methode verwenden, um ein CommandBarPopup-Objekt zurückzugeben. Im folgenden Beispiel werden alle Befehlsleisten nach einem CommandBarPopup-Objekt durchsucht, dessen Tag "Graphics" ist.

Set myControl = Application.CommandBars.FindControl _
(Type:=msoControlPopup, Tag:="Graphics")

Hinweise

Jedes Popup-Steuerelement enthält ein CommandBar-Objekt. Um die Befehlsleiste eines Popup-Steuerelements zurückzugeben, wenden Sie die CommandBar-Eigenschaft auf das CommandBarPopup-Objekt an.


DocumentProperty-Objekt

Stellt eine benutzerdefinierte oder integrierte Dokumenteigenschaft eines Containerdokuments dar. Das DocumentProperty-Objekt ist ein Bestandteil der DocumentProperties-Auflistung.

Verwenden des DocumentProperty-Objekts

Verwenden Sie BuiltinDocumentProperties(index), um ein einziges DocumentProperty-Objekt zurückzugeben, das eine bestimmte integrierte Dokumenteigenschaft darstellt, wobei index der Name oder die Indexnummer der integrierten Dokumenteigenschaft ist. Verwenden Sie CustomDocumentProperties(index), um ein DocumentProperty-Objekt zurückzugeben, das eine bestimmte benutzerdefinierte Dokumenteigenschaft darstellt, wobei index der Name oder die Indexnummer der benutzerdefinierten Dokumenteigenschaft ist.

Die folgende Liste enthält die Namen aller verfügbaren integrierten Dokumenteigenschaften:

Application Name

Author

Category

Comments

Company

Creation Date

Format

Keywords

Last Author

Last Print Date

Last Save Time

Manager

Number of Bytes

Number of Characters

 Number of Hidden Slides

Number of Lines

Number of Multimedia Clips

Number of Notes

Number of Pages

Number of Paragraphs

Number of Slides

Number of Words

Revision Number

Security

Subject

Template

Title

Total Editing Time

In Containeranwendungen ist nicht zwingend für jede integrierte Dokumenteigenschaft ein Wert festgelegt. Wenn in einer bestimmten Anwendung für eine der integrierten Dokumenteigenschaften kein Wert bestimmt ist, wird durch das Zurückgeben der Value-Eigenschaft für diese Dokumenteigenschaft ein Fehler ausgegeben.


DocumentProperties-Auflistung

Eine Auflistung von DocumentProperty-Objekten. Jedes DocumentProperty-Objekt stellt eine integrierte oder benutzerdefinierte Eigenschaft eines Containerdokuments dar.

Verwenden der DocumentProperties-Auflistung

Verwenden Sie die Add-Methode, um eine neue, benutzerdefinierte Eigenschaft zu erstellen und der DocumentProperties-Auflistung hinzuzufügen. Sie können die Add-Methode nicht verwenden, um eine integrierte Dokumenteigenschaft zu erstellen.

Verwenden Sie BuiltinDocumentProperties(index), um ein einziges DocumentProperty-Objekt zurückzugeben, das eine bestimmte integrierte Dokumenteigenschaft darstellt, wobei index die Indexnummer der integrierten Dokumenteigenschaft ist. Verwenden Sie CustomDocumentProperties(index), um ein DocumentProperty-Objekt zurückzugeben, das eine bestimmte benutzerdefinierte Dokumenteigenschaft darstellt, wobei index die Nummer der benutzerdefinierten Dokumenteigenschaft ist.


FileSearch-Objekt

Stellt die Funktionen des Dialogfeldes Öffnen (Menü Datei) dar.

Verwenden des FileSearch-Objekts

Verwenden Sie die FileSearch-Eigenschaft, um das FileSearch-Objekt zurückzugeben. Im folgenden Beispiel wird nach Dateien gesucht, und Anzahl und Namen der gefundenen Dateien werden angezeigt.

With Application.FileSearch
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With

Verwenden Sie die NewSearch-Methode, um die Suchkriterien auf die Standardeinstellungen zurückzusetzen. Alle Eigenschaftenwerte werden nach jedem Suchlauf zunächst beibehalten, und mit der NewSearch-Methode können Sie Eigenschaften für die nächste Dateisuche selektiv festlegen, ohne die vorherigen Eigenschaftenwerte manuell zurückzusetzen. Im folgenden Beispiel werden die Suchkriterien auf die Standardeinstellungen zurückgesetzt, bevor eine neue Suche beginnt.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


FoundFiles-Objekt

Stellt die Liste der Dateien dar, die von einer Dateisuche zurückgegeben werden.

Verwenden des FoundFiles-Objekts

Verwenden Sie die FoundFiles-Eigenschaft, um das FoundFiles-Objekt zurückzugeben. In diesem Beispiel wird die Liste der gefundenen Dateien durchlaufen, und Pfad und Dateiname jeder Datei werden angezeigt. Verwenden Sie FoundFiles(index), wobei index die Indexnummer ist, um den Pfad und den Dateinamen einer bestimmten bei dem Suchlauf gefundenen Datei zurückzugeben.

With Application.FileSearch
    For i = 1 To .FoundFiles.Count
        MsgBox .FoundFiles(i)
    Next I
End With

Verwenden Sie die Execute-Methode, um die Dateisuche zu beginnen und das FoundFiles-Objekt zu aktualisieren. Im folgenden Beispiel wird der Ordner My Documents nach allen Dateien durchsucht, deren Name mit Cmd beginnt, und Name und Verzeichnis jeder gefundenen Datei werden angezeigt. Dabei werden die zurückgegebenen Dateien in aufsteigender alphabetischer Reihenfolge nach dem Dateinamen sortiert.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*"
    If .Execute(SortBy:=msoSortbyFileName, _
    SortOrder:=msoSortOrderAscending) > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


HTMLProject-Objekt

HTMLProjectItem-Objekt der HTMLProjectItems-Auflistung

Stellt einen Projektzweig der obersten Ebene dar, wie dies etwa der Projektexplorer im Microsoft Skript-Editor ist.

Verwenden des HTMLProject-Objekts

Verwenden Sie die Open-Methode des HTMLProject-Objekts, um ein HTML-Projekt im Microsoft Skript-Editor zu öffnen. Das Projekt wird in der Quellansicht oder der Textansicht für das aktive Microsoft Word-Dokument, die aktive Excel-Arbeitsmappe oder die aktive PowerPoint-Präsentation geöffnet. Im folgenden Beispiel wird ein HTML-Projekt im aktiven Word-Dokument in der Quellansicht geöffnet.

ActiveDocument.HTMLProject.Open (msoHTMLProjectOpenSourceView)

Verwenden Sie die HTMLProjectItems-Eigenschaft, um die Auflistung der HTMLProjectItem-Objekte im HTML-Projekt zurückzugeben. Verwenden Sie die RefreshDocument-Methode, um das HTML-Dokument in der Hostanwendung zu aktualisieren. Mit der RefreshProject-Methode aktualisieren Sie das Projekt im Microsoft Skript-Editor. Stellen Sie mit Hilfe der State-Methode fest, ob das HTML-Projekt aktualisiert werden muss.


HTMLProjectItem-Objekt

HTMLProjectItem-Objekt der HTMLProjectItems-Auflistung

Stellt ein einzelnes Projektelement dar, das ein Projektelementzweig im Projektexplorer im Microsoft Skript-Editor ist. Das HTMLProjectItem-Objekt ist ein Element der HTMLProjectItems-Auflistung.

Verwenden des HTMLProjectItem-Objekts

Verwenden Sie HTMLProjectItems(index), wobei index der Name oder die Indexzahl eines Projektelements ist, um ein einzelnes HTMLProjectItem-Objekt zurückzugeben. Verwenden Sie die Name-Eigenschaft, wenn der angezeigte Name des Projektelements zurückgegeben werden soll. Im folgenden Beispiel wird der Name des ersten Projektelements in der HTMLProjectItems-Auflistung für das aktive Dokument zurückgegeben.

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name

Verwenden Sie die Open-Methode, um ein Projektelement in der Quellansicht oder der Textansicht zu öffnen, und die IsOpen-Eigenschaft, um festzustellen, ob das Projektelement gegenwärtig geöffnet ist. Im folgenden Beispiel wird das Projektelement "ItemOne" (im aktiven Dokument) in der Standardansicht geöffnet. Anschließend wird ein Meldungsfeld mit einem Hinweis darauf angezeigt, ob das Element erfolgreich geöffnet wurde.

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Open
If ActiveDocument.HTMLProject. _
        HTMLProjectItems("ItemOne").IsOpen Then
MsgBox "Opened project item " & ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne").Name
End If

Verwenden Sie die SaveCopyAs-Methode, um das Projektelement unter einem neuen Dateinamen zu speichern. Im folgenden Beispiel wird eine Kopie von ItemOne als "NewItem" gespeichert.

ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .Open (msoHTMLProjectOpenTextView)
ActiveDocument.HTMLProject.HTMLProjectItems("ItemOne") _
    .SaveCopyAs("C:\NewItem.txt")

Im folgenden Beispiel wird davon ausgegangen, dass die Textdatei C:\NewText.txt vorhanden ist, und mit der LoadFromFile-Eigenschaft der Text von ItemOne auf den Text in dieser Datei gesetzt. Dabei wird mit Hilfe der Text-Eigenschaft der neue Text in einem Meldungsfeld angezeigt.

MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text
ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").LoadFromFile("C:\NewText.txt")
MsgBox ActiveDocument.HTMLProject.HTMLProjectItems _
    ("ItemOne").Text


HTMLProjectItems-Auflistung

HTMLProjectItem-Objekt der HTMLProjectItems-Auflistung

Eine Auflistung von HTMLProjectItem-Objekten, die die im HTMLProject-Objekt enthaltenen HTML-Projektelemente darstellt.

Verwenden der HTMLProjectItems-Auflistung

Verwenden Sie die HTMLProjectItems-Eigenschaft des HTMLProject-Objekts, um die HTMLProjectItems-Auflistung zurückzugeben. Soll die Anzahl der Projektelemente in dem HTML-Projekt für das angegebene Dokument zurückgegeben werden, dann verwenden Sie die Count-Eigenschaft der HTMLProjectItems-Auflistung. Mit Hilfe der Item-Methode der HTMLProjectItems-Auflistung geben Sie ein einzelnes Projektelement zurück. Im folgenden Beispiel wird der Name des ersten Projektelements in der HTMLProjectItems-Auflistung für das aktive Dokument zurückgegeben.

MsgBox "The first item is " & _
    ActiveDocument.HTMLProject.HTMLProjectItems(1).Name


LanguageSettings-Objekt

LanguageSettings-Objekt

Gibt Informationen über die Spracheinstellungen in einer Microsoft Office-Anwendung zurück.

Verwenden des LanguageSettings-Objekts

Verwenden Sie Application.LanguageSettings.LanguageID(MsoAppLanguageID), wobei MsoAppLanguageID eine der folgenden Konstanten ist, die der LCID (Locale Identifier, Gebietsschemabezeichner) an die angegebene Anwendung zurückgeben: msoLanguageIDExeMode, msoLanguageIDHelp, msoLanguageIDInstall, msoLanguageIDUI oder msoLanguageIDUIPrevious. Im folgenden Beispiel werden die LCIDs der Sprachen für die Installation, die Benutzeroberfläche und die Hilfe in einem Meldungsfeld angezeigt.

MsgBox "The following locale IDs are registered " & _
    "for this application: Install Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDInstall) & _
    " User Interface Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDUI) & _
    " Help Language - " & _
    Application.LanguageSettings.LanguageID(msoLanguageIDHelp)

Verwenden Sie Application.LanguageSettings.LanguagePreferredForEditing, um festzustellen, welche LCIDs als bevorzugte Bearbeitungssprachen für die Anwendung registriert sind, wie im folgenden Beispiel gezeigt.

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "U.S. English is one of the chosen editing languagess."
End If


PropertyTest-Objekt

Stellt ein einzelnes Kriterium für die Dateisuche dar. Suchkriterien werden im Dialogfeld Suchen aufgelistet (Menü Datei , Befehl Öffnen, Menü Extras , Schaltfläche Suchen). Das PropertyTest-Objekt ist ein Bestandteil der PropertyTests-Auflistung.

Verwenden des PropertyTest-Objekts

Verwenden Sie PropertyTests(index), wobei index die Indexnummer ist, um ein einziges PropertyTest-Objekt zurückzugeben. Im folgenden Beispiel werden alle Suchkriterien für den ersten Eigenschaftstest in der PropertyTests-Auflistung angezeigt.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


PropertyTests-Auflistung

Eine Auflistung von PropertyTest-Objekten, die alle Suchkriterien einer Dateisuche darstellen. Suchkriterien werden im Dialogfeld Suchen aufgelistet (Menü Datei, Befehl Öffnen, Menü Extras, Schaltfläche Suchen).

Verwenden der PropertyTests-Auflistung

Verwenden Sie die PropertyTests-Eigenschaft, um die PropertyTests-Auflistung zurückzugeben. Im folgenden Beispiel wird die Anzahl der Suchkriterien für die erweiterte Suche angezeigt, die für einen Suchlauf verwendet werden.

Application.FileSearch.PropertyTests.Count

Verwenden Sie die Add-Methode, um der PropertyTests-Auflistung ein neues PropertyTest-Objekt hinzuzufügen. Im folgenden Beispiel werden den Suchkriterien zwei Eigenschaftstests hinzugefügt. Das erste Kriterium gibt an, dass die gesuchten Dateien von einem beliebigen Dateityp sein können. Das zweite Kriterium gibt an, dass diese Dateien zwischen 01.01.1996 und 30.06.1996 geändert worden sein müssen. Der Beispielcode zeigt die Anzahl der gefundenen Dateien sowie den Namen jeder gefundenen Datei in einem Meldungsfenster an.

Set fs = Application.FileSearch
fs.NewSearch
 With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeAllFiles, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/96", SecondValue:="6/1/96", _
        Connector:=msoConnectorAnd
 End With
    If fs.Execute() > 0 Then
        MsgBox "There were " & fs.FoundFiles.Count & _
            " file(s) found."
        For i = 1 To fs.FoundFiles.Count
            MsgBox fs.FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If

Verwenden Sie PropertyTests(index), wobei index die Indexnummer ist, um ein einziges PropertyTest-Objekt zurückzugeben. Das folgende Beispiel zeigt alle Suchkriterien für den ersten Eigenschaftstest in der PropertyTests-Auflistung an.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


Script-Objekt

Script-Objekt der Scripts-Auflistung

Stellt einen HTML-Skriptblock in einem Microsoft Word-Dokument, einer Microsoft Excel-Kalkulationstabelle oder einer Microsoft PowerPoint-Folie dar. Das Script-Objekt ist ein Element der Scripts-Auflistung.

Verwenden des Script-Objekts

Verwenden Sie Scripts.Item(index), wobei index der Name, die ID oder die Indexzahl eines Skripts ist, um ein einzelnes Script-Objekt zurückzugeben. Jedes Script-Objekt wird durch die Id-Eigenschaft bezeichnet. Diese stellt einen geeigneten Namen bereit, mit dem Sie auf das Skript zugreifen können. Im folgenden Beispiel wird der Scripts-Auflistung für das aktive Dokument ein einzelnes Skript hinzugefügt, und die ID des Skripts bei Indexwert 1 wird angezeigt.

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox (""This is ScriptOne. "")")
MsgBox (ActiveDocument.Scripts(1).Id)

Sie können die im Skript verwendete Skriptsprache angeben, indem Sie die Language-Eigenschaft ändern. Im folgenden Beispiel wird die Skriptsprache von Skript 1 auf Active Server Pages (ASP) geändert.

ActiveDocument.Scripts.Item("ScriptOne") _
    .Language = msoScriptLanguageASP

Sie können die Position der Skriptanchorform innerhalb eines HTML-Dokuments überprüfen, indem Sie die Location-Eigenschaft verwenden. Im folgenden Beispiel wird festgestellt, ob Skript 1 sich im Textkörper des aktiven HTML-Dokuments befindet.

If ActiveDocument.Scripts("ScriptOne").Location = _
    msoScriptLocationInBody Then
    MsgBox ("Script is in the HTML document body.")
Else
    MsgBox ("Script is located in the header. ")
End If

Mit Hilfe der Extended-Eigenschaft können Sie Attribute, die dem <SCRIPT>-Tag hinzugefügt wurden, überprüfen oder einstellen (ausgenommen die Attribute LANGUAGE und ID). Im folgenden Beispiel wird geprüft, ob in Skript 1 im aktiven Dokument zusätzliche Attribute vorhanden sind.

If ActiveDocument.Scripts(1).Extended = "" Then
    MsgBox ("No additional attributes are present " & _
    "in Script " &
     ActiveDocument.Scripts(1).Id)

Sie können den zu einem bestimmten Skript gehörenden Skripttext überprüfen oder festlegen, indem Sie die ScriptText-Eigenschaft verwenden. Im folgenden Beispiel wird ein Meldungsfeld angezeigt, das den mit Skript 1 im aktiven Dokument verbundenen Skripttext enthält.

MsgBox (ActiveDocument.Scripts("ScriptOne").ScriptText)


Scripts-Auflistung

Script-Objekt der Scripts-Auflistung

Eine Auflistung von Script-Objekten, die die Gesamtheit der HTML-Skripts im angegebenen Dokument darstellen.

Verwenden der Scripts-Auflistung

Die Scripts-Auflistung enthält alle Script-Objekte in einem bestimmten Dokument, und zwar in der Quellfolge (der Reihenfolge, in der die Script-Objekte der Quelldatei hinzugefügt wurden). Die Position des Skripts im Dokument (Kopfzeile oder Textkörper) hat keinen Einfluss auf die Quellfolge. Sie können die Script-Objekte verwenden, um auf ein Skript zuzugreifen oder ein Skript einem Microsoft Word-Dokument, einem Microsoft Excel-Arbeitsblatt oder einer Microsoft PowerPoint-Folie hinzuzufügen. Außerdem können Sie mit Hilfe der Scripts-Auflistung auf eine beliebige HTML-Seite oder ein beliebiges HTML-Skript zugreifen, das in einer Microsoft Office-Anwendung geöffnet ist.

Anmerkung In Microsoft Access wird diese freigegebene Office-Komponente nicht verwendet.

Hinzufügen eines Skripts

Wenn Sie der Scripts-Auflistung ein Script-Objekt hinzufügen, wird dem Dokument automatisch ein Shape-Objekt vom Typ msoScriptAnchor hinzugefügt. In einem Excel-Arbeitsblatt oder einer PowerPoint-Folie wird das Shape-Objekt der Shapes-Auflistung hinzugefügt, in einem Word-Dokument der InlineShapes-Auflistung. Sie fügen einem Dokument ein Script-Objekt hinzu, indem Sie die Add-Methode verwenden. Im folgenden Beispiel wird dem aktiven Word-Dokument ein einfaches Skript hinzugefügt.

myScript = ActiveDocument.Scripts.Add( _
    , msoScriptLocationInBody, _
    msoScriptLanguageVisualBasic, _
    "ScriptOne", , _
    "MsgBox ""This is ScriptOne.""")

Um auf ein bestimmtes Element in der Scripts-Auflistung zuzugreifen, verwenden Sie die Item-Methode und geben entweder das ID-Attribut des <SCRIPT>-Tags an oder den Index, der die Position des Skripts in der Auflistung kennzeichnet. Die ID muss innerhalb des Dokuments eindeutig sein. Bei doppelt vorkommenden ID-Attributen wird das erste Skript zurückgegeben, das diese ID aufweist. Im folgenden Beispiel wird ein Meldungsfeld angezeigt, in dem die Sprache des ersten Skripts genannt wird, das die ID "ScriptOne" hat.

MsgBox (ActiveDocument.Scripts.Item("ScriptOne").Language)

Verwenden Sie die Count-Eigenschaft, um die Anzahl der Script-Objekte im angegebenen Dokument zu ermitteln. Im folgenden Beispiel wird die Anzahl der Skripts im aktiven Dokument angezeigt.

If ActiveDocument.Scripts.Count = 0 Then
    MsgBox ("There are no " & _
    "scripts in this document. ")
End If
If ActiveDocument.Scripts.Count = 1 Then
    MsgBox ("There is " & _
    ActiveDocument.Scripts.Count & _
    " script in this document. ")
End If
If ActiveDocument.Scripts.Count > 1 Then
    MsgBox ("There are " & _
    ActiveDocument.Scripts.Count & _
    " scripts in this document. ")
End If

Mit Hilfe der Delete-Methode können Sie ein Skript aus der Scripts-Auflistung entfernen, wie im folgenden Beispiel gezeigt.

ActiveDocument.Scripts("ScriptOne").Delete


WebPageFont-Objekt

WebPageFont-Objekt der WebPageFonts-Auflistung

Stellt die Standardschriftart dar, die verwendet wird, wenn Dokumente als Webseiten für einen bestimmten Zeichensatz gespeichert werden.

Verwenden des WebPageFont-Objekts

Verwenden Sie das WebPageFont-Objekt, um die Proportionalschrift, den Schriftgrad der Proportionalschrift, die Festbreitenschrift und den Schriftgrad der Festbreitenschrift für einen beliebigen verfügbaren Zeichensatz zu beschreiben. Folgende Zeichensätze werden unterstützt:

msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

Im folgenden Beispiel werden die Proportionalschrift und ihr Schriftgrad für das WebPageFont-Objekt myFont festgelegt.

With myFont
    ProportionalFont = Verdana
    ProportionalFontSize = 14


WebPageFonts-Auflistung

WebPageFont-Objekt der WebPageFonts-Auflistung

Eine Auflistung von WebPageFont-Objekten, die die Proportionalschrift und deren Schriftgrad sowie die Festbreitenschrift und deren Schriftgrad beschreiben, die beim Speichern von Dokumenten als Webseiten verwendet werden. Sie können für jeden verfügbaren Zeichensatz andere Webseitenschriften festlegen.

Verwenden der WebPageFonts-Auflistung

Die WebPageFonts-Auflistung enthält ein WebPageFont-Objekt für jede der folgenden MsoCharacterSet-Konstanten:

msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese

Im folgenden Beispiel wird myFont mit Hilfe der Item-Eigenschaft auf das WebPageFont-Objekt für den Zeichensatz English/Western European/Other Latin Script in der aktuellen Anwendung gesetzt.

Dim myFont As WebPageFont
Set myFont = _
  Application.DefaultWebOptions.Fonts.Item_
  (msoCharacterSetEnglishWesternEuropeanOtherLatinScript)


Neue Eigenschaften (nach Objekt)

Die folgende Tabelle zeigt, nach Objektnamen geordnet, die Eigenschaften, die den vorhandenen Objekten in Microsoft Office hinzugefügt wurden.

Objekt | Eigenschaft
Assistant | On
CommandBar | AdaptiveMenu
CommandBarButton | HyperlinkType
CommandBarButton | IsPriorityDropped
CommandBarComboBox | IsPriorityDropped
CommandBarControl | IsPriorityDropped
CommandBarPopup | IsPriorityDropped
CommandBars | AdaptiveMenus
CommandBars | DisplayFonts


ActionControl-Eigenschaft

Gibt das CommandBarControl-Objekt zurück, dessen OnAction-Eigenschaft auf die laufende Prozedur eingestellt ist. Wurde die laufende Prozedur nicht durch ein Befehlsleisten-Steuerelement initiiert, gibt diese Eigenschaft Nothing zurück. Nur-Lese-Zugriff.


Beispiel zur ActionControl-Eigenschaft

In diesem Beispiel wird eine Befehlsleiste mit dem Namen "Custom" erstellt. Dieser Befehlsleiste werden drei Schaltflächen hinzugefügt. Anschließend wird anhand der Eigenschaften ActionControl und Tag festgestellt, auf welche Befehlsleistenschaltfläche zuletzt geklickt wurde.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set buttonOne = myBar.Controls.Add(Type:=msoControlButton)
With buttonOne
    .FaceId = 133
    .Tag = "RightArrow"
    .OnAction = "whichButton"
End With
Set buttonTwo = myBar.Controls.Add(Type:=msoControlButton)
With buttonTwo
    .FaceId = 134
    .Tag = "UpArrow"
    .OnAction = "whichButton"
End With
Set buttonThree = myBar.Controls.Add(Type:=msoControlButton)
With buttonThree
    .FaceId = 135
    .Tag = "DownArrow"
    .OnAction = "whichButton"
End With
myBar.Visible = True

Die whichButton-Subroutine reagiert auf die OnAction-Methode und ermittelt, auf welche Befehlsleistenschaltfläche der Benutzer zuletzt geklickt hat.

Sub whichButton()
Select Case CommandBars.ActionControl.Tag
    Case "RightArrow"
        MsgBox ("Right Arrow button clicked.")
    Case "UpArrow"
        MsgBox ("Up Arrow button clicked.")
    Case "DownArrow"
        MsgBox ("Down Arrow button clicked.")
End Select
End Sub


ActiveMenuBar-Eigenschaft

Gibt ein CommandBar-Objekt zurück, das die aktive Menüleiste in der Containeranwendung darstellt. Nur-Lese-Zugriff.


Beispiel zur ActiveMenuBar-Eigenschaft

In diesem Beispiel wird am Ende der aktiven Menüleiste das temporäre Popup-Steuerelement "Custom" hinzugefügt. Anschließend wird der von diesem Steuerelement angezeigten Befehlsleiste das Schaltflächen-Steuerelement "Import" hinzugefügt.

Set myMenuBar = CommandBars.ActiveMenuBar
Set newMenu = myMenuBar.Controls.Add(Type:=msoControlPopup, Temporary:=True)
newMenu.Caption = "Custom"
Set ctrl1 = newMenu.CommandBar.Controls _
    .Add(Type:=msoControlButton, Id:=1)
With ctrl1
    .Caption = "Import"
    .TooltipText = "Import"
    .Style = msoButtonCaption
End With


AdaptiveMenu-Eigenschaft

True, wenn ein personalisiertes Menü aktiviert ist. Boolean-Wert mit Schreib-Lese-Zugriff.


AdaptiveMenus-Eigenschaft

True, wenn adaptive Menüs aktiviert sind. Boolean Schreib-Lese-Zugriff.


Beispiel zur AdaptiveMenus-Eigenschaft

In diesem Beispiel werden drei Optionen für alle Befehlsleisten in Microsoft Office festgelegt, darunter benutzerdefinierte Befehlsleisten und die darauf befindlichen Steuerelemente.

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


Animation-Eigenschaft

Gibt die Animationsaktion des Office-Assistenten zurück oder legt sie fest. Wenn diese Eigenschaft auf das Assistant-Objekt angewendet wird und der Assistent die angegebene Animation unterstützt, wird der Assistent sofort animiert (falls er eingeblendet und aktiviert ist). Wird diese Eigenschaft auf das Balloon-Objekt angewendet, wird der Assistent nur animiert, während die Sprechblase angezeigt wird. Long Schreib-Lese-Zugriff.

Dies kann eine der folgenden MsoAnimationType-Konstanten sein:

msoAnimationAppear

msoAnimationBeginSpeaking

msoAnimationCharacterSuccessMajor

msoAnimationCheckingSomething

msoAnimationDisappear

msoAnimationEmptyTrash

msoAnimationGestureDown

msoAnimationGestureLeft

msoAnimationGestureRight

msoAnimationGestureUp

msoAnimationGetArtsy

msoAnimationGetAttentionMajor

msoAnimationGetAttentionMinor

msoAnimationGetTechy

msoAnimationGetWizardy

msoAnimationGoodbye

msoAnimationGreeting

msoAnimationIdle

 msoAnimationListensToComputer

msoAnimationLookDown

msoAnimationLookDownLeft

msoAnimationLookDownRight

msoAnimationLookLeft

msoAnimationLookRight

msoAnimationLookUp

msoAnimationLookUpLeft

msoAnimationLookUpRight

msoAnimationPrinting

msoAnimationRestPose

msoAnimationSaving

msoAnimationSearching

msoAnimationSendingMail

msoAnimationThinking

msoAnimationWorkingAtSomething

msoAnimationWritingNotingSomething

Anmerkungen

Karl Klammer ist der Standard-Assistent, und msoAnimationIdle ist der Standard-Animationstyp für den Assistenten.

Je nach dem ausgewählten Assistenten kann das Festlegen der Animation-Eigenschaft zu einer sichtbaren Animation führen oder auch nicht. Alle MsoAnimationType-Konstanten sind jedoch für alle Assistenten gültig. Beachten Sie, dass unterschiedliche Konstanten zur gleichen Animation führen können.

Die folgenden MsoAnimationType-Konstanten stellen Animationen dar, die die angegebene Aktion wiederholen, bis der Assistent geschlossen oder die Animation-Eigenschaft durch eine andere Animation zurückgesetzt wird:

msoAnimationCheckingSomething

msoAnimationGetTechy

msoAnimationListensToComputer

msoAnimationSearching

 msoAnimationThinking

msoAnimationWorkingAtSomething

msoAnimationWritingNotingSomething


Beispiel zur Animation-Eigenschaft

In diesem Beispiel wird der Office-Assistent an einer bestimmten Position angezeigt, und vor dem Einblenden des Assistenten werden verschiedene Optionen gesetzt.

With Assistant
    .On = True
    .Visible = True
    .Move xLeft:= 400, yTop:= 300
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Animation = msoAnimationGreeting
End With


Application-Eigenschaft

Gibt ein Application-Objekt zurück, das die Containeranwendung für das angegebene Objekt darstellt (Sie können diese Eigenschaft mit einem Automation-Objekt verwenden, um die Containeranwendung dieses Objekts zurückzugeben). Object schreibgeschützt.


Beispiel zur Application-Eigenschaft

In diesem Beispiel wird der Name der Anwendung zurückgegeben, in der die Befehlsleiste "Documents" erstellt wurde. Das Ergebnis wird in einem Meldungsfenster angezeigt.

Set Appobj = CommandBars("Standard").Application
MsgBox Appobj


AssistWithAlerts-Eigenschaft

True, wenn die Sprechblase des Office-Assistenten Anwendungsmeldungen ausgibt, sobald der Office-Assistent sichtbar ist. Boolean Schreib-Lese-Zugriff.

Anmerkungen

Die AssistWithAlerts-Eigenschaft entspricht der Option Warnmeldungen anzeigen unter Den Office-Assistenten verwenden auf der Registerkarte Optionen im Dialogfeld Office-Assistent.

Ist diese Eigenschaft auf False gesetzt, zeigt die Anwendung ohne den Office-Assistenten Warnmeldungen in Dialogfeldern an.


Beispiel zur AssistWithAlerts-Eigenschaft

In diesem Beispiel wird der Office-Assistent so eingestellt, dass er bei der Generierung von Anwendungsmeldungen angezeigt wird.

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


AssistWithHelp-Eigenschaft

True, wenn der Office-Assistent angezeigt wird, sobald der Benutzer die F1-TASTE drückt, um Hilfe anzuzeigen. Boolean Schreib-Lese-Zugriff.

Anmerkungen

Die AssistWithHelp-Eigenschaft entspricht der Option Auf F1-TASTE reagieren unter Den Office-Assistenten verwenden auf der Registerkarte Optionen im Dialogfeld Office-Assistent.

Ist diese Eigenschaft auf False gesetzt, wird anstelle des Office-Assistenten das Dialogfeld Hilfethemen angezeigt.


Beispiel zur AssistWithHelp-Eigenschaft

In diesem Beispiel wird der Office-Assistent angezeigt, wenn der Benutzer die F1-TASTE drückt, um Hilfe aufzurufen.

With Assistant
    .On = True
    .Visible = True
    .AssistWithHelp = True
    .AssistWithAlerts = True
    .Animation = msoAnimationGetAttentionMajor
End With


AssistWithWizards-Eigenschaft

True, wenn der Office-Assistent Hilfeinformationen über Assistenten anzeigt. Boolean Schreib-Lese-Zugriff.

Anmerkungen

Die AssistWithWizards-Eigenschaft entspricht der Option Hilfe zu Assistenten unter Den Office-Assistenten verwenden auf der Registerkarte Optionen im Dialogfeld Office-Assistent.


Beispiel zur AssistWithWizards-Eigenschaft

In diesem Beispiel wird der Office-Assistent so eingestellt, dass er Hilfeinformationen über Assistenten bereitstellt.

Assistant.AssistWithWizards = True


BalloonError-Eigenschaft

Gibt einen Wert zurück, der den zuletzt aufgezeichneten Sprechblasenfehler angibt. Long Nur-Lese-Zugriff.

Kann eine der MsoBalloonErrorType-Konstanten in der folgenden Tabelle sein.

Konstante | Beschreibung
msoBalloonErrorBadPictureRef | Die Sprechblase enthält eine Grafik, die nicht angezeigt werden konnte, da die Datei nicht existiert oder die Grafik keine gültige BMP- oder WMF-Datei ist.
msoBalloonErrorBadReference | Die Sprechblase enthält einen nicht erkannten oder nicht unterstützten Verweis.
msoBalloonErrorBadCharacter | Die Sprechblase enthält ein ASCII-Steuerzeichen, das nicht CR (Wagenrücklauf) oder LF (Zeilenvorschub) ist und dessen Code kleiner als 32 ist.
msoBalloonErrorButtonlessModal | Die Sprechblase, die angezeigt werden sollte, ist modal, enthält aber keine Schaltflächen. Die Sprechblase wird nicht angezeigt, da sie nicht geschlossen werden kann.
msoBalloonErrorButtonModeless | Die Sprechblase, die angezeigt werden sollte, ist nichtmodal, enthält Schaltflächen, und ihrer Callback-Eigenschaft ist keine Prozedur zugewiesen. Die Sprechblase wird nicht angezeigt, da für nichtmodale Sprechblasen eine Callback-Prozedur erforderlich ist.
msoBalloonErrorCharNotTopmostForModal | Die modale Sprechblase wurde von einer Anwendung angefordert, die nicht die aktive Anwendung ist. Microsoft Office stellt nur Sprechblasen für die aktive (im Vordergrund befindliche) Anwendung dar.
msoBalloonErrorCOMFailure | Die Sprechblase konnte aufgrund eines COM-Fehlers nicht angezeigt werden.
msoBalloonErrorNone | Es ist kein Fehler aufgetreten.
msoBalloonErrorOther | Die Sprechblase wird nicht angezeigt, weil ein anderer Fehler aufgetreten ist, beispielsweise, weil eine andere modale Sprechblase bereits aktiv ist.
msoBalloonErrorOutOfMemory | Die Sprechblase wird nicht angezeigt, weil nicht genügend Speicher verfügbar ist.
msoBalloonErrorTooBig | Die Sprechblase ist zu groß, um auf dem Bildschirm angezeigt zu werden.
msoBalloonErrorTooManyControls | Die Sprechblase enthält mehr als 20 Steuerelemente (Kontrollkästchen oder Beschriftungen).


Beispiel zur BalloonError-Eigenschaft

In diesem Beispiel wird eine Sprechblase erstellt, die einen Fehler erzeugt. Der Fehler wird verursacht, weil die Sprechblase keine Möglichkeit enthält, sie zu schließen: Als Schaltflächentyp wurde msoButtonSetNone festgelegt, und der Standardmodus der Sprechblase ist msoModeModal. Dies ergibt eine modale Sprechblase ohne Schaltfläche. Es ist nicht möglich, modale Sprechblasen ohne Schaltfläche zu schließen.

With Application.Assistant
With .NewBalloon
    .Heading = "This will never show."
    .Text = "Imagine a balloon here."
    .Button = msoButtonSetNone
    .Show
End With
.Visible = True
If .BalloonError = msoBalloonErrorButtonlessModal Then
    MsgBox "You need a button to dismiss the balloon."
End If
End With


BalloonType-Eigenschaft

Gibt den Sprechblasentyp zurück, den der Office-Assistent verwendet, oder legt ihn fest. Dies kann eine der folgenden MsoBalloonType-Konstanten sein: msoBalloonTypeButtons, msoBalloonTypeBullets oder msoBalloonTypeNumbers. Wenn Sie ein Balloon-Objekt erstellen, wird diese Eigenschaft zunächst auf msoBalloonTypeButtons gesetzt. Long Schreib-Lese-Zugriff.


Beispiel zur BalloonType-Eigenschaft

In diesem Beispiel wird eine Sprechblase mit einer Anweisung erstellt, die das Auswählen eines Druckers erläutert. Die Sprechblase hat keinen Modus, so dass der Benutzer die Anweisungen in der Sprechblase ausführen und die Sprechblase gleichzeitig anzeigen kann.

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    .Labels(1).Text = "From the File menu, choose Print."
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Button = msoButtonSetOK
    .Show
End With


 BeginGroup-Eigenschaft

BeginGroup-Eigenschaft

True, wenn sich das angegebene Befehlsleisten-Steuerelement am Anfang einer Gruppe von Steuerelementen in der Befehlsleiste befindet. Boolean Schreib-Lese-Zugriff.


Beispiel zur BeginGroup-Eigenschaft

In diesem Beispiel wird für das letzte Steuerelement der aktiven Menüleiste festgelegt, dass es an den Anfang seiner Gruppe gesetzt wird.

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastMenu = myMenuBar _
    .Controls(myMenuBar.Controls.Count)
lastMenu.BeginGroup = True


 BuiltIn-Eigenschaft

BuiltIn-Eigenschaft

True, wenn die angegebene Befehlsleiste oder das angegebene Befehlsleisten-Steuerelement eine integrierte Befehlsleiste bzw. ein integriertes Steuerelement der Containeranwendung ist. False, wenn es sich um eine benutzerdefinierte Befehlsleiste bzw. ein benutzerdefiniertes Steuerelement (ActiveX) oder um ein integriertes Steuerelement handelt, dessen OnAction-Eigenschaft festgelegt wurde. Boolean schreibgeschützt.


 BuiltInFace-Eigenschaft

BuiltInFace-Eigenschaft

True, wenn das Symbol des angegebenen Schaltflächen-Steuerelements der Befehlsleiste das integrierte Symbol ist. Diese Eigenschaft kann nur auf True eingestellt werden, wodurch das Symbol auf das integrierte Symbol zurückgesetzt wird. Boolean Schreib-Lese-Zugriff.


Beispiel zur BuiltInFace-Eigenschaft

In diesem Beispiel wird bestimmt, ob das Symbol des ersten Steuerelements in der Befehlsleiste "Custom" das integrierte Schaltflächensymbol ist. Ist dies der Fall, wird das Schaltflächensymbol in die Zwischenablage kopiert.

Set myControl = CommandBars("My Custom Bar").Controls(1)
With myControl
    If .BuiltInFace = True Then .CopyFace
End With


Button-Eigenschaft

Gibt die Art der unten in der Sprechblase des Office-Assistenten angezeigten Schaltfläche zurück oder legt sie fest. Wenn Sie ein Balloon-Objekt erstellen, wird diese Eigenschaft zunächst auf msoButtonSetOK gesetzt. Long Schreib-Lese-Zugriff.

Dies kann eine der folgenden MsoButtonSetType-Konstanten sein:

msoButtonSetAbortRetryIgnore

msoButtonSetBackClose

msoButtonSetBackNextClose

msoButtonSetBackNextSnooze

msoButtonSetCancel

msoButtonSetNextClose

msoButtonSetNone

msoButtonSetOK

 msoButtonSetOkCancel

msoButtonSetRetryCancel

msoButtonSetSearchClose

msoButtonSetTipsOptionsClose

msoButtonSetYesAllNoCancel

msoButtonSetYesNoCancel

msoButtonSetYesNo


Beispiel zur Button-Eigenschaft

In diesem Beispiel wird eine Sprechblase mit einer Überschrift, einem Text, drei Optionen zur Region und zwei Befehlsschaltflächen (OK und Cancel) angezeigt.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
End With


Callback-Eigenschaft

Legt den Namen der Prozedur fest, die von einer Sprechblase ohne Modus ausgeführt werden soll. String Schreib-Lese-Zugriff.

Hinweise

Die Prozedur, die Sie für die Callback-Eigenschaft angeben, muss so geschrieben werden, dass sie entweder zwei oder drei Argumente erhält, je nachdem, wofür Sie die Eigenschaft verwenden. Wenn Sie die Callback-Eigenschaft für einen Assistenten verwenden, müssen Sie die Prozedur so schreiben, dass sie zwei Argumente erhält: einen Long-Integer-Wert, der den msoBalloonButtonType-Wert der Schaltfläche darstellt, auf die der Benutzer geklickt hat, und einen Long-Integer-Wert, der die Sprechblase eindeutig angibt. Wenn Sie die Callback-Eigenschaft für eine Sprechblase ohne Modus verwenden, müssen Sie die Prozedur so schreiben, dass sie drei Argumente erhält: das Balloon-Objekt, das die Prozedur aufrief, einen Long-Integer-Wert, der den msoBalloonButtonType-Wert der Schaltfläche darstellt, auf die der Benutzer geklickt hat, und einen Long-Integer-Wert, der eindeutig die Sprechblase identifiziert, die die Prozedur aufrief, wie in der Private-Eigenschaft der Sprechblase angegeben.

Die Callback-Prozedur muss mindestens eine Bedingung enthalten, unter der die Close-Methode auf das an sie übergebene Balloon-Objekt angewendet wird. Andernfalls kann die Sprechblase ohne Modus nicht geschlossen werden.

Wenn Sie eine Prozedur angeben, die in einem separaten Klassenmodul gespeichert wird, müssen Sie den Namen des Moduls in den der Callback-Eigenschaft zugewiesenen Wert mit aufnehmen (z. B. "Sheet1.MyCallback).


Beispiel zur Callback-Eigenschaft

In diesem Beispiel wird eine sprechblasenförmige Legende angezeigt, die Anweisungen für die Auswahl eines Druckers enthält. Wenn der Benutzer in der sprechblasenförmigen Legende auf die Schaltfläche OK klickt, wird die Callback-Prozedur ProcessPrinter ausgeführt und die Sprechblase geschlossen.

Sub selectPrinter()
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Select a Printer."
    .Labels(1).Text = "Network Printer"
    .Labels(2).Text = "Local Printer"
    .Labels(3).Text = "Local Color Printer"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With
End Sub

Sub ProcessPrinter(bln As Balloon, lbtn As Long, _
 lPriv As Long)
    Assistant.Animation = msoAnimationPrinting
    Select Case lbtn
    Case -1
        ' Insert network printer-specific code.
    Case -2
        ' Insert local printer-specific code.
    Case -3
        ' Insert color printer-specific code.
    End Select
    bln.Close
End Sub


 Caption-Eigenschaft

Caption-Eigenschaft

Gibt den Beschriftungstext für das angegebene Befehlsleisten-Steuerelement zurück oder legt ihn fest. String Schreib-Lese-Zugriff.

Hinweis Die Beschriftung für ein Steuerelement wird auch als der Standardbildschirmtipp angezeigt.


Beispiel zur Caption-Eigenschaft

In diesem Beispiel wird einer benutzerdefinierten Befehlsleiste ein Befehlsleisten-Steuerelement mit einem Schaltflächensymbol für Rechtschreibprüfung hinzugefügt. Anschließend wird für die Beschriftung "Spelling checker" festgelegt.

Set myBar = CommandBars.Add(Name:="Custom", _
Position:=msoBarTop, Temporary:=True)
myBar.Visible = True
Set myControl = myBar.Controls _
.Add(Type:=msoControlButton, Id:=2)
With myControl
    .DescriptionText = "Starts the spelling checker"
    .Caption = "Spelling checker"
End With


Checkboxes-Eigenschaft

Gibt die BalloonCheckboxes-Auflistung zurück, die alle Kontrollkästchen in der angegebenen Sprechblase darstellt. Nur-Lese-Zugriff.

Weitere Informationen über die Zurückgabe eines einzelnen Elements einer Auflistung finden Sie unter Zurückgeben eines Objekts aus einer Auflistung.


Beispiel zur Checkboxes-Eigenschaft

In diesem Beispiel wird eine Sprechblase mit Überschrift, Text und drei Optionen für die Region erstellt. Wenn der Benutzer ein Kontrollkästchen aktiviert und anschließend in der Sprechblase auf OK klickt, werden Daten für die ausgewählte(n) Region(en) ausgegeben.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


Checked-Eigenschaft

True, wenn das angegebene Kontrollkästchen in der Sprechblase des Office-Assistenten markiert ist. Boolean Schreib-Lese-Zugriff.


Beispiel zur Checked-Eigenschaft

In diesem Beispiel wird eine Sprechblase mit Überschrift, Text und drei Optionen für die Region erstellt. Wenn der Benutzer ein Kontrollkästchen aktiviert und anschließend in der Sprechblase auf OK klickt, werden Daten für die entsprechende(n) Region(en) ausgegeben.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select the region(s) you want to print."
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    If .Show = msoBalloonButtonOK Then
        dataPrinted = 0
        For i = 1 To 3
            If .CheckBoxes(i).Checked = True Then
                ' Code to print region data.
                dataPrinted = dataPrinted + 1
                MsgBox "Region " & i & " data printed."
            End If
        Next
        If dataPrinted = 0 Then MsgBox "No data printed."
    End If
End With


 CommandBar-Eigenschaft

CommandBar-Eigenschaft

Gibt ein CommandBar-Objekt zurück, das das vom angegebenen Popup-Steuerelement angezeigte Menü darstellt. Nur-Lese-Zugriff.


Beispiel zur CommandBar-Eigenschaft

In diesem Beispiel wird fourthLevel auf das vierte Steuerelement in der Befehlsleiste "Drawing" gesetzt.

Set fourthLevel = CommandBars("Drawing") _
    .Controls(1).CommandBar.Controls(4)


Condition-Eigenschaft

Gibt die Bedingung der angegebenen Suchkriterien zurück. Variant Nur-Lese-Zugriff.

Dies kann eine der folgenden msoCondition-Konstanten sein:

msoConditionAnyNumberBetween

msoConditionAnytime

msoConditionAnytimeBetween

msoConditionAtLeast

msoConditionAtMost

msoConditionBeginsWith

msoConditionDoesNotEqual

msoConditionEndsWith

msoConditionEquals

msoConditionFileTypeAllFiles

msoConditionFileTypeBinders

msoConditionFileTypeDatabases

msoConditionFileTypeExcelWorkbooks

msoConditionFileTypeOfficeFiles

msoConditionFileTypePowerPointPresentations

msoConditionFileTypeTemplates

msoConditionFileTypeWordDocuments

msoConditionIncludesNearEachOther

msoConditionIncludesPhrase

msoConditionInTheLast

 msoConditionInTheNext

msoConditionIsExactly

msoConditionIsNo

msoConditionIsNot

msoConditionIsYes

msoConditionLastMonth

msoConditionLastWeek

msoConditionLessThan

msoConditionMoreThan

msoConditionNextMonth

msoConditionNextWeek

msoConditionOn

msoConditionOnorAfter

msoConditionOnorBefore

msoConditionThisMonth

msoConditionThisWeek

msoConditionToday

msoConditionTomorrow

msoConditionYesterday


Beispiel zur Condition-Eigenschaft

In diesem Beispiel wird der Wert der Bedingung für die Suchkriterien des ersten Eigenschaftstests zurückgegeben.

With Application.FileSearch.PropertyTests(1)
    MsgBox "The condition you've set is: " & .Condition
End With


Connect-Eigenschaft

Gibt den Zustand der Verbindung für das angegebene COMAddIn-Objekt an bzw. setzt ihn zurück. Schreibgeschützter Boolean-Wert.

Hinweise

Die Connect-Eigenschaft gibt True zurück, wenn das Add-In aktiv ist, und False, wenn das Add-In inaktiv ist. Ein aktives Add-In ist registriert und verbunden, ein inaktives Add-In ist registriert, aber gegenwärtig nicht verbunden.


Connector-Eigenschaft

Gibt die Verbindung zwischen zwei gleichartigen Eigenschaftstestwerten zurück. Dies kann eine der folgenden MsoConnector-Konstanten sein: msoConnectorAnd oder msoConnectorOr. Der Standardwert ist msoConnectorAnd. Variant schreibgeschützt.

Anmerkungen

Eine Verbindung gibt an, ob zwei gleichartige Suchkriterien zu einem Eigenschaftstest zusammengefasst (mit msoConnectorAnd) oder unabhängig voneinander verarbeitet werden (mit msoConnectorOr).


Beispiel zur Connector-Eigenschaft

In diesem Beispiel wird eine Meldung angezeigt, in der beschrieben wird, wie die Suchkriterien bei einer Dateisuche ausgewertet werden.

With Application.FileSearch.PropertyTests(1)
If .Connector = msoConnectorAnd Then
   MsgBox "All search criteria will be combined."
Else
    MsgBox "Criteria will be treated independently"
End If
End With


 Context-Eigenschaft

Context-Eigenschaft

Gibt eine Zeichenfolge zurück, die bestimmt, wo die angegebene Befehlsleiste gespeichert wird, oder legt eine Zeichenfolge fest. Die Zeichenfolge wird von der Anwendung definiert und interpretiert. String Schreib-Lese-Zugriff.

Anmerkungen

Sie können die Context-Eigenschaft nur für benutzerdefinierte Befehlsleisten festlegen. Diese Eigenschaft funktioniert nicht, wenn die Anwendung die Kontextzeichenfolge nicht erkennt oder sich verändernde Kontextzeichenfolgen programmtechnisch nicht unterstützt.


Beispiel zur Context-Eigenschaft

In diesem Beispiel wird ein Meldungsfenster mit der Kontextzeichenfolge für die Befehlsleiste "Custom" angezeigt. Dieses Beispiel funktioniert in Microsoft Word sowie anderen Anwendungen, die die Context-Eigenschaft unterstützen.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
MsgBox (myBar.Context)


Controls-Eigenschaft

Gibt ein CommandBarControls-Objekt zurück, das alle Steuerelemente in der angegebenen Befehlsleiste oder im angegebenen Popup-Steuerelement darstellt. Schreibgeschützt.

Weitere Informationen zum Zurückgeben eines einzelnen Elements einer Auflistung finden Sie unter Zurückgeben eines Objekts aus einer Auflistung.


Beispiel zur Controls-Eigenschaft

In diesem Beispiel werden der Befehlsleiste "Custom" ein Kombinationsfeld-Steuerelement und der Kombinationsfeldliste zwei Elemente hinzugefügt. Außerdem werden die Anzahl der Zeileneinträge, die Breite des Kombinationsfeldes und als Standardwert für das Kombinationsfeld eine Leerzeile festgelegt.

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlComboBox, Before:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


Count-Eigenschaft

Gibt die Anzahl der Elemente in der angegebenen Auflistung zurück. Long schreibgeschützt.

Hinweise

Für die CommandBars-Auflistung werden nur Menüleisten, Symbolleisten und Kontextmenüs gezählt.

Für die Scripts-Auflistung ist die zurückgegebene Zählung die Anzahl der Skriptblöcke in dem angegebenen Dokument. In Word gibt Scripts.Count die Gesamtanzahl der in der Zeile stehenden und frei beweglichen Skriptanker zurück.


Beispiel zur Count-Eigenschaft

In diesem Beispiel wird mit Hilfe der Count-Eigenschaft die Anzahl der Befehlsleisten in der CommandBars-Auflistung angezeigt.

MsgBox "There are " & CommandBars.Count & _
    " bars in the CommandBars collection."

Bei diesem Beispiel wird die Count-Eigenschaft verwendet, um die Anzahl der Kontrollkästchen in der Sprechblase des Office-Assistenten anzuzeigen.

With Assistant.NewBalloon
    .CheckBoxes(1).Text = "First Choice"
    .CheckBoxes(2).Text = "Second Choice"
    .Text = "You have the following " _
    & .CheckBoxes.Count & " choices."
    .Show
End With

Im folgenden Beispiel wird die Anzahl der benutzerdefinierten Dokumenteigenschaften im aktiven Dokument angezeigt.

MsgBox ("There are " & _
    ActiveDocument.CustomDocumentProperties.Count & _
    " custom document properties in the " & _
    "active document.")


Creator-Eigenschaft

Gibt den aus vier Zeichen bestehenden Code für die Anwendung zurück, in der das angegebene Objekt erstellt wurde. Nur Macintosh. Schreibgeschützter Long-Wert.


Description-Eigenschaft

Gibt eine beschreibende Zeichenfolge für das angegebene COMAddIn-Objekt zurück bzw. legt sie fest. Schreibgeschützter String-Wert.


 DescriptionText-Eigenschaft

DescriptionText-Eigenschaft

Gibt die Beschreibung für das angegebene Befehlsleisten-Steuerelement zurück oder legt sie fest. Die Beschreibung wird dem Benutzer nicht angezeigt, kann aber nützlich sein, um das Verhalten des Steuerelements für andere Entwickler zu dokumentieren. String Schreib-Lese-Zugriff.

Hinweise

Diese Eigenschaft wird für die aktive Hilfe auf dem Macintosh verwendet.


Beispiel zur DescriptionText-Eigenschaft

In diesem Beispiel wird einer benutzerdefinierten Befehlsleiste ein Steuerelement sowie eine Beschreibung des Verhaltens dieses Steuerelements hinzugefügt.

Set myBar = CommandBars.Add("Custom", msoBarTop, , True)
myBar.Visible = True
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, ID:= _
    CommandBars("Standard").Controls("Paste").ID)
With myControl
    .DescriptionText = "Pastes the contents of the Clipboard"
    .Caption = "Paste"
End With


DisplayFonts-Eigenschaft

True, wenn die Namen der Schriftarten im Feld Schriftart in der tatsächlichen Schriftart angezeigt werden. Boolean Schreib-Lese-Zugriff.


Beispiel zur DisplayFonts-Eigenschaft

In diesem Beispiel werden drei Optionen für alle Befehlsleisten in Microsoft Office festgelegt, einschließlich der benutzerdefinierten Befehlsleisten und der darauf befindlichen Steuerelemente.

With CommandBars
    .LargeButtons = True
    .DisplayFonts = True
    .AdaptiveMenus = True
End With


 DisplayKeysInTooltips-Eigenschaft

DisplayKeysInTooltips-Eigenschaft

True, wenn in den Bildschirmtipps für die einzelnen Befehlsleisten-Steuerelemente Tastenkombinationen angezeigt werden. Boolean Schreib-Lese-Zugriff.

Anmerkungen

Um Tastenkombinationen in Bildschirmtipps anzeigen zu können, müssen Sie auch die DisplayTooltips-Eigenschaft auf True setzen.


Beispiel zur DisplayKeysInTooltips-Eigenschaft

In diesem Beispiel werden Optionen für alle Befehlsleisten in Microsoft Office eingestellt.

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


 DisplayTooltips-Eigenschaft

DisplayTooltips-Eigenschaft

True, wenn QuickInfos angezeigt werden, sobald der Benutzer den Mauszeiger auf Befehlsleisten-Steuerelementen positioniert. Boolean Schreib-Lese-Zugriff.

Hinweise

Die Einstellung der DisplayTooltips-Eigenschaft in einer Containeranwendung wirkt sich unmittelbar auf alle Befehlsleisten in allen derzeit ausgeführten Microsoft Office-Anwendungen und in allen nach dem Einstellen der Eigenschaft geöffneten Office-Anwendungen aus.


Beispiel zur DisplayTooltips-Eigenschaft

In diesem Beispiel werden große Steuerelemente und QuickInfos für alle Befehlsleisten angezeigt.

Set allBars = CommandBars

allBars.LargeButtons = True
allBars.DisplayTooltips = True


 DropDownLines-Eigenschaft

DropDownLines-Eigenschaft

Gibt die Anzahl der Zeilen im angegebenen Kombinationsfeld-Steuerelement der Befehlsleiste zurück oder legt sie fest. Das Kombinationsfeld-Steuerelement muss ein benutzerdefiniertes Steuerelement (ActiveX) und entweder ein Dropdownlistenfeld oder ein Kombinationsfeld sein. Long Schreib-Lese-Zugriff.

Hinweis Wird diese Eigenschaft für ein Kombinationsfeld-Steuerelement eingestellt, das ein Textfeld oder ein integriertes Kombinationsfeld-Steuerelement ist, wird ein Fehler ausgegeben.

Anmerkungen

Wird diese Eigenschaft auf 0 (Null) eingestellt, richtet sich die Anzahl der Zeilen im Steuerelement nach der Anzahl der Elemente in der Liste.


Beispiel zur DropDownLines-Eigenschaft

In diesem Beispiel wird der Befehlsleiste "Custom" ein Kombinationsfeld-Steuerelement hinzugefügt. Anschließend werden der Kombinationsfeldliste zwei Elemente hinzugefügt. Außerdem werden die Anzahl der Zeileneinträge, die Breite des Kombinationsfeldes und als Standardwert für das Kombinationsfeld eine Leerzeile festgelegt.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


 DropDownWidth-Eigenschaft

DropDownWidth-Eigenschaft

Gibt die Breite (in Pixel) der Liste für das angegebene Kombinationsfeld-Steuerelement der Befehlsleiste zurück oder legt sie fest. Long Schreib-Lese-Zugriff.

Hinweis Wird diese Eigenschaft für ein integriertes Kombinationsfeld-Steuerelement eingestellt, wird ein Fehler ausgegeben.

Anmerkungen

Wird diese Eigenschaft auf -1 eingestellt, richtet sich die Breite der Liste nach der Länge des längsten Elements in der Kombinationsfeldliste. Wird diese Eigenschaft auf 0 eingestellt, richtet sich die Breite der Liste nach der Breite des Steuerelements.


Beispiel zur DropDownWidth-Eigenschaft

In diesem Beispiel wird der Befehlsleiste "Custom" ein Kombinationsfeld-Steuerelement hinzugefügt. Anschließend werden der Kombinationsfeldliste zwei Elemente hinzugefügt. Außerdem werden die Anzahl der Zeileneinträge, die Breite des Kombinationsfeldes und als Standardwert für das Kombinationsfeld eine Leerzeile festgelegt.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox, Id:=1)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 0
End With


 Enabled-Eigenschaft

Enabled-Eigenschaft

True, wenn die angegebene Befehlsleiste oder das angegebene Befehlsleisten-Steuerelement deaktiviert ist. Boolean Schreib-Lese-Zugriff.

Anmerkungen

Wird diese Eigenschaft für Befehlsleisten auf True eingestellt, dann wird der Name der Befehlsleiste in der Liste der verfügbaren Befehlsleisten angezeigt.

Wenn Sie die Enabled-Eigenschaft für integrierte Steuerelemente auf True setzen, wird ihr Status durch die Anwendung bestimmt. Setzen Sie die Eigenschaft jedoch auf False, dann wird sie deaktiviert.


Beispiel zur Enabled-Eigenschaft

In diesem Beispiel werden die Befehlsleisten gemäß der durch user angegebenen Benutzerebene angepasst. Ist für user "Level 1" festgelegt, wird die Befehlsleiste "VB Custom Bar" angezeigt. Hat user einen anderen Wert, dann wird die integrierte Visual Basic-Befehlsleiste auf ihren Standardstatus zurückgesetzt und die Befehlsleiste "VB Custom Bar" deaktiviert.

Set myBar = CommandBars _
    .Add(Name:="VB Custom Bar", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=2
    .Visible = True
End With
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If

In diesem Beispiel werden der Befehlsleiste "Custom" zwei Befehlsleisten-Schaltflächen hinzugefügt. Das erste Steuerelement ist deaktiviert. Das zweite Steuerelement ist standardmäßig aktiviert.

Set myBar = CommandBars("Custom")
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Enabled = False
    .Controls.Add Type:=msoControlButton, Id:=3
End With
myBar.Visible = True


Extended-Eigenschaft

Legt Attribute fest, die dem <SCRIPT>-Tag hinzugefügt wurden, bzw. gibt diese zurück, ausgenommen das LANGUAGE- und das ID-Attribut. Schreibgeschützter String-Wert.

Hinweise

Attribute werden durch Leerzeichen voneinander getrennt, wie in HTML. Das LANGUAGE- oder das ID-Attribut kann nicht mit Hilfe der Extended-Eigenschaft übergeben werden.

Die Microsoft Office-Hostanwendung bietet keine Möglichkeit zur Überprüfung der Syntax von übergebenen Attributen.

Wenn das LANGUAGE-Attribut in der Extended-Eigenschaft übergeben wird, erhält der <SCRIPT>-Tag zwei Spracheinstellungen. Dies verursacht einen Konflikt.

Wenn ein ID-Attribut in der Extended-Eigenschaft übergeben wird und weder durch den ID-Parameter der Add-Methode noch durch die Id-Eigenschaft des Script-Objekts eine ID festgelegt wurde, wird die ID korrekt exportiert.


Beispiel zur Extended-Eigenschaft

In diesem Beispiel wird die Extended-Eigenschaft überprüft, um sicherzustellen, dass dem ersten Skript in Arbeitsblatt 1 in der aktiven Arbeitsmappe keine zusätzlichen Attribute hinzugefügt wurden.

If ActiveWorkbook.Worksheets(1).Scripts(1).Extended _
    <> "" Then
      MsgBox "This script contains extended attributes."
End If


 FaceId-Eigenschaft

FaceId-Eigenschaft

Gibt die ID-Nummer für das derzeit dem angegebenen Schaltflächen-Steuerelement der Befehlsleiste zugewiesene Schaltflächensymbol zurück oder legt sie fest. Long Schreib-Lese-Zugriff.

Anmerkungen

Die FaceId-Eigenschaft bestimmt das Aussehen, jedoch nicht die Funktion einer Befehlsleisten-Schaltfläche. Die Id-Eigenschaft des CommandBarControl-Objekts bestimmt die Funktion der Schaltfläche.

Der Wert der FaceId-Eigenschaft für eine Befehlsleisten-Schaltfläche mit einem benutzerdefinierten Symbol ist 0 (Null).


Beispiel zur FaceId-Eigenschaft

In diesem Beispiel wird einer benutzerdefinierten Befehlsleiste eine Befehlsleisten-Schaltfläche hinzugefügt. Das Klicken auf diese Schaltfläche hat denselben Effekt wie das Klicken auf den Befehl Öffnen im Menü Datei, da der Wert für die ID-Nummer 23 beträgt. Der Schaltfläche ist jedoch dasselbe Schaltflächensymbol zugeordnet wie der integrierten Schaltfläche Diagramm erstellen. Wenn Sie auf diese Schaltfläche klicken, wird das Dialogfeld Öffnen angezeigt.

Set newBar = CommandBars.Add(Name:="Custom2", _
     Position:=msoBarTop, Temporary:=True)
newBar.Visible = True
Set con = newBar.Controls.Add(Type:=msoControlButton, Id:=23)
con.FaceId = 17


FeatureTips-Eigenschaft

True, wenn der Office-Assistent Informationen über eine effektivere Nutzung der Anwendungsfunktionen liefert. Boolean Schreib-Lese-Zugriff.

Anmerkungen

Die FeatureTips-Eigenschaft entspricht dem Kontrollkästchen Leistungsmerkmale effektiver nutzen auf der Registerkarte Optionen des Assistent-Dialogfelds.


Beispiel zur FeatureTips-Eigenschaft

In diesem Beispiel wird der Office-Assistent aufgefordert, Informationen darüber zu liefern, wie die Funktionen der Anwendung noch effektiver genutzt werden können.

Assistant.FeatureTips = True


FileName-Eigenschaft

Assistant-Objekt: Gibt den Pfad und den Dateinamen für den aktiven Office-Assistenten zurück oder legt ihn fest. String Schreib-Lese-Zugriff.

FileSearch-Objekt: Gibt den Namen der Datei zurück, die bei einer Dateisuche gesucht werden soll, bzw. legt den Namen fest. Der Dateiname kann die Platzhalterzeichen * (Sternchen) oder ? (Fragezeichen) enthalten. Das Fragezeichen fungiert als Platzhalter für ein beliebiges einzelnes Zeichen. Wenn Sie beispielsweise a?t eingeben, werden sowohl "alt" als auch "art" gefunden. Das Sternchen dient als Platzhalter für eine beliebige Anzahl an Zeichen. Wenn Sie etwa *.txt eingeben, werden alle Dateien mit der Dateinamenerweiterung .TXT gefunden. String Schreib-Lese-Zugriff.

Hinweise

In Windows ist die Dateinamenerweiterung für Assistentendateien .acs. Diese Dateien sind in Windows 95, Windows 98 und Windows NT im Ordner \Programme\Microsoft Office\Office installiert.

Die folgenden Dateinamen entsprechen sieben Assistenten in Microsoft Office 2000. Weitere Assistenten stehen eventuell zur Verfügung, je nachdem, welche Spracheneinstellungen auf dem betreffenden Computer gewählt wurden.

Gestalt | Dateiname
Karl Klammer | Clippit.acs
Origami Kati | OffCat.acs
Rocky | Rocky.acs
Office Logo | Logo.acs
Hüpfer | Dot.acs
Mutter Natur | MNature.acs
F1 | F1.acs


Beispiel zur FileName-Eigenschaft

In diesem Beispiel wird nach allen Dateien im Ordner My Documents gesucht, die mit Cmd beginnen und eine Dateinamenerweiterung aufweisen. Außerdem werden Name und Verzeichnis jeder gefundenen Datei angezeigt.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


Files-Eigenschaft

Gibt eine AnswerWizardFiles-Auflistung zurück, die die Liste der im aktuellen Antwort-Assistenten verfügbaren Dateien darstellt. Schreibgeschützt.

Informationen über das Zurückgeben eines einzelnen Elements einer Auflistung finden Sie unter Zurückgeben eines Objekts aus einer Auflistung.


Beispiel zur Files-Eigenschaft

In diesem Beispiel wird die Dateiliste für den aktuellen Antwort-Assistenten zurückgesetzt und dann ein Meldungsfeld mit der Anzahl der Dateien sowie den Dateinamen angezeigt.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer

Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


FileType-Eigenschaft

FileSearch-Objekt: Gibt den Dateityp zurück, nach dem bei einer Dateisuche gesucht werden soll, oder legt den Dateityp fest. Dies kann eine der folgenden MsoFileType-Konstanten sein: msoFileTypeAllFiles, msoFileTypeBinders, msoFileTypeDatabases, msoFileTypeExcelWorkbooks, msoFileTypeOfficeFiles, msoFileTypePowerPointPresentations, msoFileTypeTemplates oder msoFileTypeWordDocuments. Der Standardwert ist msoFileTypeOfficeFiles. Variant Schreib-Lese-Zugriff.

Hinweise

Die msoFileTypeOfficeFiles-Konstante enthält alle Dateien mit den folgenden Dateinamenerweiterungen: *.doc, *.xls, *.ppt, *.pps, *.obd, *.mdb, *.mpd, *.dot, *.xlt, *.pot, *.obt, *.htm oder *.html.


Beispiel zur FileType-Eigenschaft

In diesem Beispiel werden alle Sammelmappen-Dateien im Ordner My Documents gesucht. Anschließend wird ein Meldungsfenster mit dem Namen und dem Pfad jeder gefundenen Datei angezeigt.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileType = msoFileTypeBinders
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
            " Binder file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no Binder files found."
    End If
End With


FixedWidthFont-Eigenschaft

Legt die Festbreitenschrift in der Hostanwendung fest bzw. gibt sie zurück. Schreibgeschützter String-Wert.

Hinweise

Wenn Sie die FixedWidthFont-Eigenschaft einstellen, überprüft die Hostanwendung den Wert nicht auf Gültigkeit.


FixedWidthFontSize-Eigenschaft

Legt den Schriftgrad der Festbreitenschrift in der Hostanwendung in Punkt fest, bzw. gibt diesen Wert zurück. Schreibgeschützter Single-Wert.

Hinweise

Wenn Sie die FixedWidthFontSize-Eigenschaft einstellen, überprüft die Hostanwendung den Wert nicht auf Gültigkeit. Wenn Sie einen ungültigen Wert eingeben, z. B. einen nichtnumerischen Wert, stellt die Hostanwendung den Schriftgrad auf 0 Punkt ein. Sie können den Schriftgrad in Halbpunktschritten eingeben. Wenn Sie andere Bruchteile von Punktgrößen eingeben, werden die Werte auf den nächsten halben Punkt ab- bzw. aufgerundet.


Beispiel zur FixedWidthFontSize-Eigenschaft

In diesem Beispiel wird die Festbreitenschrift und deren Schriftgrad für den Zeichensatz English/Western European/Other Latin Script in der aktiven Anwendung gesetzt.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


FoundFiles-Eigenschaft

Gibt ein FoundFiles-Objekt zurück, das die Namen aller bei einem Suchlauf gefundenen Dateien enthält. Schreibgeschützt.


Beispiel zur FoundFiles-Eigenschaft

In diesem Beispiel wird die Liste der bei einem Suchlauf gefundenen Dateien schrittweise durchlaufen und der Pfad für jede Datei angezeigt.

With Application.FileSearch
For i = 1 To .FoundFiles.Count
    MsgBox .FoundFiles(i)
Next I
End With


GuessHelp-Eigenschaft

True, wenn der Office-Assistent eine Liste relevanter Hilfethemen zum Kontext anzeigt, der unmittelbar vor dem Klicken auf das Assistenten-Fenster oder vor dem Drücken von F1 aktiv war. Boolean Schreib-Lese-Zugriff.

Anmerkungen

Die GuessHelp-Eigenschaft entspricht der Option Hilfethemen erraten unter Den Office-Assistenten verwenden auf der Registerkarte Optionen des Dialogfeldes Office-Assistent.


Beispiel zur GuessHelp-Eigenschaft

In diesem Beispiel wird der Office-Assistent so eingestellt, dass er Hilfethemen rät.

Assistant.GuessHelp = True


Guid-Eigenschaft

Gibt den global eindeutigen Klassenbezeichner (GUID, Globally Unique Class Identifier) für das angegebene COMAddIn-Objekt zurück. Schreibgeschützter String-Wert.


Beispiel zur Guid-Eigenschaft

Im folgenden Beispiel werden ProgID und GUID für das COM-Add-In 1 in einem Meldungsfeld angezeigt.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


Heading-Eigenschaft

Gibt die Überschrift zurück, die in der Sprechblase des Office-Assistenten angezeigt wird, bzw. legt sie fest. String mit Schreib-Lese-Zugriff.

Hinweise

Um eine Grafik anzugeben, die in der Sprechblasenüberschrift angezeigt werden soll, verwenden Sie die folgende Syntax: {type location sizing_factor}, wobei type BMP (Bitmap) oder WMF (Windows Metafile), location die Ressourcen-ID oder der Pfad und der Dateiname ist und sizing_factor die Breite der WMF-Datei angibt (für BMP nicht angegeben).

Die Sprechblasenüberschrift unterstützt auch unterstrichenen Text sowie Text, auf den eine der 16 Systempalettenfarben angewendet wurde. Um in einer Überschrift unterstrichenen Text anzuzeigen, verwenden Sie die Syntax {ul} oder {ul 1}. Mit {ul 0} deaktivieren Sie die Unterstreichung. Wenn Sie die Farbe der Überschrift ändern möchten, schreiben Sie vor den Überschriftentext die Zeichenfolge {cf number}, wobei number die Nummer einer der Systemfarben in der folgenden Tabelle ist.

Nummer der Systemfarbe | Farbe
0 | Schwarz
1 | Dunkelrot
2 | Dunkelgrün
3 | Dunkelgelb
4 | Dunkelblau
5 | Dunkelmagenta
6 | Dunkelzyan
7 | Hellgrau
248 | Mittelgrau
249 | Rot
250 | Grün
251 | Gelb
252 | Blau
253 | Magenta
254 | Zyan
255 | Weiß

Wenn Sie eine andere als die oben genannten Systemfarbennummern angeben, ist der Text der Überschrift schwarz.


Beispiel zur Heading-Eigenschaft

In diesem Beispiel wird eine Sprechblase mit Überschrift, Text und drei Regionsoptionen erstellt und anschließend angezeigt.

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


 Height-Eigenschaft

Height-Eigenschaft

Gibt die Höhe des angegebenen Befehlsleisten-Steuerelements in Pixel zurück oder legt sie fest. Long Schreib-Lese-Zugriff. Für Befehlsleisten ist die Height-Eigenschaft schreibgeschützt.


Beispiel zur Height-Eigenschaft

In diesem Beispiel wird der Befehlsleiste "Custom" ein benutzerdefiniertes Steuerelement hinzugefügt. Die Höhe des benutzerdefinierten Steuerelements wird auf die doppelte Höhe der Befehlsleiste gesetzt, die Breite auf 50 Pixel. Beachten Sie, dass die Höhe der Befehlsleiste sich automatisch ändert, so dass diese das Steuerelement aufnehmen kann.

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


 HelpContextId-Eigenschaft

HelpContextId-Eigenschaft

Gibt die ID-Nummer des Hilfekontexts für das dem Befehlsleisten-Steuerelement zugeordnete Hilfethema zurück oder legt die ID-Nummer fest. Long Schreib-Lese-Zugriff.

Hinweise

Um diese Eigenschaft verwenden zu können, müssen Sie auch die HelpFile-Eigenschaft einstellen. Hilfethemen werden mit der Tastenkombination UMSCHALT+F1 abgerufen.


Beispiel zur HelpContextId-Eigenschaft

In diesem Beispiel wird eine benutzerdefinierte Befehlsleiste mit einem Kombinationsfeld hinzugefügt, in dem Bestandsdaten erfasst werden. Das Beispiel gibt außerdem das Hilfethema an, das für das Kombinationsfeld angezeigt werden soll, wenn der Benutzer UMSCHALT+F1 drückt.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


 HelpFile-Eigenschaft

HelpFile-Eigenschaft

Gibt den Namen der Datei für das mit dem Befehlsleisten-Steuerelement verbundene Hilfethema zurück oder legt ihn fest. String Schreib-Lese-Zugriff.

Anmerkungen

Um diese Eigenschaft verwenden zu können, müssen Sie auch die HelpContextID-Eigenschaft einstellen. Hilfethemen werden mit der Tastenkombination UMSCHALT+F1 abgerufen.


Beispiel zur HelpFile-Eigenschaft

In diesem Beispiel wird eine benutzerdefinierte Befehlsleiste mit einem Kombinationsfeld zur Erfassung von Bestandsdaten hinzugefügt. Das Beispiel gibt außerdem das Hilfethema an, das für das Kombinationsfeld angezeigt werden soll, wenn der Benutzer UMSCHALT+F1 drückt.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
    .HelpFile = "C:\corphelp\custom.hlp"
    .HelpContextID = 47
End With


HighPriorityTips-Eigenschaft

True, wenn der Office-Assistent Tipps mit hoher Priorität anzeigt. Boolean Schreib-Lese-Zugriff.

Anmerkungen

Die HighPriorityTips-Eigenschaft entspricht der Option Nur Tipps mit hoher Priorität anzeigen unter Tipps anzeigen auf der Registerkarte Optionen im Dialogfeld Office-Assistent.


Beispiel zur HighPriorityTips-Eigenschaft

In diesem Beispiel wird der Office-Assistent so eingestellt, dass er Tipps mit hoher Priorität anzeigt.

Assistant.HighPriorityTips = True


HTMLProjectItems-Eigenschaft

Gibt die HTMLProjectItems-Auflistung zurück, die in dem angegebenen HTML-Projekt enthalten ist. Schreibgeschützter HTMLProjectItems-Wert.


Beispiel zur HTMLProjectItems-Eigenschaft

In diesem Beispiel wird die Anzahl der Elemente in der HTMLProjectItems-Auflistung im HTML-Projekt in der aktiven Arbeitsmappe zurückgegeben.

intCount = ActiveWorkbook.HTMLProject.HTMLProjectItems.Count


HyperlinkType-Eigenschaft

Legt den Typ des Hyperlinks fest, der mit der angegebenen Befehlsleisten-Schaltfläche verknüpft ist, bzw. gibt diesen zurück. Kann eine der folgenden MsoCommandBarButtonHyperlinkType-Konstanten sein: msoCommandBarButtonHyperlinkNone, msoCommandBarButtonHyperlinkOpen oder msoCommandBarButtonHyperlinkInsertPicture. Long-Wert mit Lese-/Schreibzugriff.


Beispiel zur HyperlinkType-Eigenschaft

In diesem Beispiel wird die HyperlinkType-Eigenschaft für die angegebene Befehlsleisten-Schaltfläche auf der Befehlsleiste "Custom" überprüft. Wenn HyperlinkType den Wert msoCommandBarButtonHyperlinkNone hat, wird die Eigenschaft auf msoCommandBarButtonHyperlinkOpen und der URL auf www.microsoft.com gesetzt.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
Set myButton = myBar.Controls.Add(Type:=msoControlButton)
With myButton
    .FaceId = 277
    .HyperlinkType = msoCommandBarButtonHyperlinkNone
End With
If myButton.HyperlinkType <> _
    msoCommandBarButtonHyperlinkOpen Then
    myButton.HyperlinkType = _
        msoCommandBarButtonHyperlinkOpen
    myButton.TooltipText = "www.microsoft.com"
End If


Icon-Eigenschaft

Gibt den Symboltyp zurück, der im unteren linken Abschnitt der Sprechblase des Office-Assistenten erscheint, oder legt ihn fest. Dies kann eine der folgenden MsoIconType-Konstanten sein: msoIconAlert, msoIconAlertCritical, msoIconAlertInfo, msoIconAlertQuery, msoIconAlertWarning, msoIconNone oder msoIconTip. String Schreib-Lese-Zugriff.


Beispiel zur Icon-Eigenschaft

In diesem Beispiel wird eine Sprechblase mit einem Alarmsymbol erstellt, in der der Benutzer zur Auswahl eines Druckers aufgefordert wird.

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Show
End With


Id-Eigenschaft

Gibt die ID eines Objekts zurück. Klicken Sie auf eines der folgenden Objekte, um eine genaue Beschreibung der Id-Eigenschaft für dieses Objekt einzublenden.

CommandBarControl
Script


Index-Eigenschaft

Gibt die Index-Nummer des angegebenen Objekts in der Auflistung zurück. Long Nur-Lese-Zugriff.

Anmerkungen

Die Position des ersten Befehlsleisten-Steuerelements ist 1. Trennzeichen werden in der CommandBarControls-Auflistung nicht gezählt.


Beispiel zur Index-Eigenschaft

In diesem Beispiel wird in der Befehlsleiste "Custom2" nach einem Steuerelement mit einem ID-Wert von 23 gesucht. Wird ein entsprechendes Steuerelement gefunden, und ist die Indexnummer des gefundenen Steuerelements größer als 5, wird das Steuerelement als erstes Steuerelement in der Befehlsleiste platziert.

Set myBar = CommandBars("Custom2")
Set ctrl1 = myBar.FindControl(Id:=23)
If ctrl1.Index > 5 Then
    ctrl1.Move before:=1
End If


IsOpen-Eigenschaft

True, wenn das angegebene HTML-Projektelement im Microsoft Skript-Editor geöffnet ist. Schreibgeschützter Boolean-Wert.


Beispiel zur IsOpen-Eigenschaft

In diesem Beispiel wird festgestellt, ob das angegebene HTML-Projektelement geöffnet ist. Ist dies der Fall, wird ein Skript aus der angegebenen Datei geladen.

If ActiveWorkbook.HTMLProject.HTMLProjectItems _
    .Item(1).IsOpen Then
    ActiveWorkbook.HTMLProject.HTMLProjectItems _
        .Item(1).LoadFromFile ("C:\MyScript.txt")
Else
    MsgBox "The HTMLProjectItem is not open."
End If


IsPriorityDropped-Eigenschaft

True, wenn das Steuerelement derzeit aufgrund von Verwendungsstatistiken und Platzgründen nicht in einem Menü oder auf einer Symbolleiste angezeigt wird. (Beachten Sie, dass sich dies von der Sichtbarkeit eines Steuerelements unterscheidet, die mit der Visible-Eigenschaft festgelegt wird.) Ein Steuerelement, für das sowohl Visible als auch IsPriorityDropped auf True gesetzt wurde, ist in personalisierten Menüs oder Symbolleisten nicht sofort sichtbar. Boolean Nur-Lese-Zugriff.

Hinweise

Damit bestimmt werden kann, wann IsPriorityDropped für einen bestimmten Menübefehl auf True gesetzt wird, hält Microsoft Office fest, wie oft der Menübefehl insgesamt verwendet wurde. Außerdem wird die Anzahl der verschiedenen Anwendungssitzungen aufgezeichnet, in denen der Benutzer einen anderen Menübefehl im selben Menü verwendet hat, ohne den fraglichen Befehl zu verwenden. Wenn dieser Wert bestimmte Schwellwerte erreicht, wird die Anzahl, wie oft der Menübefehl insgesamt verwendet wurde, herunter gezählt. Wenn die Anzahl Null erreicht, wird IsPriorityDropped auf True gesetzt. Beim Programmieren kann der Wert für die Sitzungen, der Schwellwert oder die IsPriorityDropped-Eigenschaft nicht eingestellt werden. Es besteht jedoch die Möglichkeit, die AdaptiveMenus-Eigenschaft zu verwenden, um adaptive Menüs für bestimmte Menüs in einer Anwendung zu deaktivieren.

Damit bestimmt werden kann, wann IsPriorityDropped für eine bestimmte Symbolleiste auf True gesetzt wird, führt Office eine Liste über die Reihenfolge, in der alle Steuerelemente auf dieser Symbolleiste zuletzt ausgeführt wurden. Auf einer Symbolleiste werden immer so viele Steuerelemente angezeigt, wie auf der Symbolleiste Platz finden. Die Anzeige erfolgt vom zuletzt verwendeten bis zum zuerst verwendeten Steuerelement. Steuerelemente, für die Priority auf 1 gesetzt ist, werden immer angezeigt, wobei die Symbolleiste für die Anzeige dieser Steuerelemente bei Bedarf auf mehrere Zeilen mit Steuerelementen umbrochen wird. Beim Programmieren kann die Priority- Eigenschaft verwendet werden, um sicherzustellen, dass bestimmte Steuerelemente der Symbolleiste immer angezeigt werden, oder um die Position der Symbolleisten so zu verändern, dass genug Platz zum Anzeigen aller Steuerelemente vorhanden ist.

In der folgenden Tabelle wird gezeigt, über wie viele Sitzungen ein Menübefehl in einem personalisierten Menü sichtbar bleibt, bevor die IsPriorityDropped-Eigenschaft des Menübefehls auf True gesetzt wird.

Anzahl Verwendungen des Befehlsleisten-Steuerelements | Anzahl Anwendungssitzungen
0, 1 | 3
2 | 6
3 | 9
4, 5 | 12
6 bis 8 | 17
9 bis 13 | 23
14 bis 24 | 29
25 oder mehr | 31


Beispiel zur IsPriorityDropped-Eigenschaft

In diesem Beispiel wird die IsPriorityDropped-Eigenschaft für das erste Steuerelement auf der Befehlsleiste "Custom" überprüft. Wenn IsPriorityDropped den Wert True hat, setzt der Beispielcode die AdaptiveMenus-Eigenschaft auf False, so dass die gelöschte Befehlsleiste wiederhergestellt wird.

If CommandBars("Custom").Controls(1).IsPriorityDropped Then
    CommandBars.AdaptiveMenus = True
End If


Item-Eigenschaft

Gibt ein Objekt aus einer Auflistung oder einen mit einem Objekt verknüpften Text zurück.

Item ist das Standardelement des Objekts oder der Auflistung. In den beiden folgenden Anweisungen wird z. B. der Variablen cmdBar jeweils ein CommandBar-Objekt zugewiesen.

Set cmdBar = CommandBars.Item("Standard")
Set cmdBar = CommandBars("Standard")

In den folgenden beiden Anweisungen wird der Variablen lblText der Text der ersten Beschriftung in dem Balloon-Objekt zugeordnet, das myBalloon zugewiesen ist.

lblText = myBalloon.Labels(1).Item
lblText = myBalloon.Labels(1)

Klicken Sie auf eines der folgenden Objekte, um eine detaillierte Beschreibung der Item-Eigenschaft für das betreffende Objekt anzuzeigen.

AnswerWizardFiles

Assistant

BalloonCheckboxes

BalloonCheckbox

BalloonLabel

BalloonLabels

COMAddIns

CommandBarControls

CommandBars

DocumentProperties

FoundFiles

HTMLProjectItems

PropertyTests

Scripts

WebPageFonts


Item-Eigenschaft (AnswerWizardFiles-Auflistung)

Gibt die Zeichenfolge eines Dateinamens aus einer AnswerWizardFiles-Auflistung zurück. Schreibgeschützt.

Syntax

expression.Item(Index)

expression Erforderlich. Ein Ausdruck, der eine AnswerWizardFiles-Auflistung zurückgibt.

Index Erforderlicher Integer-Wert. Der Index der Zeichenfolge für den zurückzugebenden Namen einer Datei des Antwort-Assistenten.


Beispiel zur Item-Eigenschaft (AnswerWizardFiles-Auflistung)

In diesem Beispiel wird die Dateiliste für den aktuellen Antwort-Assistenten zurückgesetzt und ein Meldungsfeld mit der Anzahl der Dateien sowie den Dateinamen angezeigt, wobei die Dateinamen mit Hilfe der Item-Eigenschaft zurückgegeben werden.

Dim customAnswerWizard As AnswerWizard
Dim strFileList As String
Dim intCounter As Integer
Dim intNumFiles As Integer

Set customAnswerWizard = Application.AnswerWizard
intCounter = 1

customAnswerWizard.ResetFileList
strFileList = ""
intNumFiles = customAnswerWizard.Files.Count
For intCounter = 1 To (intNumFiles)
    strFileList = strFileList & _
    customAnswerWizard.Files.Item(intCounter) & Chr(13)
Next

MsgBox "There are " & customAnswerWizard.Files.Count & _
    " files avaialble through this AnswerWizard: " & _
    Chr(13) & strFileList


Item-Eigenschaft (Assistant-, BalloonLabel- und BalloonCheckBox-Objekt)

Gibt den mit dem angegebenen Objekt verbundenen Text zurück. String schreibgeschützt.

Syntax

expression.Item

expression Erforderlich. Ein Ausdruck, der ein Assistant-, BalloonCheckBox- oder BalloonLabel-Objekt zurückgibt.


Item-Eigenschaft (BalloonCheckBoxes-Auflistung)

Gibt ein BalloonCheckbox-Objekt aus der BalloonCheckBoxes-Auflistung zurück. Schreibgeschützt.

Syntax

expression.Item(Index)

expression Ein Ausdruck, der ein BalloonCheckBoxes-Objekt zurückgibt.

Index Long erforderlich. Die Indexnummer des zurückzugebenden Kontrollkästchens.


Item-Eigenschaft (BalloonLabels-Auflistung)

Gibt ein BalloonLabel-Objekt aus der BalloonLabels-Auflistung zurück. Schreibgeschützt.

Syntax

expression.Item(Index)

expression Ein Ausdruck, der ein BalloonLabel-Objekt zurückgibt.

Index Long erforderlich. Die Indexnummer der zurückzugebenden Beschriftung.


Item-Eigenschaft (CommandBars- und CommandBarControls-Auflistung)

Gibt ein CommandBar-Objekt aus der CommandBars-Auflistung oder ein CommandBarControl-Objekt aus der CommandBarControls-Auflistung zurück. Schreibgeschützt.

Syntax

expression.Item(Index)

expression Erforderlich. Ein Ausdruck, der ein CommandBar- oder CommandBarControl-Objekt zurückgibt.

Index Variant erforderlich. Der Name oder die Indexnummer des zurückzugebenden Objekts. Beachten Sie, dass Sie nur Indexnummern verwenden können, um PropertyTest-Objekte aus der PropertyTests-Auflistung zurückzugeben.


Item-Eigenschaft (DocumentProperties-Auflistung)

Gibt ein DocumentProperty-Objekt aus der DocumentProperties-Auflistung zurück. Schreibgeschützt.

Syntax

expression.Item(Index)

expression Erforderlich. Ein Ausdruck, der ein DocumentProperty-Objekt zurückgibt.

Index Variant erforderlich. Der Name oder die Indexnummer der zurückzugebenden Dokumenteigenschaft.


Item-Eigenschaft (FoundFiles-Objekt)

Gibt einen Dateinamen aus der durch das FoundFiles-Objekt dargestellten Liste zurück. String schreibgeschützt.

Syntax

expression.Item(Index)

expression Erforderlich. Ein Ausdruck, der ein FoundFiles-Objekt zurückgibt.

Index Variant erforderlich. Die Indexnummer des zurückzugebenden Dateinamens.


Item-Eigenschaft (PropertyTests-Auflistung)

Gibt ein PropertyTest-Objekt aus der PropertyTests-Auflistung zurück. Schreibgeschützt.

Syntax

expression.Item(Index)

expression Erforderlich. Ein Ausdruck, der ein PropertyTest-Objekt zurückgibt.

Index Variant erforderlich. Die Indexnummer des zurückzugebenden Eigenschaftstests.


Item-Eigenschaft (WebPageFonts-Objekt)

Gibt ein WebPageFont-Objekt aus der WebPageFonts-Auflistung für einen bestimmten Wert von MsoCharacterSet zurück. Schreibgeschützter Object-Wert.

Hinweise

Die WebPageFonts-Auflistung enthält ein WebPageFont-Objekt für jede der folgenden MsoCharacterSet-Konstanten:

msoCharacterSetArabic
msoCharacterSetCyrillic
msoCharacterSetEnglishWesternEuropeanOtherLatinScript
msoCharacterSetGreek
msoCharacterSetHebrew
msoCharacterSetJapanese
msoCharacterSetKorean
msoCharacterSetMultilingualUnicode
msoCharacterSetSimplifiedChinese
msoCharacterSetThai
msoCharacterSetTraditionalChinese
msoCharacterSetVietnamese


Beispiel zur Item-Eigenschaft (WebPageFonts-Objekt)

Im folgenden Beispiel wird myFont mit Hilfe der Item-Eigenschaft auf das WebPageFont-Objekt für den Zeichensatz English/Western European/Other Latin Script in der aktiven Anwendung gesetzt.

Dim myFont As WebPageFont
Set myFont = _
  Application.DefaultWebOptions.Fonts. _
  Item(msoCharacterSetEnglishWesternEuropeanOtherLatinScript)


KeyboardShortcutTips-Eigenschaft

True, wenn der Office-Assistent Hilfeinformationen über Tastenkombinationen liefert. Boolean Schreib-Lese-Zugriff.

Anmerkungen

Die KeyboardShortcutTips-Eigenschaft entspricht der Option Kontextmenü unter Tipps anzeigen in der Registerkarte Optionen im Dialogfeld Office-Assistent.


Beispiel zur KeyboardShortcutTips-Eigenschaft

In diesem Beispiel werden die Hilfeinformationen des Office-Assistenten über Tastenkombinationen aktiviert.

Assistant.KeyboardShortcutTips = True


Labels-Eigenschaft

Gibt eine BalloonLabels-Auflistung mit den Beschriftungen für die Schaltflächen, Nummerierungen und Aufzählungen in der angegebenen Sprechblase des Office-Assistenten zurück. Nur-Lese-Zugriff.

Informationen darüber, wie ein einzelnes Element einer Auflistung zurückgegeben wird, finden Sie unter Zurückgeben eines Objekts aus einer Auflistung.


Beispiel zur Labels-Eigenschaft

In diesem Beispiel wird eine Sprechblase mit drei Optionen erstellt. Die Variable x wird auf den Rückgabewert der Show-Methode gesetzt. Dieser Wert ist 1, 2 oder 3, je nachdem, auf welche Bezeichnung der Benutzer klickt. Im Beispiel wird der Wert der Variable x in einem einfachen Meldungsfenster angezeigt. Sie können den Wert aber auch an eine andere Prozedur übergeben oder ihn in einer Select Case-Anweisung verwenden.

Set b = Assistant.NewBalloon
With b
    .Heading = "This is my heading"
    .Text = "Select one of these things:"
    .Labels(1).Text = "Choice One"
    .Labels(2).Text = "Choice Two"
    .Labels(3).Text = "Choice Three"
    x = .Show
End With
MsgBox x


Language-Eigenschaft

Legt die Skriptsprache des aktiven Skripts fest bzw. gibt sie zurück. Kann eine der folgenden MsoScriptLanguage-Konstanten sein: msoScriptLanguageASP, msoScriptLanguageJava, msoScriptLanguageOther oder msoScriptLanguageVisualBasic. Long-Wert mit Lese-/Schreibzugriff.

Hinweise

Die bei der Language-Eigenschaft verwendeten MsoScriptLanguage-Konstanten werden auch im Language-Parameter in der Add-Methode der Scripts-Auflistung verwendet.


LanguageID-Eigenschaft

Gibt die LCID (Locale Identifier, Gebietsschemabezeichner) der Sprache für die Installation, die Benutzeroberfläche oder die Hilfe zurück. Schreibgeschützter Long-Wert.

Hinweise

Sie können eine der MsoAppLanguageID-Konstanten in der folgenden Tabelle verwenden, um die LCID an die Anwendung zurückzugeben.

MsoAppLanguageID-Konstante | Bedeutung
msoLanguageIDExeMode | Der Sprachmodus, den die Anwendung verwendet. Diese Einstellung gilt nur für Microsoft Excel und Microsoft Access. Sie hat einen Einfluss auf Sprachen, die angezeigt und bearbeitet werden können, verfügbare sprachenspezifische Funktionen, Zahlenformate, Währungseinstellungen usw. Wird keine der von Excel und Access unterstützten Sprachen verwendet, dann wird die Hostanwendung nicht so konfiguriert, dass sie ostasiatische und von rechts nach links orientierte Sprachen unterstützt. Folgende Sprachen werden unterstützt: Arabisch Farsi Hebräisch Japanisch Koreanisch Vereinfachtes Chinesisch Traditionelles Chinesisch Urdu Jiddisch
msoLanguageIDHelp | Die für die Hilfe verwendete Sprache.
msoLanguageIDInstall | Die Spracheinstellungen, die in Microsoft Office zum Festlegen von Standardwerten verwendet werden. In Microsoft Word werden anhand dieser Einstellung z. B. das Layout von Symbolleisten und die Standard-Nummerierungs- und -Aufzählungstypen für jede Sprache einzeln festgelegt.
msoLanguageIDUI | Die für die Benutzeroberfläche der Hostanwendung verwendete Sprache.
msoLanguageIDUIPrevious | Die Spracheinstellung, die zu dem Zeitpunkt für die Benutzeroberfläche galt, als der betreffende Computer zuletzt neu gestartet wurde. Ein Programm oder Add-In kann mit Hilfe dieser Einstellung ermitteln, ob sich die Sprache für die Benutzeroberfläche geändert hat.


Beispiel zur LanguageID-Eigenschaft

In diesem Microsoft Excel-Beispiel werden die Einstellungen für die LanguageID-Eigenschaft für die Benutzeroberfläche und den Ausführungsmodus darauf hin überprüft, ob sie auf die gleiche LCID eingestellt sind. Im Falle einer Abweichung gibt der Code einen Fehler zurück.

If Application.LanguageSettings.LanguageID(msoLanguageIDExeMode) _
    <> Application.LanguageSettings.LanguageID(msoLanguageIDUI) _
    Then MsgBox "The user interface language and execution " & _
    "mode are different."


LanguagePreferredForEditing-Eigenschaft

Gibt True zurück, wenn der Wert für die msoLanguageID-Konstante in der Windows-Registrierung als bevorzugte Sprache für die Bearbeitung angegeben wurde. Schreibgeschützter Boolean-Wert.

Hinweise

Sie müssen alle gültigen msoLanguageID-Werte testen, um die bevorzugten Sprachen zu nummerieren.

Die folgende Liste enthält alle gültigen MsoLanguageID-Konstanten:

msoLanguageIDAfrikaans
msoLanguageIDAlbanian
msoLanguageIDArabic
msoLanguageIDArabicAlgeria
msoLanguageIDArabicBahrain
msoLanguageIDArabicEgypt
msoLanguageIDArabicIraq
msoLanguageIDArabicJordan
msoLanguageIDArabicKuwait
msoLanguageIDArabicLebanon
msoLanguageIDArabicLibya
msoLanguageIDArabicMorocco
msoLanguageIDArabicOman
msoLanguageIDArabicQatar
msoLanguageIDArabicSyria
msoLanguageIDArabicTunisia
msoLanguageIDArabicUAE
msoLanguageIDArabicYemen
msoLanguageIDArmenian
msoLanguageIDAssamese
msoLanguageIDAzeriCyrillic
msoLanguageIDAzeriLatin
msoLanguageIDBasque
msoLanguageIDBelgianDutch
msoLanguageIDBelgianFrench
msoLanguageIDBengali
msoLanguageIDBosniaHerzegovina
msoLanguageIDBrazilianPortuguese
msoLanguageIDBulgarian
msoLanguageIDBurmese
msoLanguageIDByelorussian
msoLanguageIDCatalan
msoLanguageIDChineseHongKong
msoLanguageIDChineseMacao
msoLanguageIDChineseSingapore
msoLanguageIDCroatian
msoLanguageIDCzech
msoLanguageIDDanish
msoLanguageIDDutch
msoLanguageIDEnglishAUS
msoLanguageIDEnglishBelize
msoLanguageIDEnglishCanadian
msoLanguageIDEnglishCaribbean
msoLanguageIDEnglishIreland
msoLanguageIDEnglishJamaica
msoLanguageIDEnglishNewZealand
msoLanguageIDEnglishPhilippines
msoLanguageIDEnglishSouthAfrica
msoLanguageIDEnglishTrinidad
msoLanguageIDEnglishUK
msoLanguageIDEnglishUS
msoLanguageIDEnglishZimbabwe
msoLanguageIDEstonian
msoLanguageIDFaeroese
msoLanguageIDFarsi
msoLanguageIDFinnish
msoLanguageIDFrench
msoLanguageIDFrenchCameroon
msoLanguageIDFrenchCanadian
msoLanguageIDFrenchCotedIvoire
msoLanguageIDFrenchLuxembourg
msoLanguageIDFrenchMali
msoLanguageIDFrenchMonaco
msoLanguageIDFrenchReunion
msoLanguageIDFrenchSenegal
msoLanguageIDFrenchWestIndies
msoLanguageIDFrenchZaire
msoLanguageIDFrisianNetherlands
msoLanguageIDGaelicIreland
msoLanguageIDGaelicScotland
msoLanguageIDGalician
msoLanguageIDGeorgian
msoLanguageIDGerman
msoLanguageIDGermanAustria
msoLanguageIDGermanLiechtenstein
msoLanguageIDGermanLuxembourg
msoLanguageIDGreek
msoLanguageIDGujarati
msoLanguageIDHebrew
msoLanguageIDHindi
msoLanguageIDHungarian
msoLanguageIDIcelandic
msoLanguageIDIndonesian
msoLanguageIDItalian
msoLanguageIDJapanese
msoLanguageIDKannada
msoLanguageIDKashmiri
msoLanguageIDKazakh
msoLanguageIDKhmer
msoLanguageIDKirghiz
msoLanguageIDKonkani
msoLanguageIDKorean
msoLanguageIDLao
msoLanguageIDLatvian
msoLanguageIDLithuanian
msoLanguageIDLithuanianClassic
msoLanguageIDMacedonian
msoLanguageIDMalayalam
msoLanguageIDMalayBruneiDarussalam
msoLanguageIDMalaysian
msoLanguageIDMaltese
msoLanguageIDManipuri
msoLanguageIDMarathi
msoLanguageIDMexicanSpanish
msoLanguageIDMixed
msoLanguageIDMongolian
msoLanguageIDNepali
msoLanguageIDNone
msoLanguageIDNoProofing
msoLanguageIDNorwegianBokmol
msoLanguageIDNorwegianNynorsk
msoLanguageIDOriya
msoLanguageIDPolish
msoLanguageIDPortuguese
msoLanguageIDPunjabi
msoLanguageIDRhaetoRomanic
msoLanguageIDRomanian
msoLanguageIDRomanianMoldova
msoLanguageIDRussian
msoLanguageIDRussianMoldova
msoLanguageIDSamiLappish
msoLanguageIDSanskrit
msoLanguageIDSerbianCyrillic
msoLanguageIDSerbianLatin
msoLanguageIDSesotho
msoLanguageIDSimplifiedChinese
msoLanguageIDSindhi
msoLanguageIDSlovak
msoLanguageIDSlovenian
msoLanguageIDSorbian
msoLanguageIDSpanish
msoLanguageIDSpanishArgentina
msoLanguageIDSpanishBolivia
msoLanguageIDSpanishChile
msoLanguageIDSpanishColombia
msoLanguageIDSpanishCostaRica
msoLanguageIDSpanishDominicanRepublic
msoLanguageIDSpanishEcuador
msoLanguageIDSpanishElSalvador
msoLanguageIDSpanishGuatemala
msoLanguageIDSpanishHonduras
msoLanguageIDSpanishModernSort
msoLanguageIDSpanishNicaragua
msoLanguageIDSpanishPanamá
msoLanguageIDSpanishParaguay
msoLanguageIDSpanishPeru
msoLanguageIDSpanishPuertoRico
msoLanguageIDSpanishUruguay
msoLanguageIDSpanishVenezuela
msoLanguageIDSutu
msoLanguageIDSwahili
msoLanguageIDSwedish
msoLanguageIDSwedishFinland
msoLanguageIDSwissFrench
msoLanguageIDSwissGerman
msoLanguageIDSwissItalian
msoLanguageIDTajik
msoLanguageIDTamil
msoLanguageIDTatar
msoLanguageIDTelugu
msoLanguageIDThai
msoLanguageIDTibetan
msoLanguageIDTraditionalChinese
msoLanguageIDTsonga
msoLanguageIDTswana
msoLanguageIDTurkish
msoLanguageIDTurkmen
msoLanguageIDUkrainian
msoLanguageIDUrdu
msoLanguageIDUzbekCyrillic
msoLanguageIDUzbekLatin
msoLanguageIDVenda
msoLanguageIDVietnamese
msoLanguageIDWelsh
msoLanguageIDXhosa
msoLanguageIDZulu


Beispiel zur LanguagePreferredForEditing-Eigenschaft

In diesem Beispiel wird eine Meldung angezeigt, wenn US-Englisch eine bevorzugte Bearbeitungssprache ist.

If Application.LanguageSettings. _
    LanguagePreferredForEditing(msoLanguageIDEnglishUS) Then
    MsgBox "One of the preferred editing languages is US English."
End If


LargeButtons-Eigenschaft

True, wenn große Schaltflächen in der Symbolleiste angezeigt werden. Boolean Schreib-Lese-Zugriff.


Beispiel zur LargeButtons-Eigenschaft

In diesem Beispiel wird die Anzeigegröße von Symbolleistenschaltflächen umgeschaltet.

Set allBars = CommandBars
If allBars.LargeButtons Then
    allBars.LargeButtons = False
Else
    allBars.LargeButtons = True
End If


LastModified-Eigenschaft

Gibt eine Konstante zurück, die den Zeitraum darstellt, vor dem die angegebene Datei zuletzt geändert und gespeichert worden ist, oder legt diese Konstante fest. Dies kann eine der folgenden MsoLastModified-Konstanten sein: msoLastModifiedAnyTime, msoLastModifiedLastMonth, msoLastModifiedLastWeek, msoLastModifiedThisMonth, msoLastModifiedThisWeek, msoLastModifiedToday oder msoLastModifiedYesterday. Der Standardwert ist msoLastModifiedAnyTime. Variant Schreib-Lese-Zugriff.


Beispiel zur LastModified-Eigenschaft

In diesem Beispiel werden Optionen für eine Dateisuche festgelegt. Die Dateien, die diese Suche zurückgibt, wurden gestern geändert und sind im Ordner C:\My Documents oder einem seiner Unterordner gespeichert.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .LastModified = msoLastModifiedYesterday
End With


 Left-Eigenschaft

Left-Eigenschaft

CommandBar- oder CommandBarControl-Objekt: Gibt den Abstand (in Pixel) vom linken Rand der angegebenen Befehlsleiste oder des angegebenen Befehlsleisten-Steuerelements zum linken Rand des Bildschirms zurück oder legt diesen Abstand fest. Gibt den Abstand von der linken Seite des Verankerungsbereichs zurück. Long Schreib-Lese-Zugriff für CommandBar, Long schreibgeschützt für CommandBarControl.

Assistant-Objekt: Gibt die horizontale Position (in Punkt) des Office-Assistenten-Fensters relativ zum Bildschirm zurück oder legt die Position fest. Long Schreib-Lese-Zugriff.


Beispiel zur Left-Eigenschaft

In diesem Beispiel wird die benutzerdefinierte Befehlsleiste "Custom" von ihrer angedockten Position am oberen Fensterrand entlang zum linken Rand des Fensters verschoben.

Set myBar = CommandBars("Custom")
With myBar
    .Position = 1
    .RowIndex = 2
    .Left = 0
End With

Dieser Beispielcode zeigt den Office-Assistenten an und verschiebt ihn innerhalb des Anwendungsfensters an die angegebene Position.

With Assistant
    .Visible = True
    .Left = 300
    .Top = 300
End With


LinkSource-Eigenschaft

Gibt die Quelle der angegebenen, verknüpften benutzerdefinierten Dokumenteigenschaft zurück oder legt sie fest. String Schreib-Lese-Zugriff.

Anmerkungen

Diese Eigenschaft ist nur für benutzerdefinierte Dokumenteigenschaften gültig. Sie kann nicht mit integrierten Dokumenteigenschaften verwendet werden.

Die Quelle der angegebenen Verknüpfung wird von der Containeranwendung bestimmt.

Wird die LinkSource-Eigenschaft festgelegt, wird die LinkToContent-Eigenschaft auf True eingestellt.


Beispiel zur LinkSource-Eigenschaft

In diesem Beispiel wird der Verknüpfungsstatus einer benutzerdefinierten Dokumenteigenschaft angezeigt. Damit das Beispiel funktioniert, muss dp ein gültiges DocumentProperty-Objekt sein.

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


LinkToContent-Eigenschaft

True, wenn der Wert der angegebenen, benutzerdefinierten Dokumenteigenschaft mit dem Inhalt des Container-Dokuments verknüpft ist. False, wenn es sich um einen statischen Wert handelt. Boolean Schreib-Lese-Zugriff.

Anmerkungen

Diese Eigenschaft ist nur für benutzerdefinierte Dokumenteigenschaften gültig. Für integrierte Dokumenteigenschaften ist diese Eigenschaft immer auf False eingestellt.

Verwenden Sie die LinkSource-Eigenschaft, um die Quelle für die angegebene, verknüpfte Eigenschaft einzustellen. Wird die LinkSource-Eigenschaft festgelegt, wird die LinkToContent-Eigenschaft auf True eingestellt.


Beispiel zur LinkToContent-Eigenschaft

In diesem Beispiel wird der Verknüpfungsstatus der benutzerdefinierten Dokumenteigenschaft angezeigt. Damit das Beispiel funktioniert, muss dp ein gültiges DocumentProperty-Objekt sein.

Sub DisplayLinkStatus(dp As DocumentProperty)
    Dim stat As String, tf As String
    If dp.LinkToContent Then
        tf = ""
    Else
        tf = "not "
    End If
    stat = "This property is " & tf & "linked"
    If dp.LinkToContent Then
        stat = stat + Chr(13) & "The link source is " & dp.LinkSource
    End If
    MsgBox stat
End Sub


 List-Eigenschaft

List-Eigenschaft

Gibt den Wert eines Listenelements im Kombinationsfeld-Steuerelement der Befehlsleiste zurück oder legt ihn fest. String Schreib-Lese-Zugriff.

Hinweis Für diese Eigenschaft gilt für integrierte Kombinationsfeld-Steuerelemente Nur-Lese-Zugriff.

Syntax

expression.List(Index)

expression Erforderlich. Ein Ausdruck, der ein CommandBarComboBox-Objekt zurückgibt.

Index Long erforderlich. Das einzustellende Listenelement.


 ListCount-Eigenschaft

ListCount-Eigenschaft

Gibt die Anzahl der Listenelemente im angegebenen Kombinationsfeld-Steuerelement der Befehlsleiste zurück. Long schreibgeschützt.


Beispiel zur ListCount-Eigenschaft

In diesem Beispiel wird die Anzahl der Elemente im Kombinationsfeld auf der Befehlsleiste "Custom" geprüft. Enthält die Liste, die die Prozedur erstellt, nicht drei Elemente, dann zeigt der Beispielcode eine Meldung mit dem Hinweis an, dass das Kombinationsfeld u. U. beschädigt ist, und der Aufforderung, die Anwendung neu zu installieren.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).ListCount _
     <> 4 Then
MsgBox ("ComboBox appears to be damaged." & _
     " Please reinstall.")
End If


 ListHeaderCount-Eigenschaft

ListHeaderCount-Eigenschaft

Gibt die Anzahl der Listenelemente im Kombinationsfeld-Steuerelement der Befehlsleiste zurück, die über der Trennlinie angezeigt werden, oder legt die Anzahl fest. Long Schreib-Lese-Zugriff.

Hinweis Für diese Eigenschaft gilt für integrierte Kombinationsfeld-Steuerelemente Nur-Lese-Zugriff.

Anmerkungen

Ein Wert für die ListHeaderCount-Eigenschaft von -1 zeigt an, dass im Kombinationsfeld-Steuerelement keine Trennlinie vorhanden ist.


Beispiel zur ListHeaderCount-Eigenschaft

Im folgenden Beispiel wird der Befehlsleiste "Custom" ein Kombinationsfeld-Steuerelement hinzugefügt. Anschließend werden dem Kombinationsfeld zwei Elemente hinzugefügt. Dabei wird die ListHeaderCount-Eigenschaft verwendet, um zwischen dem ersten und dem zweiten Element in dem Kombinationsfeld eine Trennlinie anzuzeigen. Außerdem werden die Anzahl der Zeileneinträge, die Breite des Kombinationsfeldes und als Standardwert für das Kombinationsfeld eine Leerzeile festgelegt.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls.Add(Type:=msoControlComboBox)
With myControl
    .AddItem Text:="First Item", Index:=1
    .AddItem Text:="Second Item", Index:=2
    .DropDownLines = 3
    .DropDownWidth = 75
    .ListHeaderCount = 1
End With


 ListIndex-Eigenschaft

ListIndex-Eigenschaft

Gibt die Indexnummer des markierten Elements im Listenbereich des Kombinationsfeld-Steuerelements der Befehlsleiste zurück oder legt die Indexnummer fest. Ist in der Liste kein Eintrag markiert, gibt diese Eigenschaft Null zurück. Long Schreib-Lese-Zugriff.

Anmerkung Diese Eigenschaft funktioniert nicht, wenn sie auf andere Steuerelemente (d. h. nicht Listensteuerelemente) angewendet wird.

Hinweise

Wird die ListIndex-Eigenschaft festgelegt, dann wird durch das angegebene Steuerelement das angegebene Element ausgewählt und die entsprechende Aktion in der Anwendung ausgeführt.


Beispiel zur ListIndex-Eigenschaft

In diesem Beispiel wird mit der ListIndex-Eigenschaft die richtige Subroutine ermittelt, die entsprechend der Auswahl in dem Kombinationsfeld auf der Befehlsleiste "My Custom Bar" ausgeführt werden muss. Da die Prozedur die ListIndex-Eigenschaft verwendet, kann der Text in dem Kombinationsfeld ein beliebiger Text sein.

Sub processSelection()
Dim userChoice As Long
userChoice = CommandBars("My Custom Bar").Controls(1).ListIndex
    Select Case userChoice
        Case 1
            chartcourse
        Case 2
            displaygraph
        Case Else
            MsgBox ("Invalid choice. Please choose again.")
    End Select
End Sub


Location-Eigenschaft

Gibt die Position des Skriptankers im angegebenen HTML-Dokument zurück. Kann eine der folgenden MsoScriptLocation-Konstanten sein: msoScriptLocationInBody oder msoScriptLocationInHead. Schreibgeschützter Long-Wert.

Hinweise

Die Skripttags eines HTML-Dokuments können an einer beliebigen Stelle zwischen den <HTML>-Tags im Dokument stehen. In Microsoft Word, Excel oder PowerPoint sind nur die Skriptanker sichtbar, die sich zwischen <BODY>-Tags befinden. Zusätzlicher HTML-Skriptcode vor oder nach den <BODY>-Tags wird gespeichert, ist aber für den Benutzer nicht sichtbar.

Die Scripts-Auflistung enthält alle Skriptanker, die sich in dem Dokument befinden, sei es innerhalb oder außerhalb des Textkörpers des Dokuments. Mit Hilfe des Location-Arguments der Add-Methode können Sie Skriptanker innerhalb der <HEAD>- und <BODY>-Tags in dem HTML-Dokument einfügen. Darüber hinaus können Sie mit der Location-Eigenschaft feststellen, an welcher Stelle ein bestimmter Skriptanker innerhalb des Dokuments gespeichert ist.


Beispiel zur Location-Eigenschaft

In diesem Beispiel wird die Location-Eigenschaft des ersten Skripts in Arbeitsblatt 1 in der aktiven Arbeitsmappe überprüft und die Position in einem Meldungsfeld angezeigt.

If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 1 Then
    MsgBox "The script in located in the header."
End If
If ActiveWorkbook.Worksheets(1).Scripts(1).Location = 2 Then
    MsgBox "The script in located in the body of the worksheet."
End If


LookIn-Eigenschaft

Gibt den Ordner zurück, der während der angegebenen Dateisuche durchsucht werden soll, oder legt den Ordner fest. String Schreib-Lese-Zugriff.


Beispiel zur LookIn-Eigenschaft

In diesem Beispiel wird der Ordner My Documents nach allen Dateien durchsucht, deren Namen mit cmd beginnt, und Name und Pfad jeder gefundenen Datei wird angezeigt.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .FileName = "cmd*.*"
    If .Execute > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
        " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


MatchAllWordForms-Eigenschaft

True, wenn die angegebene Dateisuche erweitert wird, damit alle Formen des angegebenen Worts im Text der Datei oder in den Eigenschaften der Datei gesucht werden. Boolean Schreib-Lese-Zugriff.

Anmerkungen

Diese Eigenschaft ist nur verfügbar, wenn die Datei Mswds_en.lex installiert und registriert wurde. Beachten Sie, dass diese Datei nicht als Teil der Standard-Installation installiert wird.


Beispiel zur MatchAllWordForms-Eigenschaft

In diesem Beispiel werden alle Dateien zurückgegeben, in denen das Wort "run", "running", "runs" oder "ran" im Text oder in den Eigenschaften der Datei enthalten ist. Die TextOrProperty-Eigenschaft legt das zu suchende Wort fest und begrenzt die Suche entweder auf den Textkörper der Datei oder auf die Eigenschaften der Datei.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "run"
    .MatchAllWordForms = True
    .FileType = msoFileTypeAllFiles
End With


MatchTextExactly-Eigenschaft

True, wenn bei der angegebenen Dateisuche nur Dateien gesucht werden sollen, deren Text oder Eigenschaften eine exakte Entsprechung des angegebenen Worts oder Ausdrucks enthalten. Boolean Schreib-Lese-Zugriff.


Beispiel zur MatchTextExactly-Eigenschaft

In diesem Beispiel wird der Ordner C:\My Documents durchsucht, wobei alle Dateien zurückgegeben werden, die das Wort "Run" entweder im Text oder in den Dateieigenschaften enthalten.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .TextOrProperty = "Run"
    .MatchTextExactly = True
    .FileType = msoFileTypeAllFiles
End With


 MenuAnimationStyle-Eigenschaft

MenuAnimationStyle-Eigenschaft

Gibt die Art zurück, wie die angegebene Befehlsleiste animiert wird, oder legt die Art fest. Dies kann eine der folgenden MsoMenuAnimation-Konstanten sein: msoMenuAnimationNone, msoMenuAnimationRandom, msoMenuAnimationUnfold oder msoMenuAnimationSlide. Schreib-Lese-Zugriff.


Beispiel zur MenuAnimationStyle-Eigenschaft

In diesem Beispiel werden die Optionen für alle Befehlsleisten in Microsoft Office eingestellt.

With CommandBars
    .LargeButtons = True
    .DisplayTooltips = True
    .DisplayKeysInTooltips = True
    .MenuAnimationStyle = msoMenuAnimationUnfold
End With


Mode-Eigenschaft

Gibt das modale Verhalten der Sprechblase des Office-Assistenten zurück oder legt es fest. Dies kann eine der folgenden MsoModeType-Konstanten sein: msoModeAutoDown, msoModeModal oder msoModeModeless. Wenn Sie ein Balloon-Objekt erstellen, wird diese Eigenschaft zunächst auf msoModeModal gesetzt. Long Schreib-Lese-Zugriff.

Hinweise

Wenn die Mode-Eigenschaft einer Sprechblase auf msoModeModeless gesetzt wird, kann der Benutzer in der Anwendung arbeiten, während die Sprechblase sichtbar ist. Wird die Eigenschaft auf msoModeModal gesetzt, muss der Benutzer die Sprechblase schließen, bevor er die Arbeit in der Anwendung fortsetzen kann. Wird die Eigenschaft auf msoModeAutoDown gesetzt, wird die Sprechblase geschlossen, sobald der Benutzer auf eine beliebige Stelle des Bildschirms klickt.

Wenn die Mode-Eigenschaft für eine Sprechblase msoModeModelessist und kein Wert für die Callback-Eigenschaft bereitgestellt wird, tritt ein Fehler auf. Die Close-Methode kann nur dann in der durch die Callback-Eigenschaft angegebenen Prozedur verwendet werden, wenn die Mode-Eigenschaft auf msoModeModeless gesetzt ist.


Beispiel zur Mode-Eigenschaft

In diesem Beispiel wird eine Sprechblase mit einem Alarmsymbol erstellt, in der der Benutzer zur Auswahl eines Druckers aufgefordert wird. Da die Sprechblase nichtmodal ist, kann der Benutzer auf Druckerbefehle zugreifen, während die Sprechblase angezeigt wird. Wenn der Benutzer auf die Schaltfläche OK klickt, wird die in der Callback-Eigenschaft angegebene Prozedur ausgeführt.

With Assistant.NewBalloon
    .Heading = "Select A Printer"
    .Text = "You must select a printer before printing."
    .Icon = msoIconAlert
    .CheckBoxes(1).Text = "Local printer"
    .CheckBoxes(2).Text = "Network printer"
    .Mode = msoModeModeless
    .Callback = "ProcessPrinter"
    .Show
End With


MouseTips-Eigenschaft

True, wenn der Office-Assistent Vorschläge für eine effektivere Nutzung der Maus liefert. Boolean Schreib-Lese-Zugriff.

Hinweise

Die MouseTips-Eigenschaft entspricht der Option Maus effektiver nutzen unter Tipps anzeigen auf der Registerkarte Optionen im Dialogfeld Office-Assistent.


Beispiel zur MouseTips-Eigenschaft

In diesem Beispiel wird der Office-Assistent so eingestellt, dass er Vorschläge für die effektivere Nutzung der Maus liefert.

Assistant.MouseTips = True


MoveWhenInTheWay-Eigenschaft

True, falls das Fenster des Office-Assistenten automatisch verschoben wird, wenn es den Arbeitsbereich des Benutzers versperrt. Der Assistent wird beispielsweise verschoben, wenn er beim Ziehen und Ablegen oder bei Eingaben über die Tastatur im Wege ist. Boolean Schreib-Lese-Zugriff.

Hinweise

Der Standardwert ist True. Die MoveWhenInTheWay-Eigenschaft entspricht der Option Verschieben, wenn im Weg unter Den Office-Assistenten verwenden auf der Registerkarte Optionen im Dialogfeld Office-Assistent.


Beispiel zur MoveWhenInTheWay-Eigenschaft

In diesem Beispiel wird der Office-Assistent an einer bestimmten Position angezeigt. Vor dem Einblenden und Aktivieren des Assistenten werden verschiedene Optionen gesetzt.

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    If Not MoveWhenInTheWay Then MoveWhenInTheWay = True
    .Animation = msoAnimationGetAttentionMajor
End With


 Name-Eigenschaft

Name-Eigenschaft

Gibt den Namen des angegebenen Objekts zurück oder legt ihn fest. String Schreib-Lese-Zugriff für das CommandBar- und das DocumentProperty-Objekt, String schreibgeschützt für alle anderen Objekte.

Hinweise

Der lokale Name einer integrierten Befehlsleiste wird in der Titelleiste (wenn die Befehlsleiste nicht angedockt ist) und in der Liste der verfügbaren Befehlsleisten angezeigt, unabhängig davon, wo diese Liste in der Containeranwendung angezeigt wird.

Bei einer integrierten Befehlsleiste gibt die Name-Eigenschaft den US-englischen Namen der Befehlsleiste zurück. Verwenden Sie die NameLocal-Eigenschaft, um den übersetzten Namen zurückzugeben.

Wenn Sie den Wert der LocalName-Eigenschaft für eine benutzerdefinierte Befehlsleiste ändern, ändert sich der Wert von Name ebenfalls, und umgekehrt.


 NameLocal-Eigenschaft

NameLocal-Eigenschaft

Gibt den Namen einer integrierten Befehlsleiste zurück, wie er in der Sprachversion der Containeranwendung angezeigt wird, oder gibt den Namen einer benutzerdefinierten Befehlsleiste zurück oder legt ihn fest. String Schreib-Lese-Zugriff.

Hinweis Wenn Sie versuchen, diese Eigenschaft für eine integrierte Befehlsleiste einzustellen, wird ein Fehler ausgegeben.

Anmerkungen

Der lokale Name einer integrierten Befehlsleiste wird in der Titelleiste (wenn die Befehlsleiste nicht verankert ist) und in der Liste der verfügbaren Befehlsleisten angezeigt, unabhängig davon, wo diese in der Containeranwendung angezeigt wird.

Wenn Sie den Wert der LocalName-Eigenschaft für eine benutzerdefinierte Befehlsleiste ändern, ändert sich der Wert für Name ebenfalls, und umgekehrt.


Beispiel zur NameLocal-Eigenschaft

In diesem Beispiel wird der Name und der übersetzte Name der ersten Befehlsleiste in der Containeranwendung angezeigt.

With CommandBars(1)
    MsgBox "The name of the command bar is " & .Name
    MsgBox "The localized name of the command bar is " & .NameLocal
End With


NewBalloon-Eigenschaft

Erstellt eine neue Sprechblase des Office-Assistenten. Gibt ein Balloon-Objekt zurück. Schreibgeschützt.


Beispiel zur NewBalloon-Eigenschaft

In diesem Beispiel wird eine Sprechblase mit Überschrift, Text und drei Optionen für Regionen erstellt und anschließend angezeigt.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select one or more regions"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With


Object-Eigenschaft

Legt das Objekt fest, das die Basis für das angegebene COMAddIn-Objekt ist, bzw. gibt es zurück. Object-Wert mit Lese-/Schreibzugriff.

Hinweise

Diese Eigenschaft dient primär dazu, die Kommunikation zwischen zwei COMAddIn-Objekten zu ermöglichen.


Beispiel zur Object-Eigenschaft

Im folgenden Beispiel wird das Objekt zurückgegeben, das mit dem COM-Add-In msodraa9.ShapeSelect verknüpft ist.

Dim objBaseObject As Object
Set objBaseObject = _
    Application.COMAddIns.Item("msodraa9.ShapeSelect"). _
      Object


 OLEMenuGroup-Eigenschaft

OLEMenuGroup-Eigenschaft

Gibt die Menügruppe zurück, zu der das angegebene Popup-Steuerelement der Befehlsleiste gehört, wenn die Menügruppen des OLE-Servers mit den Menügruppen eines OLE-Clients verbunden sind (d. h., wenn ein Objekt des Containeranwendungstyps in eine andere Anwendung eingebettet ist), oder legt diese Menügruppe fest. Dies kann eine der folgenden MsoOLEMenuGroup-Konstanten sein: msoOleMenuGroupNone, msoOleMenuGroupFile, msoOleMenuGroupEdit, msoOleMenuGroupContainer, msoOleMenuGroupObject, msoOleMenuGroupWindow oder msoOleMenuGroupHelp. Long Schreib-Lese-Zugriff.

Hinweis Für integrierte Steuerelemente gilt für diese Eigenschaft Nur-Lese-Zugriff.

Anmerkungen

Durch diese Eigenschaft kann die Darstellung der Befehlsleisten-Steuerelemente von Add-In-Anwendungen in der Office-Anwendung festgelegt werden. Wenn der Container oder der Server keine Befehlsleisten implementiert, wird eine normale OLE-Menüverbindung hergestellt: die Menüleiste sowie alle Symbolleisten des Servers werden verbunden, jedoch keine Symbolleisten des Containers. Diese Eigenschaft ist lediglich für Popup-Steuerelemente in der Menüleiste von Bedeutung, da Menüs entsprechend ihrer Menügruppenkategorie verbunden werden.

Wenn beide verbundenen Anwendungen Befehlsleisten implementieren, werden die Befehlsleisten-Steuerelemente entsprechend der OLEUsage-Eigenschaft verbunden.


Beispiel zur OLEMenuGroup-Eigenschaft

In diesem Beispiel wird die OLEMenuGroup-Eigenschaft eines neuen benutzerdefinierten Popup-Steuerelements in der Befehlsleiste "Custom" geprüft und auf msoOLEMenuGroupNone gesetzt.

Set myControl = CommandBars("Custom").Controls _
    .Add(Type:=msoControlPopup,Temporary:=False)
myControl.OLEMenuGroup = msoOLEMenuGroupNone


 OLEUsage-Eigenschaft

OLEUsage-Eigenschaft

Gibt die Rollen des OLE-Clients und OLE-Servers zurück, in der ein Befehlsleisten-Steuerelement verwendet wird, wenn zwei Microsoft Office-Anwendungen verbunden werden, oder legt die Rollen fest. Dies geschieht über eine der folgenden MsoControlOLEUsage-Konstanten sein: msoControlOLEUsageNeither, msoControlOLEUsageServer, msoControlOLEUsageClient oder msoControlOLEUsageBoth. Long Schreib-Lese-Zugriff.

Anmerkungen

Diese Eigenschaft ermöglicht Ihnen anzugeben, wie einzelne Befehlsleisten-Steuerelemente von Add-In-Anwendungen in einer Office-Anwendung dargestellt werden, wenn sie mit einer anderen Office-Anwendung verbunden wird. Wenn sowohl der Client als auch der Server Befehlsleisten implementieren, werden die Befehlsleisten-Steuerelemente in den Client Steuerelement für Steuerelement eingebettet. Benutzerdefinierte Steuerelemente (ActiveX), die nur für den Client (oder weder für Client noch für Server) vorgesehen sind, werden vom Server abgezogen, und Steuerelemente, die nur für den Server (oder weder für Server noch Client) vorgesehen sind, werden vom Client abgezogen. Die übrigen Steuerelemente werden verbunden.

Wenn eine der verbundenen Anwendungen keine Office-Anwendung ist, wird eine normale OLE-Menü-Verbindung hergestellt, die von der OLEMenuGroup-Eigenschaft gesteuert wird.


Beispiel zur OLEUsage-Eigenschaft

In diesem Beispiel wird der Befehlsleiste Tools eine neue Schaltfläche hinzugefügt und die OLEUsage-Eigenschaft der Befehlsleiste eingestellt.

Set myControl = CommandBars("Tools").Controls _
    .Add(Type:=msoControlButton,Temporary:=True)
myControl.OLEUsage = msoControlOLEUsageNeither


On-Eigenschaft

True, wenn der Office-Assistent aktiviert ist. Boolean Schreib-Lese-Zugriff.


 OnAction-Eigenschaft

OnAction-Eigenschaft

Gibt den Namen des Visual Basic-Makros zurück, das ausgeführt wird, wenn der Benutzer auf den Wert eines Befehlsleisten-Steuerelements klickt oder diesen ändert, oder legt den Namen fest. String Schreib-Lese-Zugriff.

Hinweis Die Containeranwendung bestimmt, ob es sich bei dem Wert um einen gültigen Makronamen handelt.


Beispiel zur OnAction-Eigenschaft

In diesem Beispiel wird der Befehlsleiste "Custom" ein Befehlsleisten-Steuerelement hinzugefügt. Bei jedem Klick auf dieses Steuerelement wird die Prozedur "MySub" gestartet.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "MySub"
End With
myBar.Visible = True

In diesem Beispiel wird der Befehlsleiste "Custom" ein Befehlsleisten-Steuerelement hinzugefügt. Bei jedem Klick auf das Steuerelement wird das COM-Add-In "CallFinanceAddIn" ausgeführt.

Set myBar = CommandBars("Custom")
Set myControl = myBar.Controls _
    .Add(Type:=msocontrolButton)
With myControl
    .FaceId = 2
    .OnAction = "!<FinanceAddIn>"
End With
myBar.Visible = True


Parameter-Eigenschaft

Gibt eine Zeichenfolge zurück, die von einer Anwendung verwendet werden kann, um einen mit einem Befehlsleisten-Steuerelement verbundenen Befehl auszuführen, oder legt eine Zeichenfolge fest. String Schreib-Lese-Zugriff.

Anmerkungen

Wenn der angegebene Parameter für ein integriertes Steuerelement festgelegt ist, kann seine Standardausführung von der Anwendung geändert werden, wenn sie den neuen Wert erkennen und umsetzen kann. Wenn der Parameter für benutzerdefinierte Steuerelemente (ActiveX) eingestellt ist, kann er verwendet werden, um Daten an Visual Basic-Prozeduren zu senden, oder um Daten zum Steuerelement zu speichern (vergleichbar mit einem zweiten Wert für die Tag-Eigenschaft).


Beispiel zur Parameter-Eigenschaft

In diesem Beispiel wird einem Steuerelement ein neuer Parameter zugewiesen und der Fokus auf die neue Schaltfläche gesetzt.

Set myControl = CommandBars("Custom").Controls(4)
With myControl
    .Copy , 1
    .Parameter = "2"
    .SetFocus
End With


Parent-Eigenschaft

Gibt das Parent-Objekt für das angegebene Objekt zurück. Schreibgeschützt.


Beispiel zur Parent-Eigenschaft

In diesem Beispiel wird der Name des übergeordneten Objekts für eine Dokumenteigenschaft angezeigt. Sie müssen ein gültiges DocumentProperty-Objekt an die Prozedur übergeben.

Sub DisplayParent(dp as DocumentProperty)
    MsgBox dp.Parent.Name
End Sub


 Position-Eigenschaft

Position-Eigenschaft

Gibt die Position der angegebenen Befehlsleiste zurück oder legt sie fest. Dies kann eine der folgenden MsoBarPosition-Konstanten sein: msoBarLeft, msoBarTop, msoBarRight, msoBarBottom, msoBarFloating, msoBarPopup oder msoBarMenuBar. Long Schreib-Lese-Zugriff.


Beispiel zur Position-Eigenschaft

In diesem Beispiel wird die Auflistung der Befehlsleisten schrittweise durchlaufen, wobei die benutzerdefinierten Befehlsleisten am unteren Rand des Anwendungsfensters und die integrierten Befehlsleisten am oberen Rand des Fensters angedockt werden.

For Each bar In CommandBars
    If bar.Visible = True Then
        If bar.BuiltIn Then
            bar.Position = msoBarTop
         Else
            bar.Position = msoBarBottom
        End If
    End If
Next


 Priority-Eigenschaft

Priority-Eigenschaft

Gibt die Priorität eines Befehlsleisten-Steuerelements zurück bzw. legt sie fest. Die Priorität eines Steuerelements bestimmt, ob das Steuerelement aus einer angedockten Befehlsleiste entfernt werden kann, wenn die Steuerelemente der Befehlsleiste nicht in eine einzige Reihe passen. Long-Wert mit Lese/Schreibzugriff.

Hinweise

Gültige Werte für die Priorität sind 0 (null) bis 7. Die Priorität 1 gibt an, dass das Steuerelement nicht aus einer Symbolleiste entfernt werden kann. Andere Prioritätswerte werden ignoriert.

Die Priority-Eigenschaft wird nicht für Befehlsleisten-Steuerelemente verwendet, die Menübefehle sind.


Beispiel zur Priority-Eigenschaft

In diesem Beispiel wird ein Steuerelement verschoben, und es wird ihm die Priorität 5 zugewiesen, so dass es wahrscheinlich aus der Befehlsleiste entfernt wird, wenn die Steuerelemente nicht alle in einer Reihe Platz haben.

Set allcontrols = CommandBars("Custom").Controls
For Each ctrl In allControls
    If ctrl.Type = msoControlComboBox Then
        With ctrl
            .Move Before:=7
            .Tag = "Selection box"
            .Priority = 5
        End With
    Exit For
End If
Next


Private-Eigenschaft

Gibt eine Ganzzahl zurück, durch die die Sprechblase des Office-Assistenten, die die Callback-Prozedur initiiert hat, eindeutig angegeben wird, oder legt diese Ganzzahl fest. Long Schreib-Lese-Zugriff.

Hinweise

Diese Eigenschaft ist besonders dann nützlich, wenn Sie für mehrere Sprechblasen dieselbe Callback-Prozedur ausführen.


Beispiel zur Private-Eigenschaft

In diesem Beispiel wird die Sprechblase des Office-Assistenten angegeben, indem die Private-Eigenschaft auf 129 gesetzt wird.

Set printerOrientation = Assistant.NewBalloon
With printerOrientation     .Heading = " Print portrait or landscape?"
     .Text = "Click OK when you've selected the " & _
        "printer orientation."
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .BalloonType = msoBalloonTypeButtons
    .Mode = msoModeModeless
    .Button = msoButtonSetOK
    .Private = 129
    .Callback = "PortraitOrLandscape "
    .Show
End With


ProgId-Eigenschaft

Gibt den programmtechnischen Bezeichner (ProgID) für das angegebene COMAddIn-Objekt zurück. Schreibgeschützter String-Wert.


Beispiel zur ProgId-Eigenschaft

Im folgenden Beispiel werden die ProgID und die GUID für das COM-Add-In 1 in einem Meldungsfeld angezeigt.

MsgBox "My ProgID is " & _
    Application.COMAddIns(1).ProgID & _
    " and my GUID is " & _
    Application.COMAddIns(1).Guid


PropertyTests-Eigenschaft

Gibt die PropertyTests-Auflistung zurück, die alle Suchkriterien für eine Dateisuche darstellt. Schreibgeschützt.

Weitere Informationen zur Rückgabe eines einzelnen Elements einer Auflistung finden Sie unter Zurückgeben eines Objekts aus einer Auflistung.


Beispiel zur PropertyTests-Eigenschaft

In diesem Beispiel werden alle Suchkriterien für den ersten Eigenschaftstest in der Auflistung angezeigt.

With Application.FileSearch.PropertyTests(1)
myString = "This is the search criteria: " _
    & " The name is: " & .Name & ". The condition is: " _
    & .Condition
If .Value <> "" Then
    myString = myString & ". The value is: " & .Value
    If .SecondValue <> "" Then
        myString = myString _
            & ". The second value is: " _
            & .SecondValue & ", and the connector is" _
            & .Connector
    End If
End If
MsgBox myString
End With


ProportionalFont-Eigenschaft

Legt die Einstellung für die Proportionalschrift in der Hostanwendung fest bzw. gibt sie zurück. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Wenn Sie die ProportionalFont-Eigenschaft setzen, wird der Wert nicht durch die Hostanwendung auf Gültigkeit überprüft.


ProportionalFontSize-Eigenschaft

Legt die Einstellung für den Schriftgrad der Proportionalschrift in Punkt in der Hostanwendung fest bzw. gibt sie zurück. Single-Wert mit Lese-/Schreibzugriff.

Hinweise

Wenn Sie die ProportionalFontSize-Eigenschaft setzen, wird der Wert nicht durch die Hostanwendung auf Gültigkeit überprüft. Falls Sie einen ungültigen Wert eingeben, z. B. einen nichtnumerischen Wert, wird der Schriftgrad durch die Hostanwendung auf 0 Punkt gesetzt. Sie können den Schriftgrad in Halbpunktschritten eingeben. Wenn Sie andere Bruchteile von Punktgrößen eingeben, werden die Werte auf den nächsten halben Punkt ab- bzw. aufgerundet.


Beispiel zur ProportionalFontSize-Eigenschaft

In diesem Beispiel werden die Proportionalschrift und deren Schriftgrad für den Zeichensatz English/Western European/Other Latin Script in der aktiven Anwendung festgelegt.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


 Protection-Eigenschaft

Protection-Eigenschaft

Gibt das Verfahren zurück, mit dem die angegebene Befehlsleiste vor Anpassungen durch den Benutzer geschützt wird, oder legt dieses fest. Dies kann eine oder können mehrere der folgenden MsoBarProtection-Konstanten sein: msoBarNoProtection, msoBarNoCustomize, msoBarNoResize, msoBarNoMove, msoBarNoChangeVisible, msoBarNoChangeDock, msoBarNoVerticalDock oder msoBarNoHorizontalDock. Long Schreib-Lese-Zugriff.

Hinweise

Durch die msoBarNoCustomize-Konstante verhindern Sie, dass Benutzer auf das Menü Schaltflächen hinzufügen oder entfernen zugreifen können (mit diesem Menü kann eine Symbolleiste angepasst werden).


Beispiel zur Protection-Eigenschaft

In diesem Beispiel wird die Auflistung der Befehlsleisten schrittweise durchlaufen, um die Befehlsleiste "Forms" zu suchen. Wird die Befehlsleiste gefunden, dann wird sie sichtbar gemacht, und ihr Verankerungsstatus wird geschützt.

foundFlag = False
For i = 1 To CommandBars.Count
    If CommandBars(i).Name = "Forms" Then
            CommandBars(i).Protection = msoBarNoChangeDock
            CommandBars(i).Visible = True
            foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms' command bar is not in the collection."
End If


Reduced-Eigenschaft

True, wenn das Fenster des Office-Assistenten in reduzierter Größe eingeblendet wird. Boolean Schreib-Lese-Zugriff.

Hinweise

Diese Eigenschaft wird in Office 2000 nicht verwendet.


Beispiel zur Reduced-Eigenschaft

In diesem Beispiel wird der Office-Assistent an einer bestimmten Position angezeigt, und vor dem Anzeigen des Assistenten werden verschiedene Optionen gesetzt.

With Assistant
    .Reduced = True
    .Left = 400
    .MoveWhenInTheWay = True
    .TipOfDay = True
    .Visible = True
    .Animation = msoAnimationGreeting
End With


 RowIndex-Eigenschaft

RowIndex-Eigenschaft

Gibt die Andockreihenfolge der angegebenen Befehlsleiste im Verhältnis zu anderen Befehlsleisten im gleichen Andockbereich zurück oder legt sie fest. Dies kann eine Ganzzahl größer als Null oder eine der folgenden MsoBarRow-Konstanten sein: msoBarRowFirst oder msoBarRowLast. Long Schreib-Lese-Zugriff.

Hinweise

Befehlsleisten mit kleineren Zahlen werden zuerst angedockt. Derselbe Zeilenindex kann für mehrere Befehlsleisten gelten. Wenn zwei oder mehrere Befehlsleisten denselben Zeilenindex haben, wird die zuletzt zugewiesene Befehlsleiste als erste in ihrer Gruppe angezeigt.


Beispiel zur RowIndex-Eigenschaft

In diesem Beispiel wird die Position der Befehlsleiste "Custom" angepasst, indem sie im Vergleich zur Standardeinstellung um 110 Pixel weiter nach links verschoben wird. Außerdem wird die Befehlsleiste als erste anzudockende Befehlsleiste festgelegt, indem ihr Zeilenindex auf msoBarRowFirst geändert wird.

Set myBar = CommandBars("Custom")
With myBar
    .RowIndex = msoBarRowFirst
    .Left = 140
End With


ScriptText-Eigenschaft

Legt den Text fest, der in einem Skriptblock enthalten ist, bzw. gibt ihn zurück. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Die Microsoft Office-Hostanwendung überprüft die Syntax des Skripts nicht. Die ScriptText-Eigenschaft ist die Standardeigenschaft für das Script-Objekt.


Beispiel zur ScriptText-Eigenschaft

In diesem Beispiel wird der Text des ersten Skripts in Arbeitsblatt 1 in der aktiven Arbeitsmappe festgelegt.

ActiveWorkbook.Worksheets(1).Scripts(1).ScriptText = _
    "MsgBox ""New ScriptText"""


SearchSubFolders-Eigenschaft

True, wenn die angegebene Suche alle Unterordner im durch die LookIn-Eigenschaft angegebenen Ordner einschließt. Boolean Schreib-Lese-Zugriff.


Beispiel zur SearchSubFolders-Eigenschaft

In diesem Beispiel werden der Ordner My Documents sowie alle Unterordner nach Dateien durchsucht, deren Name mit Cmd beginnt. Anschließend werden die Namen und Pfade der gefundenen Dateien angezeigt.

Set fs = Application.FileSearch
With fs
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .FileName = "cmd*"
    If .Execute() > 0 Then
        MsgBox "There were " & .FoundFiles.Count & _
         " file(s) found."
        For i = 1 To .FoundFiles.Count
            MsgBox .FoundFiles(i)
        Next i
    Else
        MsgBox "There were no files found."
    End If
End With


SearchWhenProgramming-Eigenschaft

True, falls der Office-Assistent Hilfe zu Anwendungen sowie Programmierhilfen anzeigt, wenn der Benutzer in Visual Basic arbeitet. Boolean Schreib-Lese-Zugriff.

Hinweise

Der Standardwert ist True. Die SearchWhenProgramming-Eigenschaft entspricht der Option Sowohl Produkt- als auch Programmierhilfe während der Programmierung durchsuchen unter Den Office-Assistenten verwenden auf der Registerkarte Optionen im Dialogfeld Office-Assistent.


Beispiel zur SearchWhenProgramming-Eigenschaft

Dieses Beispiel gibt Ihnen die Möglichkeit, während der Arbeit in Visual Basic sowohl die Anwendungs- als auch die Programmierhilfen zu durchsuchen.

Assistant.SearchWhenProgramming = True


SecondValue-Eigenschaft

Gibt einen optionalen zweiten Wert für den Eigenschaftstest für die angegebene Dateisuche zurück (wie bei einem Bereich). Variant schreibgeschützt.

Hinweise

Diese Eigenschaft dient zum Bestimmen eines Bereichs und kann nur mit den MsoCondition-Konstanten msoConditionAnyTimeBetween oder msoConditionAnyNumberBetween verwendet werden.


Beispiel zur SecondValue-Eigenschaft

In diesem Beispiel wird der zweite Wert der Suchkriterien (falls vorhanden) in einem Dialogfeld angezeigt. Ist kein zweiter Wert vorhanden, wird eine andere Meldung angezeigt.

With Application.FileSearch.PropertyTests(1)
If .SecondValue = "" Then
   MsgBox "You haven't specified a second value."
Else
    MsgBox "The second value you've set is: " _
    & .SecondValue
End If
End With


Shape-Eigenschaft

Gibt ein Shape- oder InlineShape-Objekt zurück, je nach Microsoft Office-Hostanwendung. Schreibgeschützter Object-Wert.

Hinweise

Die Shape-Eigenschaft gibt in Microsoft Excel und PowerPoint ein Shape-Objekt zurück. In Word gibt sie ein Shape-Objekt zurück, wenn der Scriptanchor frei beweglich ist. Handelt es sich jedoch um einen in der Zeile stehenden Scriptanchor, dann gibt diese Eigenschaft ein InlineShape-Objekt zurück.


Beispiel zur Shape-Eigenschaft

In diesem Beispiel wird das mit dem ersten Skript in der Scripts-Auflistung verknüpfte Shape-Objekt abgerufen und aus Arbeitsblatt 1 in der aktiven Arbeitsmappe gelöscht.

Dim objScriptShape As Object

Set objScriptShape = _
    ActiveWorkbook.Worksheets(1).Scripts(1).Shape
ObjScriptShape.Delete


 ShortcutText-Eigenschaft

ShortcutText-Eigenschaft

Gibt den Tastenkombinationstext zurück, der neben dem angegebenen Schaltflächen-Steuerelement angezeigt wird, wenn diese Schaltfläche in einem Menü, einem Untermenü oder einem Shortcut-Menü erscheint. String Schreib-Lese-Zugriff.

Anmerkungen

Sie können diese Eigenschaft nur für Befehlsleisten-Schaltflächen verwenden, denen ein OnAction-Makro zugeordnet wurde.


Beispiel zur ShortcutText-Eigenschaft

In diesem Beispiel wird die Tastenkombination für den Befehl Neu (Menü Datei) in der Menüleiste Arbeitsblatt in Microsoft Excel in einem Meldungsfenster angezeigt.

MsgBox (CommandBars("Worksheet Menu Bar"). _
    Controls("File").Controls("New...).ShortcutText)


Sounds-Eigenschaft

True, wenn der Office-Assistent die Klänge erzeugt, die Animationen entsprechen. Boolean Schreib-Lese-Zugriff.

Hinweise

Der Standardwert ist True. Die Sounds-Eigenschaft entspricht der Option Sounds aktivieren unter Den Office-Assistenten verwenden auf der Registerkarte Optionen im Dialogfeld Office-Assistent. Falls keine Soundkarte installiert ist, hat diese Eigenschaft keine Wirkung.


Beispiel zur Sounds-Eigenschaft

In diesem Beispiel wird der Office-Assistent angezeigt und animiert, und es wird Klang erzeugt.

With Assistant
    .Visible = True
    .On = True
    If Not Sounds Then Sounds = True
    .Animation = msoAnimationGreeting
End With


 State-Eigenschaft

State-Eigenschaft

Gibt die Darstellung des angegebenen Schaltflächen-Steuerelements der Befehlsleiste zurück oder legt sie fest. Dies kann eine der folgenden MsoButtonState-Konstanten sein: msoButtonUp, msoButtonDown oder msoButtonMixed. Long Schreib-Lese-Zugriff.


Beispiel zur State-Eigenschaft

In diesem Beispiel wird die Befehlsleiste "Custom" erstellt, und zwei leere Schaltflächen werden dieser Befehlsleiste hinzugefügt. Anschließend wird die Schaltfläche links auf msoButtonUp und die Schaltfläche rechts auf msoButtonDown gesetzt.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlButton, ID:=1
    .Controls.Add Type:=msoControlButton, ID:=1
    .Visible = True
End With
Set myControl1 = CommandBars("Custom").Controls(1)
myControl1.State = msoButtonUp
Set myControl2 = CommandBars("Custom").Controls(2)
myControl2.State = msoButtonDown


 Style-Eigenschaft

Style-Eigenschaft

Verwendung mit dem CommandBarButton-Objekt: Gibt die Art zurück, wie das angegebene Schaltflächen-Steuerelement der Befehlsleiste angezeigt wird, oder legt die Art fest. Dies kann eine der folgenden MsoButtonStyle-Konstanten sein: msoButtonAutomatic, msoButtonIcon, msoButtonCaption, msoButtonIconAndCaption, msoButtonIconAndCaptionBelow, msoButtonIconAndWrapCaption, msoButtonIconAndWrapCaptionBelow oder msoButtonWrapCaption. Long Schreib-Lese-Zugriff.

Verwendung mit dem CommandBarComboBox-Objekt: Gibt die Art zurück, wie das angegebene Kombinationsfeld-Steuerelement der Befehlsleiste angezeigt wird, oder legt die Art fest. Dies kann eine der folgenden MsoComboStyle-Konstanten sein: msoComboLabel oder msoComboNormal. Long Schreib-Lese-Zugriff.


Beispiel zur Style-Eigenschaft

In diesem Beispiel wird ein Kontextmenü mit einem Schaltflächen-Steuerelement und einem Kombinationsfeld-Steuerelement erstellt und deren Darstellungsart festgelegt.

Set myBar = CommandBars _
    .Add(Name:="Custom1", Position:=msoBarPopup, Temporary:=False)
With myBar
    .Controls.Add Type:=msoControlButton, Id:=3
    .Controls(1).Style = msoButtonCaption
    .Controls.Add Type:=msoControlComboBox
    With .Controls(2)
        .Style = msoComboLabel
        .AddItem "vanilla"
        .AddItem "chocolate"
        .AddItem "cookie dough"
    End With
End With
myBar.ShowPopup


 Tag-Eigenschaft

Tag-Eigenschaft

Gibt Informationen zum Befehlsleisten-Steuerelement zurück oder legt sie fest. Dies können z. B. Daten sein, die als Argument in Prozeduren verwendet werden können, oder Informationen, die das Steuerelement kennzeichnen. String Schreib-Lese-Zugriff.


Beispiel zur Tag-Eigenschaft

In diesem Beispiel wird der Tag für die Schaltfläche auf der benutzerdefinierten Befehlsleiste auf "Spelling Button" gesetzt und der Tag in einem Meldungsfenster angezeigt.

CommandBars("Custom").Controls(1).Tag = "Spelling Button"
MsgBox (CommandBars("Custom").Controls(1).Tag)


 Text-Eigenschaft

Text-Eigenschaft

CommandBarComboBox-Objekt: Gibt den Text im Anzeige- oder Bearbeitungsbereich des Kombinationsfeld-Steuerelements der Befehlsleiste zurück oder legt ihn fest. String-Wert mit Lese-/Schreibzugriff.

BalloonLabel- oder BalloonCheckbox-Objekt: Gibt den Text zurück, der neben dem angegebenen Kontrollkästchen oder der angegebenen Beschriftung in der sprechblasenförmigen Legende des Office-Assistenten angezeigt wird, oder legt den Text fest. String-Wert mit Lese-/Schreibzugriff.

Balloon-Objekt: Gibt den Text zurück, der nach der Kopfzeile, jedoch vor den Beschriftungen oder Kontrollkästchen in der sprechblasenförmigen Legende des Office-Assistenten angezeigt wird, oder legt den Text fest. String-Wert mit Lese-/Schreibzugriff.

HTMLProjectItem-Objekt: Gibt den HTML-Text im HTML-Editor zurück oder legt ihn fest. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Sie können für die Balloon-, BalloonLabel- und BalloonCheckbox-Objekte angeben, dass eine bestimmte Grafik angezeigt werden soll, indem Sie folgende Syntax verwenden: {type location sizing_factor}. Hierbei ist type BMP (Bitmap) oder WMF (Windows Metafile), location die Ressourcen-ID oder der Pfad und der Dateiname, und sizing_factor gibt die Breite der WMF-Datei an (wird für BMP-Dateien nicht angegeben).

Das Balloon-Objekt unterstützt auch unterstrichenen Text sowie Text, auf den eine der 16 Systempalettenfarben angewendet wurde. Um unterstrichenen Text anzuzeigen, verwenden Sie die Syntax {ul} oder {ul 1}. Mit {ul 0} deaktivieren Sie die Unterstreichung. Wenn Sie die Farbe des Textes ändern möchten, schreiben Sie vor den Text die Zeichenfolge {cf number}, wobei number die Nummer einer der Systemfarben in der folgenden Tabelle ist.

Nummer der Systemfarbe | Farbe
0 | Schwarz
1 | Dunkelrot
2 | Dunkelgrün
3 | Dunkelgelb
4 | Dunkelblau
5 | Dunkelmagenta
6 | Dunkelzyan
7 | Hellgrau
248 | Mittelgrau
249 | Rot
250 | Grün
251 | Gelb
252 | Blau
253 | Magenta
254 | Zyan
255 | Weiß

Wenn Sie eine andere als die oben genannten Systemfarbennummern angeben, ist der Text in der Sprechblase des Office-Assistenten schwarz.


TextOrProperty-Eigenschaft

Gibt das Wort oder den Ausdruck zurück, nach dem bei der angegebenen Dateisuche entweder im Text oder in den Eigenschaften einer Datei gesucht werden soll, oder legt das Wort oder den Ausdruck fest. Das Wort oder der Ausdruck kann als Platzhalterzeichen ein * (Sternchen) oder ein ? (Fragezeichen) enthalten. String Schreib-Lese-Zugriff.

Hinweise

Verwenden Sie ein Fragezeichen als Platzhalterzeichen für ein einzelnes, beliebiges Zeichen. Geben Sie beispielsweise G?ld ein, um alle Dateien zu suchen, in denen "Geld" oder "Gold" mindestens einmal enthalten ist.

Verwenden Sie ein Sternchen als Platzhalterzeichen für eine beliebige Anzahl von Zeichen. Geben Sie beispielsweise San* ein, um alle Dateien zurückzugeben, die mindestens ein mit "San" beginnendes Wort enthalten.


Beispiel zur TextOrProperty-Eigenschaft

In diesem Beispiel werden der Ordner C:\My Documents sowie seine Unterordner durchsucht und alle Dateien zurückgegeben, deren Text oder Dateieigenschaften mit "San" beginnende Wörter enthalten. Die TextOrProperty-Eigenschaft legt das zu suchende Wort fest und begrenzt die Suche entweder auf den Text der Datei oder auf die Dateieigenschaften.

With Application.FileSearch
    .NewSearch
    .LookIn = "C:\My Documents"
    .SearchSubFolders = True
    .TextOrProperty = "San*"
    .FileType = msoFileTypeAllFiles
End With


TipOfDay-Eigenschaft

True, falls der Office-Assistent jedes Mal, wenn eine Office-Anwendung geöffnet wird, einen speziellen Tipp anzeigt. Boolean Schreib-Lese-Zugriff.

Hinweise

Der Standardwert ist False. Die TipOfDay-Eigenschaft entspricht der Option Tipps und Tricks beim Start anzeigen unter Tipps anzeigen auf der Registerkarte Optionen im Dialogfeld Office-Assistent.


Beispiel zur TipOfDay-Eigenschaft

In diesem Beispiel wird der Office-Assistent an einer bestimmten Position angezeigt, und vor dem Einblenden des Assistenten werden verschiedene Optionen gesetzt.

With Assistant
    .On = True
    .Visible = True
    .Left = 400
    .MoveWhenInTheWay = True
    If Not TipOfDay Then TipOfDay = True
    .Animation = msoAnimationGreeting
End With


TooltipText-Eigenschaft

Gibt den Text zurück, der in der QuickInfo des angegebenen Befehlsleisten-Steuerelements angezeigt wird, oder legt den Text fest. String Schreib-Lese-Zugriff.

Anmerkungen

Standardmäßig wird der Wert der Caption-Eigenschaft als QuickInfo verwendet.


Beispiel zur TooltipText-Eigenschaft

In diesem Beispiel wird dem letzten Steuerelement in der aktiven Menüleiste eine QuickInfo hinzugefügt.

Set myMenuBar = CommandBars.ActiveMenuBar
Set lastCtrl = myMenuBar _
   .Controls(myMenuBar.Controls.Count)
lastCtrl.BeginGroup = True
lastCtrl.TooltipText = "Click for help on UI feature"


 Top-Eigenschaft

Top-Eigenschaft

CommandBar- oder CommandBarControl-Objekt: Gibt den Abstand (in Pixel) vom oberen Rand der angegebenen Befehlsleiste oder des angegebenen Befehlsleisten-Steuerelements zum oberen Rand des Bildschirms zurück oder legt den Abstand fest. Bei angedockten Befehlsleisten gibt diese Eigenschaft den Abstand von der Befehlsleiste zum oberen Rand des Andockbereichs zurück oder legt diesen Abstand fest. Long Schreib-Lese-Zugriff für CommandBar, Long schreibgeschützt für CommandBarControl.

Assistant-Objekt: Gibt den Abstand (in Punkt) zwischen dem oberen Rand des Office-Assistenten und dem oberen Rand des Bildschirms zurück oder legt ihn fest. Integer Schreib-Lese-Zugriff.


Beispiel zur Top-Eigenschaft

In diesem Beispiel wird die obere linke Ecke der beweglichen Befehlsleiste "Custom" in einem Abstand von 140 Pixel vom linken Rand des Bildschirms und 100 Pixel vom oberen Rand des Bildschirms positioniert.

Set myBar = CommandBars("Custom")
myBar.Position = msoBarFloating
With myBar
    .Left = 140
    .Top = 100
End With

In diesem Beispiel wird der Office-Assistent zu einer anderen Koordinate verschoben und seine Top-Eigenschaft für die nachfolgende Anzeige festgelegt.

With Assistant
    .On = True
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With
Assistant.Top = 100
MsgBox "Click OK to move the Assistant to a " & _
         "new location."
Assistant.Top = 500


 Type-Eigenschaft

Type-Eigenschaft

DocumentProperty-Objekt: Gibt die Art der Dokumenteigenschaft zurück oder legt sie fest. Dies kann eine der folgenden MsoDocProperties-Konstanten sein: msoPropertyTypeBoolean, msoPropertyTypeDate, msoPropertyTypeFloat, msoPropertyTypeNumber oder msoPropertyTypeString. Schreibgeschützt für integrierte Dokumenteigenschaften, Schreib-Lese-Zugriff für benutzerdefinierte Dokumenteigenschaften.

CommandBar-Objekt: Gibt die Art der Befehlsleiste zurück. Dies kann eine der folgenden MsoBarType-Konstanten sein: msoBarTypeNormal, msoBarTypeMenuBar oder msoBarTypePopup. Long schreibgeschützt.

CommandBarControl-Objekt: Gibt die Art des Befehlsleisten-Steuerelements zurück. Long schreibgeschützt.

Kann eine der in der folgenden Tabelle genannten MsoControlType-Konstanten sein.

Konstante | Art des Steuerelements
msoControlActiveX | ActiveX-Steuerelement
msoControlButton | Beispiel zur msoControlButton-Konstante
msoControlButtonDropdown | Beispiel zur msoControlButtonDropdown.Konstante
msoControlButtonPopup | Beispiel zur msoControlButtonPopup-Konstante
msoControlComboBox | Beispiel zur msoControlComboBox-Konstante
msoControlCustom | Für zukünftige Verwendung reserviert.
msoControlDropdown | Beispiel zur msoControlDropdown-Konstante
msoControlEdit | Beispiel zur msoControlEdit-Konstante
msoControlExpandingGrid | Beispiel zur msoControlExpandingGrid-Konstante
msoControlGauge | Beispiel zur msoControlGauge-Konstante
msoControlGenericDropdown | Für zukünftige Verwendung reserviert.
msoControlGraphicCombo | Beispiel zur msoControlGraphicCombo-Konstante
msoControlGraphicDropdown | Beispiel zur msoControlGraphicDropdown-Konstante
msoControlGraphicPopup | Für zukünftige Verwendung reserviert.
msoControlGrid | Beispiel zur msoControlGrid-Konstante
msoControlLabel | Für zukünftige Verwendung reserviert.
msoControlOCXDropDown | Beispiel zur msoControlOCXDropdown-Konstante
msoControlPane | Bereichs-Steuerelement
msoControlPopup | Beispiel zur msoControlPopup-Konstante
msoControlSplitButtonMRUPopup | Beispiel zur msoControlSplitButtonMRUPopup-Konstante
msoControlSplitButtonPopup | Beispiel zur msoControlSplitButtonPopup-Konstante
msoControlSplitDropdown | Beispiel zur msoControlSplitDropdown-Konstante
msoControlSplitExpandingGrid | Für zukünftige Verwendung reserviert.


Beispiel zur Type-Eigenschaft

In diesem Beispiel wird das erste Steuerelement auf der Befehlsleiste "Custom" gesucht. Mit Hilfe der Type-Eigenschaft wird ermittelt, ob das Steuerelement eine Schaltfläche ist. Ist dies der Fall, dann wird die Oberfläche der Schaltfläche Copy (Kopieren, auf der Symbolleiste Standard) kopiert und in das Steuerelement eingefügt.

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = 1 Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If

In diesem Beispiel werden Name, Typ und Wert einer Dokumenteigenschaft angezeigt. Sie müssen ein gültiges DocumentProperty-Objekt an die Prozedur übergeben.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


Value-Eigenschaft

DocumentProperty-Objekt: Gibt den Wert der angegebenen Dokumenteigenschaft zurück oder legt ihn fest. Variant Schreib-Lese-Zugriff.

PropertyTest-Objekt: Gibt den Wert eines Eigenschaftstests für eine Dateisuche zurück. Variant Nur-Lese-Zugriff.

Anmerkungen

Wenn in der Containeranwendung für eine der integrierten Dokumenteigenschaften kein Wert bestimmt ist, wird beim Lesen der Value-Eigenschaft für diese Dokumenteigenschaft ein Fehler ausgegeben.


Beispiel zur Value-Eigenschaft

In diesem Beispiel werden Name, Typ und Wert einer Dokumenteigenschaft angezeigt. Damit dieses Beispiel funktioniert, muss dp ein gültiges DocumentProperty-Objekt sein.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub

In diesem Beispiel wird der Wert der Suchkriterien (falls vorhanden) in einem Dialogfeld angezeigt. Ist kein zweiter Wert vorhanden, wird eine andere Meldung angezeigt.

With Application.FileSearch.PropertyTests(1)
If .Value = "" Then
   MsgBox "You haven't specified a value."
Else
    MsgBox "The value you've set is: " _
    & .Value
End If
End With


 Visible-Eigenschaft

Visible-Eigenschaft

CommandBar- und CommandBarControl-Objekt: True, wenn die angegebene Befehlsleiste oder das angegebene Befehlsleisten-Steuerelement sichtbar ist. Boolean Schreib-Lese-Zugriff.

Assistant-Objekt: True, wenn der Office-Assistent sichtbar ist. Boolean Schreib-Lese-Zugriff.

Hinweise

Die Visible-Eigenschaft für neu erstellte, benutzerdefinierte Befehlsleisten ist standardmäßig False.

Die Enabled-Eigenschaft für eine Befehlsleiste muss auf True gesetzt werden, bevor für die Visible-Eigenschaft True festgelegt wird.


Beispiel zur Visible-Eigenschaft

In diesem Beispiel wird die Auflistung der Befehlsleisten schrittweise durchlaufen, um die Befehlsleiste "Forms" zu suchen. Wird die Befehlsleiste "Forms" gefunden, wird sie sichtbar gemacht, und ihr Andockstatus wird geschützt.

foundFlag = False
For Each cmdbar In CommandBars
    If cmdbar.Name = "Forms" Then
        cmdbar.Protection = msoBarNoChangeDock
        cmdbar.Visible = True
        foundFlag = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Forms'command bar is not in the collection."
End If

In diesem Beispiel wird der Office-Assistent sichtbar gemacht und seine Animation festgelegt.

With Application.Assistant
    .Visible = True
    .Sounds = True
    .Animation = msoAnimationBeginSpeaking
End With


 Width-Eigenschaft

Width-Eigenschaft

Gibt die Breite (in Pixel) des angegebenen Befehlsleisten-Steuerelements an. Long Schreib-Lese-Zugriff. Für Befehlsleisten ist die Width-Eigenschaft schreibgeschützt.


Beispiel zur Width-Eigenschaft

In diesem Beispiel wird der Befehlsleiste "Custom" ein benutzerdefiniertes Steuerelement hinzugefügt. Außerdem wird die Höhe des benutzerdefinierten Steuerelements auf die doppelte Höhe der Befehlsleiste und die Breite auf 50 Pixel festgelegt. Beachten Sie, dass sich die Höhe der Befehlsleiste automatisch ändert, so dass diese das Steuerelement aufnehmen kann.

Set myBar = CommandBars("Custom")
barHeight = myBar.Height
Set myControl = myBar.Controls _
    .Add(Type:=msoControlButton, _
    Id:= CommandBars("Standard").Controls("Save").Id, _
     Temporary:=True)
With myControl
    .Height = barHeight * 2
    .Width = 50
End With
myBar.Visible = True


Neue Ereignisse

Die folgende Tabelle zeigt die neuen Ereignisse in Microsoft Office.

Ereignis | Objekt
Change | CommandBarComboBox
Click | CommandBarButton
OnUpdate | CommandBars


Erstellen und Verändern von Sprechblasen

Mit der Sprechblase des Office-Assistenten machen Sie Informationen für den Benutzer verfügbar. Bei den Informationen in der Sprechblase kann es sich um eine einfache Meldung, eine Anforderung nach weiteren Informationen oder eine Auswahlliste für den Benutzer handeln. Änderungen an der Sprechblase des Office-Assistenten müssen während der Laufzeit vorgenommen werden.

In der folgenden Tabelle werden die am häufigsten für die Änderung der Darstellung oder der Funktion einer neu erstellten (leeren) oder vorhandenen Sprechblase verwendeten Eigenschaften und Methoden dargestellt. Änderungen an Sprechblasen erscheinen bei der nächsten Verwendung der Show-Methode.

Eigenschaft oder Methode | Beschreibung
Heading | Gibt den fett formatierten Text oben in der Sprechblase des Office-Assistenten an.
Text | Gibt den Text an, der im Textkörper der Sprechblase des Office-Assistenten erscheint. Dieser Text wird nach der Überschrift und vor Kontrollkästchen, Beschriftungen und Schaltflächen angezeigt.
Labels | Gibt die Auflistung von Beschriftungen in der Sprechblase zurück. Das Format der Beschriftungen wird durch die BalloonType-Eigenschaft bestimmt. Beschriftungen werden nach dem Sprechblasentext angezeigt. Die Liste der Beschriftungen kann mit Nummerierungs- oder Aufzählungszeichen versehen sein, oder es kann eine Liste von Schaltflächen sein. Im Gegensatz zu Kontrollkästchen wird hier die Auswahl des Benutzers bereits beim Klicken auf eine Schaltfläche registriert.
CheckBoxes | Gibt die Auflistung der Kontrollkästchen in der Sprechblase zurück. Der Benutzer klickt auf das Kontrollkästchen und anschließend auf die entsprechende Schaltfläche unten in der Sprechblase (z. B. OK oder Weiter), damit die Auswahl registriert wird.
Close | Schließt eine unabhängige Sprechblase und deaktiviert sie, gibt jedoch die Objektvariable nicht frei. Die der Sprechblase zugewiesene Objektvariable ist nach wie vor gültig. Sie können sie wieder anzeigen lassen oder ändern und später anzeigen lassen. Diese Methode kann nur für unabhängige Sprechblasen verwendet werden.
Show | Zeigt dem Benutzer die Sprechblase und alle darin enthaltenen Objekte an. Verwenden Sie diese Methode nur für Balloon-Objekte. Für das Assistant-Objekt verwenden Sie die Visible-Eigenschaft.

Im folgenden Beispiel wird eine Sprechblase erstellt, mit deren Hilfe der Benutzer einen Drucker auswählen kann. Für Benutzer, die die Informationen in der Sprechblase überspringen möchten, ist eine Option in Form eines Kontrollkästchens verfügbar.

Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Printer."
    .Text = "Click OK when you've chosen a printer."
    lblTxt = "From the File menu, choose Print."
    .Labels(1).Text = lblTxt
    .Labels(2).Text = "Click Setup."
    .Labels(3).Text = "Select the name of the printer."
    .CheckBoxes(1).Text = "Skip this information."
    .BalloonType = msoBalloonTypeNumbers
    .Mode = msoModeModal
    .Button = msoButtonSetOK
    .Show
End With

Erstellen von Sprechblasen

Verwenden Sie die NewBalloon-Eigenschaft des Assistant-Objekts, um eine neue Sprechblase zu erstellen. Die neu erstellte Sprechblase ist leer. Verwenden Sie die Heading-Eigenschaft, um eine Überschrift hinzuzufügen, und die Text-Eigenschaft, um dem Textkörper der Sprechblase Text hinzuzufügen. Fügen Sie anschließend gegebenenfalls Steuerelemente hinzu. Verwenden Sie abschließend die Show-Methode, um die Sprechblase anzeigen zu lassen. Die Show-Methode zeigt die Sprechblase im momentanen Zustand an. Verwenden Sie deshalb diese Methode erst, nachdem Sie alle weiteren Eigenschaften der Sprechblase eingestellt haben. Im folgenden Beispiel wird eine neue Sprechblase erstellt und die Überschrift und der Text für den Textkörper festgelegt. Anschließend werden drei Kontrollkästchen erstellt, die der Benutzer auswählen kann.

With Assistant.NewBalloon
    .Button = msoButtonSetOkCancel
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

Organisieren mehrerer Sprechblasen

Der Office-Assistent verfügt über keine Balloon-Auflistung. Um mehrere Sprechblasen zu organisieren, können Sie für jede Sprechblase, die Sie erstellen, eine separate Objekt-Variable festlegen, auf die Sie nach Bedarf zurückgreifen können. Sie können auch ein Datenfeld mit Balloon-Objekt-Variablen erstellen und jeder Variablen eine Sprechblase zuweisen. Im folgenden Beispiel wird ein Datenfeld erstellt. Dem Datenfeld werden dann drei leere Balloon-Objekte hinzugefügt.

Dim myBalloonArray(3) As Balloon

With Assistant
    For i = 1 To 3
        Set myBalloonArray(i) = .NewBalloon
    Next
End With


Abrufen von Hilfe zu Macintosh-Schlüsselwörtern

Sie suchen Hilfeinformationen zu einem Visual Basic-Schlüsselwort, das nur auf dem Macintosh verwendet wird. Informationen zu diesem Schlüsselwort finden Sie im Sprachverzeichnis der Hilfe von Microsoft Office 98 Macintosh Edition.


Durchführen von Änderungen an Sprechblasen zur Laufzeit

Nachdem Sie eine Sprechblase für den Office-Assistenten erstellt haben, können Sie sie anpassen, indem Sie der Überschrift oder dem Text der Sprechblase Bitmaps, Symbole oder Windows-Metadateien hinzufügen. Es empfiehlt sich, der Sprechblase Steuerelemente wie Kontrollkästchen oder Schaltflächen hinzuzufügen, damit für den Benutzer eine Meldung angezeigt werden kann, wenn er auf ein Element in der Sprechblase klickt. Darüber hinaus können Sie Textattribute wie Farbe und Unterstreichung verwenden, um Textelemente in einer Sprechblase hervorzuheben.

Hinzufügen von Symbolen und Bitmaps zu Sprechblasen

Um Ihre Anwendung anzupassen, können Sie den Office-Assistenten-Sprechblasen Symbole und Bitmaps hinzufügen. Um ein Symbol hinzuzufügen, weisen Sie der Icon-Eigenschaft des Balloon-Objekts eine MsoIconType-Konstante zu. Um dem Text in einer Office-Assistenten-Sprechblase eine Bitmap oder eine Windows-Metadatei hinzuzufügen, geben Sie den Typ, den Pfad und gegebenenfalls den Skalierungsfaktor an, wenn Sie die Text-Eigenschaft einer Überschrift, eines Texts, eines Kontrollkästchens oder einer Beschriftung einstellen. Im folgenden Beispiel wird in den Text einer Sprechblase eine Windows-Bitmap-Datei eingefügt.

myBmp = "{bmp c:\Win95\circles.gif}"
myText1 = "This is before the picture, "
myText2 = " and this is after the picture"
Set bln = Assistant.NewBalloon
With bln
    .Heading = "Instructions for Choosing a Bitmap."
    .Text = myText1 & myBmp & myText2
    .Show
End With

Hinzufügen von Steuerelementen zu Sprechblasen

Sie können einer Sprechblase zwei Arten von Steuerelementen hinzufügen: Kontrollkästchen und Schaltflächen. Bei der Erstellung einer Sprechblase enthält diese fünf Kontrollkästchen. Sie können diese sichtbar machen, indem Sie für das jeweilige Steuerelement Text angeben. Es befinden sich ebenfalls fünf Beschriftungsschaltflächen in der Sprechblase (vorausgesetzt, der Sprechblasentyp ist msoBalloonTypeButtons). Sie können diese ebenso wie die Kontrollkästchen einblenden lassen. Wenn Sie versuchen, einer Sprechblase mehr als fünf Kontrollkästchen oder Beschriftungsschaltflächen hinzuzufügen, wird ein Fehler ausgegeben.

Sie können die Darstellung eines Steuerelements in der Sprechblase ändern, indem Sie die Text-Eigenschaft des Steuerelements ändern. Sie können die Funktionen eines Kontrollkästchens oder einer Schaltfläche in einer Sprechblase ändern, indem Sie eine andere Prozedur festlegen, die ausgeführt werden soll, wenn das Kontrollkästchen oder die Schaltfläche (durch Klicken) ausgewählt wird.

Im folgenden Beispiel wird eine Sprechblase mit einer Überschrift, einem Text und drei Auswahlmöglichkeiten für die Region erstellt. Wenn der Benutzer ein oder mehrere Kontrollkästchen aktiviert und anschließend auf OK klickt, ruft der Beispielcode die entsprechende(n) Prozedur(en) auf.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select your region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Button = msoButtonSetOkCancel
    .Show
If .CheckBoxes(1).Checked Then
        runregion1
    End If
    If .CheckBoxes(2).Checked Then
        runregion2
    End If
    If .CheckBoxes(3).Checked Then
        runregion3
    End If
End With

Einfärben und Unterstreichen von Text in Sprechblasen

Sie können den Text in einer Sprechblase mit zwei Attributen ausstatten: Farbe und Unterstreichung. Verwenden Sie eine der 16 unterstützten Systemfarben, um Text durch Farbe hervorzuheben. Oder ändern Sie das Erscheinungsbild von Text in einer Sprechblase, indem Sie den Text unterstreichen. Textattribute sind in den Text der Sprechblase eingebettet und im Code von geschweiften Klammern umgeben. Im folgenden Beispiel wird eine neue Sprechblase für den Office-Assistenten erstellt, die eine unterstrichene Überschrift, roten Text und blauen, ebenfalls unterstrichenen Text enthält.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With


Zurückgeben eines Objekts aus einer Auflistung

Die Item-Eigenschaft gibt ein einzelnes Objekt aus einer Auflistung zurück. Im folgenden Beispiel wird die Variable cmdbar auf ein CommandBar-Objekt eingestellt, das die erste Befehlsleiste in der CommandBars-Auflistung darstellt.

Set cmdbar = CommandBars.Item(1)

Die Item-Eigenschaft ist die Standardeigenschaft für die meisten Auflistungen, d. h. Sie können dieselbe Anweisung kürzer halten, indem Sie das Item-Schlüsselwort auslassen.

Set cmdbar = CommandBars(1)

Informationen zu einer bestimmten Auflistung finden Sie unter deren Hilfethema oder unter der Item-Eigenschaft für die Auflistung.


Verwendung des Office-Assistenten

Sie können den Office-Assistenten in einer Anwendung als Hilfe für bestimmte Bereiche einsetzen. Die Steuerelemente in der Office-Assistenten-Sprechblase können Sie zur Ausführung selbst erstellter Prozeduren verwenden.

Alle mit dem Office-Assistenten verbundenen Elemente werden in Visual Basic durch das Assistant-Objekt und die darin enthaltenen Objekte dargestellt. Viele Änderungen, die Sie am Assistenten zur Laufzeit vornehmen können, entsprechen den Änderungen, die Sie zur Entwurfszeit durchführen können, indem Sie mit der rechten Maustaste auf den Assistenten klicken. Die einzelnen im Dialogfeld Office-Assistent in der Registerkarte Optionen aufgeführten Optionen entsprechen jeweils einer Eigenschaft des Assistenten, die Sie zur Laufzeit einstellen können. In der folgenden Tabelle werden die im Allgemeinen für die Änderung des Office-Assistenten verwendeten Eigenschaften aufgeführt.

Eigenschaft | Beschreibung
Animation | Animiert den Office-Assistenten. Es gibt kontinuierliche und einmalige Animationen.
FileName | Gibt den Dateinamen für den Office-Assistenten an, einschließlich der Erweiterung ".act". Der Dateiname für den Office-Assistenten "Rocky" ist beispielsweise "Rocky.acs".
Name | Gibt den Namen des Office-Assistenten zurück. Verwenden Sie diese Eigenschaft, um mitzuverfolgen, welchen Office-Assistenten der Benutzer auswählt.
Visible | Gibt an, ob der Assistent sichtbar oder ausgeblendet ist.

Im folgenden Beispiel wird der Office-Assistent "Rocky" ausgewählt, aktiviert und sichtbar gemacht sowie eine Animation festgelegt. Außerdem werden einige angepasste Hilfe-Eigenschaften festgelegt, die zur Entwurfszeit im Dialogfeld Office-Assistent in der Registerkarte Optionen verfügbar sind.

With Assistant
    .On = True
    .FileName = "Rocky.acs"
    .Animation = msoAnimationBeginSpeaking
    .AssistWithHelp = True
    .GuessHelp = True
    .FeatureTips = False
    .Visible = True
End With

Den Office-Assistenten gibt es in sechs verschiedenen Gestalten, die Sie wahlweise mit Microsoft Office installieren können. Es kann immer nur ein Assistent aktiv sein. Sie können den Benutzer den Assistenten im Katalog der Office-Assistenten auswählen lassen, oder Sie können zur Laufzeit programmatisch einen Assistenten für den Benutzer auswählen. Die installierten Dateien für die Gestalten der Assistenten können nicht geändert werden. Ebenso wenig ist es möglich, die vorhandenen Dateien durch eine eigene Assistentendatei zu ersetzen.


(Untitled)

Hilfethema nicht verfügbar

Das Hilfethema kann nicht angezeigt werden, da die Hilfe für Visual Basic für Applikationen nicht gefunden werden kann oder nicht installiert wurde.

So installieren Sie die Hilfe für Visual Basic für Applikationen

  1. Doppelklicken Sie in der Systemsteuerung auf Software.

  2. Klicken Sie auf der Registerkarte Installieren/Deinstallieren auf die installierte Version von Microsoft Office 2000 und dann auf Hinzufügen/Entfernen.

  3. Klicken Sie auf Features hinzufügen/entfernen, und blenden Sie dann in der Liste der Komponenten Office Tools ein.

  4. Klicken Sie auf das Symbol neben Visual Basic-Hilfe, um die zugehörigen Installationsoptionen anzuzeigen.

  5. Klicken Sie auf Vom Arbeitsplatz starten oder Vom Netzwerk starten und anschließend auf Update durchführen.


Add-Methode (PropertyTests-Auflistung)

Fügt der PropertyTests-Auflistung ein PropertyTest-Objekt hinzu.

Syntax

expression.Add(Name, Condition, Value, SecondValue, Connector)

expression Ein Ausdruck, der ein PropertyTests-Objekt zurückgibt.

Name String erforderlich. Der Name des Eigenschaftenkriteriums. Dieser Name entspricht einem Wert im Feld Eigenschaft des Dialogfeldes Suchen, das Sie öffnen, indem Sie in einer Anwendung im Menü Datei den Befehl Öffnen wählen und im dann angezeigten Dialogfeld das Menü Extras öffnen.

Condition Variant erforderlich. Die Bedingung für die Suchkriterien. Dies kann eine der folgenden MsoCondition-Konstanten sein:

msoConditionAnyNumberBetween

msoConditionAnytime

msoConditionAnytimeBetween

msoConditionAtLeast

msoConditionAtMost

msoConditionBeginsWith

msoConditionDoesNotEqual

msoConditionEndsWith

msoConditionEquals

msoConditionFileTypeAllFiles

msoConditionFileTypeBinders

msoConditionFileTypeDatabases

msoConditionFileTypeExcelWorkbooks

msoConditionFileTypeOfficeFiles

msoConditionFileTypePowerPointPresentations

msoConditionFileTypeTemplates

msoConditionFileTypeWordDocuments

msoConditionIncludes

msoConditionIncludesNearEachOther

msoConditionIncludesPhrase

 msoConditionInTheLast

msoConditionInTheNext

msoConditionIsExactly

msoConditionIsNo

msoConditionIsNot

msoConditionIsYes

msoConditionLastMonth

msoConditionLastWeek

msoConditionLessThan

msoConditionMoreThan

msoConditionNextMonth

msoConditionNextWeek

msoConditionOn

msoConditionOnorAfter

msoConditionOnorBefore

msoConditionThisMonth

msoConditionThisWeek

msoConditionToday

msoConditionTomorrow

msoConditionYesterday

Value Variant optional. Der Wert des Suchkriteriums.

SecondValue Variant optional. Der obere Wert für den Suchbereich. Sie können dieses Argument nur verwenden, wenn Condition den Wert msoConditionAnyTimeBetween oder msoConditionAnyNumberBetween hat.

Connector Variant optional. Gibt an, auf welche Weise zwei Suchkriterien miteinander verbunden werden. Dies kann eine der folgenden MsoConnector-Konstanten sein: msoConnectorAnd oder msoConnectorOr.


Beispiel zur Add-Methode (PropertyTests-Auflistung)

In diesem Beispiel werden den Suchkriterien zwei Eigenschaftstests hinzugefügt. Für den ersten Test gilt, dass die gesuchten Dateien Word-Dokumente sein müssen. Für den zweiten Test gilt, dass diese Dateien zwischen dem 1. Januar 1998 und dem 30. Juni 1998 geändert worden sein müssen. Bei diesem Beispiel wird außerdem ein Meldungsfenster mit der Gesamtanzahl und den Namen der gefundenen Dateien angezeigt.

Set fs = Application.FileSearch
fs.NewSearch
With fs.PropertyTests
    .Add Name:="Files of Type", _
        Condition:=msoConditionFileTypeWordDocuments, _
        Connector:=msoConnectorOr
    .Add Name:="Last Modified", _
        Condition:=msoConditionAnytimeBetween, _
        Value:="1/1/98", SecondValue:="6/30/98", _
        Connector:=msoConnectorAnd
End With
If fs.Execute() > 0 Then
        For i = 1 To fs.FoundFiles.Count
            strFound = strFound & fs.FoundFiles(i) & vbCrLf
        Next i
        MsgBox "Search found the following " _
            & fs.FoundFiles.Count & _
            " file(s):" & vbCrLf & strFound
Else
    MsgBox "There were no files found."
End If


Add-Methode (Scripts-Auflistung)

Fügt der Scripts-Auflistung eines der folgenden Objekte ein Script-Objekt hinzu: eines Document- oder Range-Objekts in Microsoft Word, eines Worksheet- oder Chart-Objekts in Microsoft Excel oder eines Slide-, SlideRange-, Folien-Master- oder Titel-Master-Objekts in Microsoft PowerPoint. Gibt ein Script-Objekt zurück.

Syntax

expression.Add(Anchor, Location, Language, Id, Extended, ScriptText)

expression Erforderlich. Die Scripts-Auflistung.

Anchor Optionales Range-Argument (nur für Microsoft Excel). Das Anchor-Argument akzeptiert ein Excel-Range-Objekt, das die Platzierung des Skriptanchors in einem Excel-Arbeitsblatt angibt. Sie können Skriptanchors nicht in Excel-Diagramme einfügen.

Location Optionaler Long-Wert. Gibt die Position des Skriptanchors in einem Dokument an und kann eine der folgenden MsoScriptLocation-Konstanten sein: msoScriptLocationInBody oder msoScriptLocationInHead. Der Standardwert ist msoScriptLocationInBody. Wenn Sie das Anchor-Argument angegeben haben, wird das Location-Argument nicht verwendet, da die Position des Anchor-Arguments die Position des Skriptanchors bestimmt.

Language Optionaler Long-Wert. Gibt die Skriptsprache an und kann eine der folgenden MsoScriptLanguage-Konstanten sein: msoScriptLanguageASP, msoScriptLanguageJava, msoScriptLanguageOther oder msoScriptLanguageVisualBasic. Der Standardwert (die Standardsprache) ist msoScriptLanguageVisualBasic.

Id Optionaler String-Wert. Die ID des <SCRIPT>-Tags in HTML. Das Id-Argument gibt einen SGML-Bezeichner zum Benennen von Elementen an. Gültige Bezeichner sind alle alphanumerischen Zeichenfolgen, die mit einem Buchstaben beginnen. Die Zeichenfolge kann auch einen Unterstrich ( _ ) enthalten. Die ID muss innerhalb des HTML-Dokuments eindeutig sein. Dieser Parameter wird als ID-Attribut im <SCRIPT>-Tag exportiert.

Extended Optionaler String-Wert. Gibt Attribute an, die dem <SCRIPT>-Tag hinzugefügt werden sollen (LANGUAGE- und ID-Attribute werden durch die Language- und Id-Parameter exportiert und sollten nicht durch den Extended-Parameter exportiert werden). Der Standardwert ist eine leere Zeichenfolge. Die Attribute werden durch Leerzeichen voneinander getrennt, wie in HTML. Die Microsoft Office-Hostanwendung bietet keine Möglichkeit zur Überprüfung der Syntax der übergebenen Attribute.

ScriptText Optionaler String-Wert. Gibt den Text an, der in einem Skriptblock enthalten ist. Der Standardwert ist eine leere Zeichenfolge. Die Syntax des Skripts wird durch die Office-Hostanwendung nicht geprüft.

Hinweise

Eine mit einem Skriptblock verknüpfte Form wird in HTML nicht als Form exportiert oder gedruckt. Nur der Skriptblock wird exportiert.

Sie können die Add-Methode nicht verwenden, um einem PowerPoint-Folienbereich, der zwei oder mehr Folien enthält, einen Skriptanchor hinzuzufügen.


Beispiel zur Add-Methode (Scripts-Auflistung)

In diesem Beispiel wird dem angegebenen Bereich in Arbeitsblatt 1 der aktiven Arbeitsmappe ein neues Script-Objekt hinzugefügt.

Dim rngScriptAnchorRange As Range
Dim objNewScript As Script

Set rngScriptAnchorRange = ActiveWorkbook. _
    Worksheets(1).Range("B5")
Set objNewScript = ActiveWorkbook. _
    Worksheets(1).Scripts.Add(rngScriptAnchorRange, _
      msoScriptLocationInBody, _
      msoScriptLanguageVisualBasic, _
      "MyNewScript", , _
      "MsgBox (""Added Script object MyNewScript"")")


Beispiel zur Clear-Methode

In diesem Beispiel wird die Anzahl der Elemente im Kombinationsfeld-Steuerelement in der Befehlsleiste "Custom" geprüft. Enthält die Liste im Kombinationsfeld weniger als drei Elemente, wird der Inhalt der Liste gelöscht, der Liste ein neues, erstes Element hinzugefügt und anschließend das neue Element als Standard für das Kombinationsfeld-Steuerelement angezeigt.

Set myBar = CommandBars("Custom Bar")
Set myControl = myBar.Controls _
    Type:=msoControlComboBox)
With myControl
    .AddItem "First Item", 1
    .AddItem "Second Item", 2
End With
If myControl.ListCount < 3 Then
    myControl.Clear
    myControl.AddItem Text:="New Item", Index:=1
End If


Beispiel zur Copy-Methode

In diesem Beispiel wird das erste Steuerelement der Befehlsleiste "Standard" in die Befehlsleiste "Custom" kopiert und dort an die erste Position gesetzt.

Set myCustomBar = CommandBars("Custom")
Set myControl = CommandBars("Standard").Controls(1)
With myControl
    .Copy Bar:=myCustomBar, Before:=1
    .SetFocus
End With


Beispiel zur FindControl-Methode

In diesem Beispiel wird das erste Steuerelement in der Befehlsleiste "Custom" gesucht. Ist das Steuerelement eine Schaltfläche, dann wird mit Hilfe der FindControl-Methode die Schaltfläche Copy (Kopieren, auf der Symbolleiste Standard) gesucht, anschließend wird die Oberfläche der Schaltfläche Copy in das Steuerelement eingefügt.

Set oldCtrl = CommandBars("Custom").Controls(1)
If oldCtrl.Type = 1 Then
    Set newCtrl = CommandBars.FindControl(Type:= _
        MsoControlButton, ID:= _
        CommandBars("Standard").Controls("Copy").ID)
    NewCtrl.CopyFace
    OldCtrl.PasteFace
End If


Item-Methode (COMAddIns-Objekt)

Gibt ein Element der COMAddIns-Auflistung zurück. Mit der Item-Methode können Sie entweder eine Ordnungszahl verwenden, die das COM-Add-In an dieser Position in der COMAddIns-Auflistung zurückgibt, oder einen String-Wert, der die ProgID des angegebenen COM-Add-Ins darstellt.

Syntax

expression.Item

expression Erforderlich. Die COMAddIns-Auflistung.


Item-Methode (HTMLProjectItem-Objekt)

Gibt das HTMLProjectItem-Objekt zurück, das ein bestimmtes Projekt im Microsoft Skript-Editor darstellt.

Syntax

expression.Item(Index)

expression Erforderlich. Eine HTMLProjectItems-Auflistung.

Index Erforderlicher Variant-Wert. Der Name oder Index des zurückzugebenden HTML-Projektelements.


Item-Methode (Script-Objekt)

Gibt ein Element aus der Scripts-Auflistung zurück. Akzeptiert den Index oder die ID des Skripts, das von der Microsoft Office-Anwendung zurückgegeben werden soll. Die Item-Methode ist ein Variant-Wert. Dieser Wert akzeptiert entweder eine Ordnungszahl (Indexwert), die das an dieser Position in der Scripts-Auflistung gespeicherte Skript zurückgibt, oder einen String-Wert, der den Namen oder die ID des Skripts darstellt.

Syntax

expression.Item(Index)

expression Erforderlich. Ein Ausdruck, der ein Script-Objekt zurückgibt.

Index Erforderlicher Variant-Wert. Die ID oder der Index des zurückzugebenden Skripts.

Hinweise

Die Scripts-Auflistung enthält alle Skripts eines bestimmten Dokuments, und zwar in der Quellfolge (der Reihenfolge der Script-Objekte in der Quelldatei). Skripts werden in der Quellfolge verwaltet, unabhängig von ihrer Position im Dokument, d. h. egal, ob sie sich in der Kopfzeile oder im Textkörper befinden.

Sie können die Item-Methode verwenden, um mit Hilfe der ID des <SCRIPT>-Tags auf ein Skript in der Scripts-Auflistung zuzugreifen. Das ID-Attribut des <SCRIPT>-Tags ist mit der Id-Eigenschaft des Script-Objekts identisch. Wenn sich zwei oder mehrere IDs in dem Dokument befinden und Sie die Id-Eigenschaft eines Script-Objekts verwenden, um mit der Item-Methode auf ein Skript zuzugreifen, gibt Office das erste Skript zurück, das mit der ID übereinstimmt. Andere Skripts mit der gleichen ID werden ignoriert.

Neue Scriptanchors werden an das Ende der Scripts-Auflistung angehängt, und zwar in der Reihenfolge, in der sie dem Dokument hinzugefügt wurden. Die Scriptanchors verbleiben in dieser Reihenfolge, bis das Dokument als HTML gespeichert, geschlossen und wieder in der Hostanwendung geöffnet wird. Durch diese Schritte wird die Scripts-Auflistung in der Reihenfolge indiziert, in der die Scriptanchors in dem Dokument erscheinen. Diese Reihenfolge kann eine andere sein als die, in der die Scriptsanchors dem Dokument hinzugefügt wurden. Um eine korrekte Identifizierung des Skripts zu gewährleisten, ist es daher ratsam, die Id-Eigenschaft des Script-Objekts zu verwenden, und nicht die Position des Skripts in der Auflistung.


Beispiel zur Remove-Methode

In diesem Beispiel wird das erste Suchkriterium aus der Auflistung entfernt.

Application.FileSearch.PropertyTests.Remove(1)


Beispiel zur Reset-Methode

In diesem Beispiel wird der Wert von user verwendet, um die Befehlsleisten entsprechend der Benutzerebene anzupassen. Wenn für user "Level 1" gilt, wird die Befehlsleiste "Custom" angezeigt. Gilt für user ein anderer Wert, wird die integrierte Visual Basic-Befehlsleiste auf ihren Standardstatus zurückgesetzt und die Befehlsleiste "Custom" deaktiviert.

Set myBar = CommandBars("Custom")
If user = "Level 1" Then
    myBar.Visible = True
Else
    CommandBars("Visual Basic").Reset
    myBar.Enabled = False
End If


Beispiel zur Show-Methode

In diesem Beispiel wird eine Sprechblase mit zwei BalloonLabel-Auswahlmöglichkeiten zum Einrichten der Druckausrichtung erstellt: Portrait und Landscape. Dabei wird anhand der Show-Methode in einer Select Case-Anweisung festgestellt, welche Ausrichtung der Benutzer ausgewählt hat.

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Please choose a printer orientation"
    .Labels(1).Text = "Portrait"
    .Labels(2).Text = "Landscape"
    .Button = msoButtonSetNone
End With
    Select Case balNew.Show
    Case 1
        ' Insert code to set printer to portrait.
    Case 2
        ' Insert code to set printer to landscape.
    End Select

Der Beispielcode erstellt eine Sprechblase mit drei Befehlsschaltflächen: Yes, No und Cancel. Anhand der Show-Methode in einer Select Case-Anweisung wird der Rückgabewert der Schaltfläche ermittelt, auf die der Benutzer geklickt hat.

Set balNew = Assistant.NewBalloon
With balNew
    .Heading = "Are you sure you want to set the " & _
    "printer orientation to landscape?"
    .BalloonType = msoBalloonTypeButtons
    .Button = msoButtonSetYesNoCancel
End With
    Select Case balNew.Show
    Case -2
        returnValue = MsgBox("Operation canceled.", _
        vbOKOnly, "Printer Message")
    Case -3
        returnValue = MsgBox("Printer set to " & _
        "landscape.", vbOKOnly, "Printer Message")
    Case -4
        returnValue = MsgBox("Printer orientation not " & _
        "reset.", vbOKOnly, "Printer Message")
    End Select


Beispiel zur AdaptiveMenu-Eigenschaft

In diesem Beispiel wird die AdaptiveMenu-Eigenschaft für das Menü Datei in der Microsoft Office-Anwendung, in der Sie arbeiten, auf False gesetzt.

CommandBars("File").AdaptiveMenu = False


Beispiel zur BuiltIn-Eigenschaft

In diesem Beispiel werden alle benutzerdefinierten Befehlsleisten gelöscht, die nicht sichtbar sind.

foundFlag = False
deletedBars = 0
For Each bar In CommandBars
    If (bar.BuiltIn = False) And (bar.Visible = False) Then
        bar.Delete
        foundFlag = True
        deletedBars = deletedBars + 1
    End If
Next
If Not foundFlag Then
    MsgBox "No command bars have been deleted."
Else
    MsgBox deletedBars & " custom command bar(s) deleted."
End If


Beispiel zur Connect-Eigenschaft

Im folgenden Beispiel wird ein Meldungsfeld mit der Angabe angezeigt, ob das COM-Add-In 1 registriert und gegenwärtig verbunden ist.

If Application.COMAddIns(1).Connect Then
    MsgBox "The add-in is connected."
Else
    MsgBox "The add-in is not connected."
End If


Beispiel zur Description-Eigenschaft

Im folgenden Beispiel wird der Beschreibungstext des COM-Add-In zum Zeichnen für Microsoft-Eingabehilfen angezeigt.

MsgBox "The description of this " & _
    "COMAddIn is """ & Application.COMAddIns. _
    Item("msodraa9.ShapeSelect"). _
    Description & """


Beispiel zur FixedWidthFont-Eigenschaft

In diesem Beispiel wird die Festbreitenschrift und deren Schriftgrad für den Zeichensatz English/Western European/Other Latin Script in der aktiven Anwendung festgelegt.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFont = "System"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.FixedWidthFontSize = 12


 Id-Eigenschaft (CommandBarControl-Objekt)

Id-Eigenschaft (CommandBarControl-Objekt)

Gibt die ID für ein integriertes Befehlsleisten-Steuerelement zurück. Long schreibgeschützt.

Hinweise

Die ID eines Steuerelements bestimmt die integrierte Aktion für dieses Steuerelement. Der Wert der Id-Eigenschaft für alle benutzerdefinierten Steuerelemente ist 1.


Beispiel zur Id-Eigenschaft (CommandBarControl-Objekt)

In diesem Beispiel wird die Schaltflächenoberfläche des ersten Steuerelements auf der Befehlsleiste "Custom2" geändert, wenn der Wert der Schaltflächen-ID kleiner als 25 ist.

Set ctrl = CommandBars("Custom").Controls(1)
With ctrl
    If .Id < 25 Then
        .FaceId = 17
        .Tag = "Changed control"
    End If
End With

Im folgenden Beispiel wird der Titel jedes Steuerelements auf der Symbolleiste "Standard" auf den aktuellen Wert der Id-Eigenschaft für das jeweilige Steuerelement geändert.

For Each ctl In CommandBars("Standard").Controls
    ctl.Caption = CStr(ctl.Id)
Next ctl


Id-Eigenschaft (Script-Objekt)

Legt die ID eines Script-Objekts fest bzw. gibt sie zurück. String-Wert mit Lese-/Schreibzugriff.

Hinweise

Die zurückgegebene ID ist das ID-Attribut des <SCRIPT>-Tags in HTML. Wenn im <SCRIPT>-Tag kein ID-Attribut angegeben ist, gibt die Id-Eigenschaft eine leere Zeichenfolge zurück.

Id gibt einen SGML-Bezeichner zum Benennen von Elementen an. Gültige Bezeichner sind alle alphanumerischen Zeichenfolgen, die mit einem Buchstaben beginnen. Diese Zeichenfolgen können auch Unterstriche ( _ ) enthalten.

Die ID muss innerhalb des HTML-Dokuments eindeutig sein.


Beispiel zur Id-Eigenschaft (Script-Objekt)

In diesem Beispiel wird die Id-Eigenschaft des ersten Skripts in Arbeitsblatt 1 in der aktiven Arbeitsmappe auf einen neuen Wert gesetzt.

ActiveWorkbook.Worksheets(1).Scripts(1).ID = "UpdatedScriptName"


Beispiel zur Language-Eigenschaft

In diesem Beispiel wird die Language-Eigenschaft überprüft, um sicherzustellen, dass das erste Skript in Arbeitsblatt 1 in der aktiven Arbeitsmappe in VBScript geschrieben ist.

If ActiveWorkbook.Worksheets(1).Scripts(1).Language <> _
    2 Then
      MsgBox "Language is not set to VBScript."
End If


Beispiel zur List-Eigenschaft

In diesem Beispiel wird der Wert des vierten Listenelements im Kombinationsfeld-Steuerelement "Stock Data" auf der Befehlsleiste "Custom" geprüft. Wenn der Wert nicht "View News" ist, zeigt der Beispielcode eine Meldung mit dem Hinweis an, dass das Kombinationsfeld u. U. beschädigt ist, und der Aufforderung, die Anwendung neu zu installieren.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
With CommandBars("Custom").Controls(1)
    .AddItem "Get Stock Quote", 1
    .AddItem "View Chart", 2
    .AddItem "View Fundamentals", 3
    .AddItem "View News", 4
    .Caption = "Stock Data"
    .DescriptionText = "View Data For Stock"
End With
If CommandBars("Custom").Controls(1).List(4) _
     <> "View News" Then
MsgBox ("Stock Data appears to be damaged." & _
     " Please reinstall application.")
End If


Beispiel zur Name-Eigenschaft

In diesem Beispiel wird in der Auflistung der Befehlsleisten nach der Befehlsleiste "Custom" gesucht. Wird diese Befehlsleiste gefunden, dann wird sie sichtbar gemacht.

foundFlag = False
For Each bar In CommandBars
    If bar.Name = "Custom" Then
        foundFlag = True
        bar.Visible = True
    End If
Next
If Not foundFlag Then
    MsgBox "'Custom' bar isn't in collection."
Else
    MsgBox "'Custom' bar is now visible."
End If

In diesem Beispiel wird der Name, der Typ und der Wert einer Dokumenteigenschaft angezeigt. Sie müssen ein gültiges DocumentProperty-Objekt an die Prozedur übergeben.

Sub DisplayPropertyInfo(dp As DocumentProperty)
    MsgBox "value = " & dp.Value & Chr(13) & _
        "type = " & dp.Type & Chr(13) & _
        "name = " & dp.Name
End Sub


Beispiel zur On-Eigenschaft

In diesem Beispiel wird der Office-Assistent deaktiviert, ein Meldungsfenster mit der Frage angezeigt, ob der Assistent aktiviert werden soll, und der Assistent aktiviert, wenn der Benutzer auf Yes klickt. Wenn der Benutzer den Assistenten aktiviert, wird dieser angezeigt und führt die Animation msoAnimationGreeting aus.

Assistant.On = False
If MsgBox("Enable Office Assistant?", _
    vbYesNo, "Assistant is Off") = vbYes Then
    Assistant.On = True
    Assistant.Visible = True
    Assistant.Animation = _
        msoAnimationGetAttentionMajor
End If


Beispiel zur ProportionalFont-Eigenschaft

In diesem Beispiel werden die Proportionalschrift und deren Schriftgrad für den Zeichensatz English/Western European/Other Latin Script in der aktiven Anwendung festgelegt.

Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFont = "Tahoma"
Application.DefaultWebOptions. _
Fonts(msoCharacterSetEnglishWesternEuropeanOtherLatinScript) _
.ProportionalFontSize = 14.5


Beispiel zur Text-Eigenschaft

In diesem Beispiel wird eine neue Befehlsleiste mit dem Namen "Custom" erstellt. Dieser Befehlsleiste wird dann ein Kombinationsfeld mit vier Listenelementen hinzugefügt. Mit Hilfe der Text-Eigenschaft wird anschließend "Item 3" als Standardlistenelement festgelegt.

Set myBar = CommandBars _
    .Add(Name:="Custom", Position:=msoBarTop, _
    Temporary:=True)
With myBar
    .Controls.Add Type:=msoControlComboBox, ID:=1
    .Visible = True
End With
Set testComboBox = CommandBars("Custom").Controls(1)
With testComboBox
    .AddItem "Item 1", 1
    .AddItem "Item 2", 2
    .AddItem "Item 3", 3
    .AddItem "Item 4", 4
    .Text = "Item 3"
End With

In diesem Beispiel wird eine neue Sprechblase im Office-Assistenten mit einer Überschrift, Text und drei Regionsoptionen erstellt. Mit der Text-Eigenschaft wird für jedes Kontrollkästchen eine Beschriftung erstellt.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

In diesem Beispiel wird eine Sprechblase im Office-Assistenten mit einer Überschrift, Text und drei Regionsoptionen erstellt. Mit der Text-Eigenschaft werden Anweisungen für den Benutzer erstellt, die sich auf den Inhalt der Sprechblase beziehen.

With Assistant.NewBalloon
    .Heading = "Regional Sales Data"
    .Text = "Select a region"
    For i = 1 To 3
        .CheckBoxes(i).Text = "Region " & i
    Next
    .Show
End With

Im folgenden Beispiel wird eine neue Sprechblase im Office-Assistenten erstellt, die eine unterstrichene Überschrift, roten Text sowie blauen, unterstrichenen Text enthält.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text = "Some {cf 249}Red{cf 0} text and some " & _
    "underlined {cf 252}{ul 1}Blue{ul 0}{cf 0} text."
    .Show
End With

In diesem Beispiel wird eine neue Sprechblase im Office-Assistenten erstellt, die eine WMF-Datei enthält.

With Assistant.NewBalloon
    .Heading = "Underlined {ul 1}Heading{ul 0}"
    .Text ="{WMF ""C:\Favorites\MyPicture.WMF""}"
    .Show
End With


Neue Eigenschaften (alphabetische Liste)

Die folgende Tabelle zeigt in alphabetischer Reihenfolge die Eigenschaften, die den vorhandenen Objekten in Microsoft Office hinzugefügt wurden.

Eigenschaft | Objekt
AdaptiveMenu | CommandBar
AdaptiveMenus | CommandBars
DisplayFonts | CommandBars
HyperlinkType | CommandBarButton
IsPriorityDropped | CommandBarButton
IsPriorityDropped | CommandBarComboBox
IsPriorityDropped | CommandBarControl
IsPriorityDropped | CommandBarPopup
On | Assistant